2016-03-03  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, docs/html/apa.html, docs/html/apb.html,
	docs/html/apbs02.html, docs/html/apbs03.html, docs/html/apbs04.html,
	docs/html/apc.html, docs/html/apd.html, docs/html/ape.html,
	docs/html/ch01.html, docs/html/ch01s02.html, docs/html/ch01s03.html,
	docs/html/ch01s04.html, docs/html/ch01s05.html,
	docs/html/ch01s06.html, docs/html/ch01s07.html,
	docs/html/ch01s08.html, docs/html/ch02.html, docs/html/ch02s02.html,
	docs/html/ch02s03.html, docs/html/ch02s04.html,
	docs/html/ch02s05.html, docs/html/ch02s06.html,
	docs/html/ch02s07.html, docs/html/ch02s08.html, docs/html/ch03.html,
	docs/html/ch03s02.html, docs/html/ch03s03.html,
	docs/html/ch03s04.html, docs/html/ch03s05.html,
	docs/html/ch03s06.html, docs/html/ch04.html, docs/html/ch04s02.html,
	docs/html/ch04s03.html, docs/html/ch05.html, docs/html/ch05s02.html,
	docs/html/ch05s03.html, docs/html/ch05s04.html,
	docs/html/ch05s05.html, docs/html/ch05s06.html, docs/html/ch06.html,
	docs/html/ch06s02.html, docs/html/ch06s03.html,
	docs/html/ch06s04.html, docs/html/ch06s05.html,
	docs/html/ch06s06.html, docs/html/ch06s07.html,
	docs/html/ch06s08.html, docs/html/ch06s09.html, docs/html/ch07.html,
	docs/html/ch07s02.html, docs/html/ch07s03.html,
	docs/html/design_window_empty_slot.png, docs/html/index.html,
	docs/html/pr01.html, docs/html/pr01s02.html,
	docs/html/preferences.png, docs/pdf/manual.pdf,
	docs/src/design_window_empty_slot.png, docs/src/manual.xml,
	docs/src/preferences.png:
	Reorganise and update the documentation
	[2c030f953c91] [tip]

2016-02-24  Carsten Grohmann  <mail@carstengrohmann.de>

	* xml_parse.py:
	Remove obsolete pass statement
	[51bf01d7606c]

2016-02-21  Carsten Grohmann  <mail@carstengrohmann.de>

	* msgdialog.py, res/messagedialog.wxg:
	Remove unused application startup code
	[e79cc413602f]

	* NEWS.txt, codegen/py_codegen.py, msgdialog.py,
	tests/casefiles/AllWidgets_28.py, tests/casefiles/AllWidgets_30.py,
	tests/casefiles/ComplexExample.py,
	tests/casefiles/ComplexExample_30.py, tests/casefiles/PyOgg1.py,
	tests/casefiles/PyOgg2_app.py, tests/casefiles/PyOgg3.py,
	tests/casefiles/PythonAddApp_multi_gettext_simple.py,
	tests/casefiles/PythonAddApp_multi_simple.py,
	tests/casefiles/PythonAddApp_single_gettext_simple.py,
	tests/casefiles/PythonAddApp_single_simple.py:
	Don't set the default value for redirection in wx.PySimpleApp()
	[e38c12b01c54]

	* widget_properties.py:
	Treat (escape/unescape) tabs always like newlines in Properties
	[c3519118ad95]

	* widget_properties.py:
	Convert newline character to newline sequence in GridProperty

	Newline characters entered via Ctrl+Enter won't be handled
	correctly. This change converts such characters to newline
	sequences. Thereby it will be handled correctly.
	[d34774dc6a0d]

2016-02-19  Carsten Grohmann  <mail@carstengrohmann.de>

	* widget_properties.py:
	Rework GridProperty to prevent changing the type of self.cols
	[734fff193302]

	* widget_properties.py:
	Extract code to escape/unescape newlines / tabs into separate
	functions
	[c44a851bc014]

2016-02-18  Carsten Grohmann  <mail@carstengrohmann.de>

	* widget_properties.py:
	Add docstring for TextProperty.multiline
	[3a6ddcecc4c7]

	* about.py:
	Remove unused application startup code
	[fe84f58b56d2]

2016-02-17  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, tests/casefiles/AllWidgets_28.pl,
	tests/casefiles/AllWidgets_30.pl,
	widgets/datepicker_ctrl/perl_codegen.py:
	Add workaround for missing wxDefaultDateTime in wxPerl
	[72f1128ad9f8]

2016-02-16  Carsten Grohmann  <mail@carstengrohmann.de>

	* wxGlade.desktop:
	Typo in desktop file
	[e3e25d2a8e1e]

	* widgets/grid/grid.py:
	Show newlines correctly in the grid header if shown design window
	[29794333dcce]

2016-02-12  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/test_gui.py:
	Add a simple test case for loading all XRC case files
	[ae030730a36a]

	* NEWS.txt, codegen/xrc_codegen.py, tests/casefiles/AllWidgets_28.xrc,
	tests/casefiles/AllWidgets_30.xrc,
	tests/casefiles/ComplexExample.xrc,
	tests/casefiles/ComplexExample_30.xrc,
	widgets/bitmap_button/codegen.py, widgets/toolbar/codegen.py:
	Add support for wxArtProvider to XRC code generator
	[d9d987998ab6]

	* common.py:
	Improve encode_to_unicode() to work in cli mode too
	[8c14a3d58e05]

2016-02-11  Carsten Grohmann  <mail@carstengrohmann.de>

	* wcodegen/__init__.py:
	Typos in docstrings
	[4ae0720df0c2]

	* widgets/static_bitmap/codegen.py:
	Rename class XrcCodeGenerator to StaticBitmapXrcObject
	[74d0f108dd03]

2016-02-10  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/casefiles/import_test.xrc, xrc2wxg.py:
	Remove attribute xmlns during converting xrc to wxg
	[eaa6746cdf87]

	* NEWS.txt, codegen/cpp_codegen.py, tests/casefiles/AllWidgets_28.cpp,
	tests/casefiles/AllWidgets_28.h, tests/casefiles/AllWidgets_30.cpp,
	tests/casefiles/AllWidgets_30.h, tests/casefiles/Bug179_Frame.c++,
	tests/casefiles/Bug179_Frame.hpp, tests/casefiles/CPPOgg1.cpp,
	tests/casefiles/CPPOgg1.h, tests/casefiles/CPPOgg2_MyDialog.cpp,
	tests/casefiles/CPPOgg2_MyDialog.h,
	tests/casefiles/CPPOgg2_MyFrame.cpp,
	tests/casefiles/CPPOgg2_MyFrame.h, tests/casefiles/CPPOgg3.cpp,
	tests/casefiles/CPPOgg3.h, tests/casefiles/CPP_Preferences.cpp,
	tests/casefiles/CPP_Preferences.h, tests/casefiles/CalendarCtrl.cpp,
	tests/casefiles/CalendarCtrl.h, tests/casefiles/ComplexExample.cpp,
	tests/casefiles/ComplexExample.h,
	tests/casefiles/ComplexExample_30.cpp,
	tests/casefiles/ComplexExample_30.h,
	tests/casefiles/CustomWidget.cpp, tests/casefiles/CustomWidget.h,
	tests/casefiles/FontColour.cpp, tests/casefiles/FontColour.h,
	tests/casefiles/Gauge.cpp, tests/casefiles/Gauge.h,
	tests/casefiles/Grid.cpp, tests/casefiles/Grid.h,
	tests/casefiles/HyperlinkCtrl_28.cpp,
	tests/casefiles/HyperlinkCtrl_28.h,
	tests/casefiles/Sizers_classattr.cpp,
	tests/casefiles/Sizers_classattr.h,
	tests/casefiles/Sizers_no_classattr.cpp,
	tests/casefiles/Sizers_no_classattr.h,
	tests/casefiles/Statusbar_wo_labels.cpp,
	tests/casefiles/Statusbar_wo_labels.h,
	tests/casefiles/add_class_inplace_extended.cpp,
	tests/casefiles/add_class_inplace_extended.h,
	tests/casefiles/add_class_inplace_orig.cpp,
	tests/casefiles/add_class_inplace_orig.h,
	tests/casefiles/app_wo_attrs.cpp, tests/casefiles/app_wo_attrs.h,
	tests/casefiles/bug163.cpp, tests/casefiles/bug163.h,
	tests/casefiles/bug165.cpp, tests/casefiles/bug165.h,
	tests/casefiles/bug166.cpp, tests/casefiles/bug166.h,
	tests/casefiles/bug167.cpp, tests/casefiles/bug167.h,
	tests/casefiles/bug167_utf8.cpp, tests/casefiles/bug167_utf8.h,
	tests/casefiles/no_suitable_writer.cpp,
	tests/casefiles/no_suitable_writer.h,
	tests/casefiles/no_supported_flags.cpp,
	tests/casefiles/no_supported_flags.h,
	tests/casefiles/remove_class_inplace_expected.cpp,
	tests/casefiles/remove_class_inplace_expected.h,
	tests/casefiles/remove_class_inplace_input.cpp,
	tests/casefiles/remove_class_inplace_input.h, tests/casefiles
	/styleless-dialog.cpp, tests/casefiles/styleless-dialog.h,
	widgets/dialog/codegen.py, widgets/frame/codegen.py,
	widgets/notebook/codegen.py, widgets/panel/codegen.py,
	widgets/splitter_window/codegen.py, widgets/toolbar/codegen.py:
	Use wxWindowID instead of int for widget identifiers in C++
	[2ceb9bfa9998]

2016-02-09  Carsten Grohmann  <mail@carstengrohmann.de>

	* wxglade.pyw:
	Use unicode strings if reporting of early error messages on Windows

	The previous code produces a mixture of ASCII and Unicode strings,
	that causes unusable error messages.
	[fa44856f4106]

	* NEWS.txt, docs/html/apa.html, docs/html/apb.html,
	docs/html/apc.html, docs/html/apd.html, docs/html/ape.html,
	docs/html/ch01.html, docs/html/ch01s02.html, docs/html/ch01s03.html,
	docs/html/ch01s04.html, docs/html/ch01s05.html,
	docs/html/ch01s06.html, docs/html/ch01s07.html,
	docs/html/ch01s08.html, docs/html/ch02.html, docs/html/ch02s02.html,
	docs/html/ch02s03.html, docs/html/ch02s04.html,
	docs/html/ch02s05.html, docs/html/ch02s06.html,
	docs/html/ch02s07.html, docs/html/ch02s08.html, docs/html/ch03.html,
	docs/html/ch03s02.html, docs/html/ch03s03.html,
	docs/html/ch03s04.html, docs/html/ch03s05.html,
	docs/html/ch03s06.html, docs/html/ch04.html, docs/html/ch04s02.html,
	docs/html/ch04s03.html, docs/html/ch05.html, docs/html/ch05s02.html,
	docs/html/ch05s03.html, docs/html/ch05s04.html, docs/html/ch06.html,
	docs/html/ch06s02.html, docs/html/ch06s03.html,
	docs/html/ch06s04.html, docs/html/ch06s05.html,
	docs/html/ch06s06.html, docs/html/ch06s07.html,
	docs/html/ch06s08.html, docs/html/ch06s09.html, docs/html/ch07.html,
	docs/html/ch07s02.html, docs/html/ch07s03.html,
	docs/html/index.html, docs/html/pr01.html, docs/html/pr01s02.html,
	docs/pdf/manual.pdf, docs/src/manual.xml, test.py, wxglade.py,
	wxglade.pyw:
	Improve reporting of early error messages on Windows
	[71c4b1eadf53]

2016-02-07  Carsten Grohmann  <mail@carstengrohmann.de>

	* wcodegen/__init__.py:
	Add docstring for constructor class variable
	[a76aa5cf9831]

	* xrc2wxg.py:
	Show a warning message if an unsupported widgets is imported from
	xrc
	[4c5014fe1179]

	* xrc2wxg.py:
	Update list of supported widgets in xrc2wxg.py
	[88738cd17adb]

2016-02-06  Carsten Grohmann  <mail@carstengrohmann.de>

	* res/templates_ui.wxg, template.py, templates_ui.py:
	Rename internal variables in both template dialogs
	[c4ccdf33f100]

	* NEWS.txt, tests/casefiles/AllWidgets_28.cpp,
	tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/AllWidgets_28.wxg,
	tests/casefiles/AllWidgets_28.xrc,
	tests/casefiles/AllWidgets_30.cpp, tests/casefiles/AllWidgets_30.pl,
	tests/casefiles/AllWidgets_30.py, tests/casefiles/AllWidgets_30.wxg,
	tests/casefiles/AllWidgets_30.xrc, widgets/statusbar/codegen.py,
	widgets/statusbar/perl_codegen.py:
	Fix wrong CreateStatusBar statement if styles are selected
	[88adbe54429d]

	* NEWS.txt, codegen/__init__.py, codegen/cpp_codegen.py,
	edit_sizers/cpp_sizers_codegen.py, edit_sizers/edit_sizers.py,
	edit_sizers/lisp_sizers_codegen.py,
	edit_sizers/perl_sizers_codegen.py,
	edit_sizers/py_sizers_codegen.py, templates_ui.py,
	tests/casefiles/AllWidgets_28.cpp, tests/casefiles/AllWidgets_28.h,
	tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/AllWidgets_30.cpp, tests/casefiles/AllWidgets_30.h,
	tests/casefiles/AllWidgets_30.pl, tests/casefiles/AllWidgets_30.py,
	tests/casefiles/CPP_Preferences.cpp,
	tests/casefiles/CPP_Preferences.h,
	tests/casefiles/ComplexExample.cpp,
	tests/casefiles/ComplexExample.h,
	tests/casefiles/ComplexExample.lisp,
	tests/casefiles/ComplexExample.pl,
	tests/casefiles/ComplexExample.py,
	tests/casefiles/ComplexExample_30.cpp,
	tests/casefiles/ComplexExample_30.h,
	tests/casefiles/ComplexExample_30.pl,
	tests/casefiles/ComplexExample_30.py,
	tests/casefiles/Lisp_Preferences.lisp,
	tests/casefiles/Perl_Preferences.pl,
	tests/casefiles/Python_Preferences.py,
	tests/casefiles/Sizers_classattr.cpp,
	tests/casefiles/Sizers_classattr.h,
	tests/casefiles/Sizers_classattr.lisp,
	tests/casefiles/Sizers_classattr.pl,
	tests/casefiles/Sizers_classattr.py,
	tests/casefiles/Sizers_no_classattr.cpp,
	tests/casefiles/Sizers_no_classattr.h,
	tests/casefiles/Sizers_no_classattr.lisp,
	tests/casefiles/Sizers_no_classattr.pl,
	tests/casefiles/Sizers_no_classattr.py:
	Inline wxStaticBox statement into wxStaticBoxSizer statement
	[f4aa032018dc]

	* tests/casefiles/AllWidgets_28.cpp,
	tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/AllWidgets_28.wxg,
	tests/casefiles/AllWidgets_28.xrc,
	tests/casefiles/AllWidgets_30.cpp, tests/casefiles/AllWidgets_30.pl,
	tests/casefiles/AllWidgets_30.py, tests/casefiles/AllWidgets_30.wxg,
	tests/casefiles/AllWidgets_30.xrc:
	Remove wxDatePickerCtrl style wxDP_SPIN from all test cases

	The documentation describes some limitations if using this style.
	Thereby the style has been removed from all test cases to prevent
	trouble. (grafted from c1dc8a460862eaa7ebccceedc339a85985077733)
	[0c16f91484e3] <WXG-BRANCH-VERSION_0_7_1>

	* tests/casefiles/AllWidgets_28.cpp,
	tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/AllWidgets_28.wxg,
	tests/casefiles/AllWidgets_28.xrc,
	tests/casefiles/AllWidgets_30.cpp, tests/casefiles/AllWidgets_30.pl,
	tests/casefiles/AllWidgets_30.py, tests/casefiles/AllWidgets_30.wxg,
	tests/casefiles/AllWidgets_30.xrc:
	Remove wxDatePickerCtrl style wxDP_SPIN from all test cases

	The documentation describes some limitations if using this style.
	Thereby the style has been removed from all test cases to prevent
	trouble.
	[c1dc8a460862]

	* compat.py, widget_properties.py:
	Add compatibility code for wxSizerItem.SetSizer()

	With wx3 "wxWindow::IsEnabled() now returns false if a window parent
	(and not necessarily the window itself) is disabled, new function
	IsThisEnabled() with the same behaviour as old IsEnabled() was
	added."

	For instance: a parent window can be disabled during a modal dialog
	is shown. (grafted from ba825f05d240e09a2d5ccb8453d64c45880b8d57)
	[e6cf181b62d0] <WXG-BRANCH-VERSION_0_7_1>

	* NEWS.txt, tests/casefiles/AllWidgets_28.cpp,
	tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/AllWidgets_28.wxg,
	tests/casefiles/AllWidgets_28.xrc,
	tests/casefiles/AllWidgets_30.cpp, tests/casefiles/AllWidgets_30.pl,
	tests/casefiles/AllWidgets_30.py, tests/casefiles/AllWidgets_30.wxg,
	tests/casefiles/AllWidgets_30.xrc,
	widgets/datepicker_ctrl/codegen.py,
	widgets/datepicker_ctrl/perl_codegen.py,
	widgets/datepicker_ctrl/wconfig.py:
	Fix generated code for wxDatePickerCtrl (grafted from
	7d890365d1eca12e7c15a1ac911ac4e804a5be8a)
	[633ec62814b4] <WXG-BRANCH-VERSION_0_7_1>

	* NEWS.txt, widgets/statusbar/wconfig.py:
	Add missing wxStatusBar style wxST_SIZEGRIP (grafted from
	7040e98b356a30f12689354bd089fcc36cd32904)
	[771f60c5728d] <WXG-BRANCH-VERSION_0_7_1>

	* compat.py, widget_properties.py:
	Add compatibility code for wxSizerItem.SetSizer()

	With wx3 "wxWindow::IsEnabled() now returns false if a window parent
	(and not necessarily the window itself) is disabled, new function
	IsThisEnabled() with the same behaviour as old IsEnabled() was
	added."

	For instance: a parent window can be disabled during a modal dialog
	is shown.
	[ba825f05d240]

2016-02-05  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, tests/casefiles/AllWidgets_28.cpp,
	tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/AllWidgets_28.wxg,
	tests/casefiles/AllWidgets_28.xrc,
	tests/casefiles/AllWidgets_30.cpp, tests/casefiles/AllWidgets_30.pl,
	tests/casefiles/AllWidgets_30.py, tests/casefiles/AllWidgets_30.wxg,
	tests/casefiles/AllWidgets_30.xrc,
	widgets/datepicker_ctrl/codegen.py,
	widgets/datepicker_ctrl/perl_codegen.py,
	widgets/datepicker_ctrl/wconfig.py:
	Fix generated code for wxDatePickerCtrl
	[7d890365d1ec]

2016-02-04  Carsten Grohmann  <mail@carstengrohmann.de>

	* main.py:
	Add widget names to simplify using widget inspector
	[7804aa6ff905]

	* application.py:
	Rename panel to panel_application variable to clarify purpose
	[64c525b6fc3d]

2016-02-03  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, widgets/statusbar/wconfig.py:
	Add missing wxStatusBar style wxST_SIZEGRIP
	[7040e98b356a]

2016-01-24  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/casefiles/AllWidgets_28.cpp,
	tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/AllWidgets_28.wxg,
	tests/casefiles/AllWidgets_28.xrc,
	tests/casefiles/AllWidgets_30.cpp, tests/casefiles/AllWidgets_30.pl,
	tests/casefiles/AllWidgets_30.py, tests/casefiles/AllWidgets_30.wxg,
	tests/casefiles/AllWidgets_30.xrc:
	Add icons to AllWidget tests
	[77810c100db3]

	* NEWS.txt, codegen/cpp_codegen.py, tests/casefiles/Bug179_Frame.c++,
	tests/casefiles/Bug179_Frame.hpp, tests/casefiles/Bug179_main.c++,
	tests/casefiles/bug179.wxg, tests/test_bugs.py,
	tests/test_codegen.py:
	Fix main file is generated without custom extensions (sf bug #179)
	(grafted from 3d351422d9fc6149542f241d9275d867afb5534b)
	[1f1cce01ac62] <WXG-BRANCH-VERSION_0_7_1>

	* NEWS.txt, codegen/cpp_codegen.py, tests/casefiles/Bug179_Frame.c++,
	tests/casefiles/Bug179_Frame.hpp, tests/casefiles/Bug179_main.c++,
	tests/casefiles/bug179.wxg, tests/test_bugs.py,
	tests/test_codegen.py:
	Fix main file is generated without custom extensions (sf bug #179)
	[3d351422d9fc]

2016-01-23  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, preferences_ui.py, tests/casefiles/Perl_Preferences.pl,
	tests/casefiles/Python_Preferences.py, widgets/dialog/codegen.py,
	widgets/dialog/perl_codegen.py, widgets/frame/codegen.py,
	widgets/frame/perl_codegen.py:
	Fix usage of wx.NullIcon for Perl and Python
	[4028580ba0cc]

	* NEWS.txt, edit_sizers/edit_sizers.py:
	Fix PyDeadObjectError during closing wxGlade (grafted from
	60fe758aa2994d64f02d62cbff57c9059cca5d58)
	[89c22e4d3fb6] <WXG-BRANCH-VERSION_0_7_1>

	* edit_sizers/edit_sizers.py:
	Rename some variables to clarify purpose
	[f70ef68ecc58]

	* bugdialog.py, edit_sizers/edit_sizers.py, font_dialog.py, main.py,
	widgets/custom_widget/custom_widget.py, widgets/dialog/dialog.py,
	widgets/frame/frame.py, widgets/gauge/gauge.py,
	widgets/menubar/menubar.py, widgets/notebook/notebook.py,
	widgets/slider/slider.py, widgets/spacer/spacer.py,
	widgets/splitter_window/splitter_window.py,
	widgets/static_line/static_line.py, widgets/statusbar/statusbar.py,
	widgets/toolbar/toolbar.py:
	Destroy() all instances of wxDialog after usage
	[24fb34baf3c3]

	* tests/test_gui.py, widget_properties.py,
	widgets/notebook/notebook.py:
	Remove obsolete comma in function argument lists
	[9cc1be9e2268]

	* edit_sizers/edit_sizers.py:
	Draw hatched lines of sizer slots only on MSW in foreground
	[98b17716ac81]

	* NEWS.txt, edit_sizers/edit_sizers.py:
	Fix PyDeadObjectError during closing wxGlade
	[60fe758aa299]

2016-01-10  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, edit_sizers/edit_sizers.py:
	Fix black window bug on Windows

	It's not possible to draw the hatched lines to the background on MSW
	due to a bug in wxWidgets.

	It's wxWidget bug #17326 "SetBackground() with hatched brushes cases
	black background on MSW" (grafted from
	0a1811d9a3fe5257e60799e7fea9f3651117179a)
	[51858439bbcb] <WXG-BRANCH-VERSION_0_7_1>

	* NEWS.txt, edit_sizers/edit_sizers.py:
	Fix black window bug on Windows

	It's not possible to draw the hatched lines to the background on MSW
	due to a bug in wxWidgets.

	It's wxWidget bug #17326 "SetBackground() with hatched brushes cases
	black background on MSW"
	[0a1811d9a3fe]

2016-01-08  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, common.py:
	Fix WindowsError is the backup file already exists (Thanks to Graeme
	Glenn) (grafted from 8363d1e592af423ea8e3f4b9ad90bf349e9b7851)
	[4c20f2fa0215] <WXG-BRANCH-VERSION_0_7_1>

	* NEWS.txt, common.py:
	Fix WindowsError is the backup file already exists (Thanks to Graeme
	Glenn)
	[8363d1e592af]

2016-01-07  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, compat.py, edit_sizers/edit_sizers.py:
	Fix ZeroDevisionError during adding a new column to a
	wxFlexGridSizer with only one row

	The API changed with wx 2.9: wx3 wxGridSizer.GetRows() and
	wxGridSizer.GetCols() "returns zero if the sizer is automatically
	adjusting the number of rows depending on number of its children."
	(grafted from fa206b3bcc3e3cf06e9671c1069373136d4142d0)
	[012c084ba4ba] <WXG-BRANCH-VERSION_0_7_1>

2016-01-06  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, edit_sizers/edit_sizers.py:
	Fix NameError exception during inserting a sizer slot (grafted from
	d7c6eda7a797e47993f5ca12ac76a7f875023eaf)
	[2345ac6822a3] <WXG-BRANCH-VERSION_0_7_1>

2016-01-05  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, widgets/static_line/static_line.py:
	Fix wrong orientation of wxStaticLine widgets (grafted from
	f9035341846ff0881fd6b3a69f8d806e924efb63)
	[ecec97ef8332] <WXG-BRANCH-VERSION_0_7_1>

	* widgets/slider/wconfig.py:
	Extend style description of wxSlider (grafted from
	e04101192b60dedd4571b3e1f5f13cfa67c7746c)
	[ac72fa86bd0d] <WXG-BRANCH-VERSION_0_7_1>

	* widgets/static_line/wconfig.py:
	Extend style description of wxStaticLine (grafted from
	7400864e82fd8f2e1d798001eab6ed7c14c25bdf)
	[46ca917b4d50] <WXG-BRANCH-VERSION_0_7_1>

2016-01-07  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, compat.py, edit_sizers/edit_sizers.py:
	Fix ZeroDevisionError during adding a new column to a
	wxFlexGridSizer with only one row

	The API changed with wx 2.9: wx3 wxGridSizer.GetRows() and
	wxGridSizer.GetCols() "returns zero if the sizer is automatically
	adjusting the number of rows depending on number of its children."
	[fa206b3bcc3e]

2016-01-06  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, edit_sizers/edit_sizers.py:
	Fix NameError exception during inserting a sizer slot
	[d7c6eda7a797]

2016-01-05  Carsten Grohmann  <mail@carstengrohmann.de>

	* Makefile:
	Create all documentation from source files in "doc" rule
	[ea1496fe1939]

	* Makefile:
	Update path of manpage style sheet
	[771695f0648a]

	* .hgignore, docs/man/wxglade.1:
	Adding wxglade manpage to the repository
	[cf20c36f98d4]

	* .hgignore:
	Remove ignored files from Eric IDE
	[4c3bc52c2c75]

	* NEWS.txt, widgets/static_line/static_line.py:
	Fix wrong orientation of wxStaticLine widgets
	[f9035341846f]

	* widgets/slider/wconfig.py:
	Extend style description of wxSlider
	[e04101192b60]

	* widgets/static_line/wconfig.py:
	Extend style description of wxStaticLine
	[7400864e82fd]

2016-01-01  Carsten Grohmann  <mail@carstengrohmann.de>

	* LICENSE.txt, MANIFEST.in, about.py, appdata.xml, application.py,
	bugdialog.py, clipboard.py, code_property.py, codegen/__init__.py,
	codegen/cpp_codegen.py, codegen/lisp_codegen.py,
	codegen/perl_codegen.py, codegen/py_codegen.py,
	codegen/xrc_codegen.py, color_dialog.py, common.py, compat.py,
	config.py, decorators.py, docs/html/apa.html, docs/html/apb.html,
	docs/html/apc.html, docs/html/apd.html, docs/html/ape.html,
	docs/html/ch01.html, docs/html/ch01s02.html, docs/html/ch01s03.html,
	docs/html/ch01s04.html, docs/html/ch01s05.html,
	docs/html/ch01s06.html, docs/html/ch01s07.html,
	docs/html/ch01s08.html, docs/html/ch02.html, docs/html/ch02s02.html,
	docs/html/ch02s03.html, docs/html/ch02s04.html,
	docs/html/ch02s05.html, docs/html/ch02s06.html,
	docs/html/ch02s07.html, docs/html/ch02s08.html, docs/html/ch03.html,
	docs/html/ch03s02.html, docs/html/ch03s03.html,
	docs/html/ch03s04.html, docs/html/ch03s05.html,
	docs/html/ch03s06.html, docs/html/ch04.html, docs/html/ch04s02.html,
	docs/html/ch04s03.html, docs/html/ch05.html, docs/html/ch05s02.html,
	docs/html/ch05s03.html, docs/html/ch05s04.html, docs/html/ch06.html,
	docs/html/ch06s02.html, docs/html/ch06s03.html,
	docs/html/ch06s04.html, docs/html/ch06s05.html,
	docs/html/ch06s06.html, docs/html/ch06s07.html,
	docs/html/ch06s08.html, docs/html/ch06s09.html, docs/html/ch07.html,
	docs/html/ch07s02.html, docs/html/ch07s03.html,
	docs/html/index.html, docs/html/pr01.html, docs/html/pr01s02.html,
	docs/man/manpage.xml, docs/pdf/manual.pdf, docs/src/manual.xml,
	edit_sizers/__init__.py, edit_sizers/cpp_sizers_codegen.py,
	edit_sizers/edit_sizers.py, edit_sizers/lisp_sizers_codegen.py,
	edit_sizers/perl_sizers_codegen.py,
	edit_sizers/py_sizers_codegen.py, edit_sizers/xrc_sizers_codegen.py,
	edit_widget.py, edit_windows.py, errors.py, events_mixin.py,
	gui_mixins.py, install/pyinstaller/build.bat,
	install/pyinstaller/hooks/hook-main.py, install/pyinstaller/wxglade-
	SAE-installer.iss, install/pyinstaller/wxglade-installer.iss,
	install/pyinstaller/wxglade.spec, layout_option_property.py, log.py,
	main.py, misc.py, plugins.py, preferencesdialog.py, setup.py,
	template.py, test.py, tests/__init__.py,
	tests/casefiles/file_encodings.txt, tests/test_bugs.py,
	tests/test_codegen.py, tests/test_compile.py,
	tests/test_external.py, tests/test_gui.py, tree.py,
	wcodegen/__init__.py, wcodegen/dialogs.py, wcodegen/taghandler.py,
	widget_properties.py, widgets/ChoicesCodeHandler.py,
	widgets/ChoicesProperty.py, widgets/MenuTree.py,
	widgets/bitmap_button/bitmap_button.py,
	widgets/bitmap_button/codegen.py,
	widgets/bitmap_button/lisp_codegen.py,
	widgets/bitmap_button/perl_codegen.py,
	widgets/bitmap_button/wconfig.py, widgets/button/button.py,
	widgets/button/codegen.py, widgets/button/lisp_codegen.py,
	widgets/button/perl_codegen.py, widgets/button/wconfig.py,
	widgets/calendar_ctrl/calendar_ctrl.py,
	widgets/calendar_ctrl/codegen.py,
	widgets/calendar_ctrl/perl_codegen.py,
	widgets/calendar_ctrl/wconfig.py, widgets/checkbox/checkbox.py,
	widgets/checkbox/checkbox_base.py, widgets/checkbox/codegen.py,
	widgets/checkbox/lisp_codegen.py, widgets/checkbox/perl_codegen.py,
	widgets/checkbox/wconfig.py, widgets/choice/choice.py,
	widgets/choice/codegen.py, widgets/choice/lisp_codegen.py,
	widgets/choice/perl_codegen.py, widgets/choice/wconfig.py,
	widgets/combo_box/codegen.py, widgets/combo_box/combo_box.py,
	widgets/combo_box/lisp_codegen.py,
	widgets/combo_box/perl_codegen.py, widgets/combo_box/wconfig.py,
	widgets/custom_widget/codegen.py,
	widgets/custom_widget/custom_widget.py,
	widgets/custom_widget/lisp_codegen.py,
	widgets/custom_widget/perl_codegen.py,
	widgets/datepicker_ctrl/codegen.py,
	widgets/datepicker_ctrl/datepicker_ctrl.py,
	widgets/datepicker_ctrl/lisp_codegen.py,
	widgets/datepicker_ctrl/perl_codegen.py,
	widgets/datepicker_ctrl/wconfig.py, widgets/dialog/codegen.py,
	widgets/dialog/dialog.py, widgets/dialog/lisp_codegen.py,
	widgets/dialog/perl_codegen.py, widgets/dialog/wconfig.py,
	widgets/frame/codegen.py, widgets/frame/frame.py,
	widgets/frame/lisp_codegen.py, widgets/frame/perl_codegen.py,
	widgets/frame/wconfig.py, widgets/gauge/codegen.py,
	widgets/gauge/lisp_codegen.py, widgets/gauge/perl_codegen.py,
	widgets/gauge/wconfig.py, widgets/grid/grid.py,
	widgets/grid/lisp_codegen.py, widgets/grid/perl_codegen.py,
	widgets/grid/wconfig.py, widgets/hyperlink_ctrl/__init__.py,
	widgets/hyperlink_ctrl/codegen.py,
	widgets/hyperlink_ctrl/hyperlink_ctrl.py,
	widgets/hyperlink_ctrl/lisp_codegen.py,
	widgets/hyperlink_ctrl/perl_codegen.py,
	widgets/hyperlink_ctrl/wconfig.py, widgets/list_box/codegen.py,
	widgets/list_box/lisp_codegen.py, widgets/list_box/list_box.py,
	widgets/list_box/perl_codegen.py, widgets/list_box/wconfig.py,
	widgets/list_ctrl/codegen.py, widgets/list_ctrl/lisp_codegen.py,
	widgets/list_ctrl/list_ctrl.py, widgets/list_ctrl/perl_codegen.py,
	widgets/list_ctrl/wconfig.py, widgets/menubar/codegen.py,
	widgets/menubar/menubar.py, widgets/menubar/perl_codegen.py,
	widgets/notebook/codegen.py, widgets/notebook/lisp_codegen.py,
	widgets/notebook/notebook.py, widgets/notebook/perl_codegen.py,
	widgets/notebook/wconfig.py, widgets/panel/codegen.py,
	widgets/panel/lisp_codegen.py, widgets/panel/panel.py,
	widgets/panel/perl_codegen.py, widgets/panel/wconfig.py,
	widgets/radio_box/codegen.py, widgets/radio_box/lisp_codegen.py,
	widgets/radio_box/perl_codegen.py, widgets/radio_box/radio_box.py,
	widgets/radio_box/radio_box_base.py, widgets/radio_box/wconfig.py,
	widgets/radio_button/codegen.py,
	widgets/radio_button/lisp_codegen.py,
	widgets/radio_button/perl_codegen.py,
	widgets/radio_button/radio_button.py,
	widgets/radio_button/wconfig.py, widgets/slider/codegen.py,
	widgets/slider/lisp_codegen.py, widgets/slider/perl_codegen.py,
	widgets/slider/slider.py, widgets/slider/wconfig.py,
	widgets/spacer/codegen.py, widgets/spacer/lisp_codegen.py,
	widgets/spacer/perl_codegen.py, widgets/spacer/spacer.py,
	widgets/spin_button/codegen.py, widgets/spin_button/lisp_codegen.py,
	widgets/spin_button/perl_codegen.py,
	widgets/spin_button/spin_button.py, widgets/spin_button/wconfig.py,
	widgets/spin_ctrl/codegen.py, widgets/spin_ctrl/lisp_codegen.py,
	widgets/spin_ctrl/perl_codegen.py, widgets/spin_ctrl/spin_ctrl.py,
	widgets/spin_ctrl/wconfig.py, widgets/splitter_window/codegen.py,
	widgets/splitter_window/lisp_codegen.py,
	widgets/splitter_window/perl_codegen.py,
	widgets/splitter_window/splitter_window.py,
	widgets/splitter_window/wconfig.py,
	widgets/static_bitmap/codegen.py,
	widgets/static_bitmap/lisp_codegen.py,
	widgets/static_bitmap/perl_codegen.py,
	widgets/static_bitmap/static_bitmap.py,
	widgets/static_bitmap/wconfig.py, widgets/static_line/codegen.py,
	widgets/static_line/lisp_codegen.py,
	widgets/static_line/perl_codegen.py,
	widgets/static_line/static_line.py, widgets/static_line/wconfig.py,
	widgets/static_text/codegen.py, widgets/static_text/lisp_codegen.py,
	widgets/static_text/perl_codegen.py,
	widgets/static_text/static_text.py, widgets/static_text/wconfig.py,
	widgets/statusbar/__init__.py, widgets/statusbar/codegen.py,
	widgets/statusbar/lisp_codegen.py,
	widgets/statusbar/perl_codegen.py, widgets/statusbar/statusbar.py,
	widgets/statusbar/wconfig.py, widgets/text_ctrl/codegen.py,
	widgets/text_ctrl/lisp_codegen.py,
	widgets/text_ctrl/perl_codegen.py, widgets/text_ctrl/text_ctrl.py,
	widgets/text_ctrl/wconfig.py, widgets/toggle_button/codegen.py,
	widgets/toggle_button/lisp_codegen.py,
	widgets/toggle_button/perl_codegen.py,
	widgets/toggle_button/toggle_button.py,
	widgets/toggle_button/wconfig.py, widgets/toolbar/codegen.py,
	widgets/toolbar/lisp_codegen.py, widgets/toolbar/perl_codegen.py,
	widgets/toolbar/tool.py, widgets/toolbar/toolbar.py,
	widgets/toolbar/wconfig.py, widgets/tree_ctrl/codegen.py,
	widgets/tree_ctrl/lisp_codegen.py,
	widgets/tree_ctrl/perl_codegen.py, widgets/tree_ctrl/tree_ctrl.py,
	widgets/tree_ctrl/wconfig.py, wxglade, wxglade.py, wxglade.pyw,
	xml_parse.py, xrc2wxg.py:
	Update copyright year
	[fabd4a25d23e]

	* NEWS.txt, application.py, common.py, kdefiledialog.py, main.py,
	misc.py, preferences_ui.py, preferencesdialog.py,
	res/preferences_ui.wxg, widget_properties.py,
	widgets/bitmap_button/bitmap_button.py,
	widgets/static_bitmap/static_bitmap.py, widgets/toolbar/toolbar.py:
	Remove usage of KDE file dialog
	[c5fe5ef69ff7]

	* CHANGES.txt, changelog.style, docs/ReleaseSteps.txt:
	Update release documentation
	[c1dfe4cb14f5]

2015-12-29  Carsten Grohmann  <mail@carstengrohmann.de>

	* setup.py:
	Remove obsolation setup requirement setuptools_hg
	[8cce02f8702e]

2015-12-26  Carsten Grohmann  <mail@carstengrohmann.de>

	* README.SF.md:
	Add package checksums
	[52c0472bd07f] <WXG-BRANCH-VERSION_0_7_1>

	* version.py:
	Add version file
	[ca598bf107a7] <WXG-BRANCH-VERSION_0_7_1>

	* NEWS.txt, install/pyinstaller/wxglade-installer.iss:
	Start new development cycle
	[b387f5691856]

	* Created WXG-BRANCH-VERSION_0_7_1 branch
	[59331e19f57a] <WXG-BRANCH-VERSION_0_7_1>

	* .hgtags:
	Added tag rel_0.7.1 for changeset 5668b53d9f7d
	[f236cc6d527e]

	* Closed WXG-BRANCH-VERSION_0_7_0 branch
	[be549fd67e4f] <WXG-BRANCH-VERSION_0_7_0>

	* CHANGES.txt, NEWS.txt, README.SF.md, README.txt, install/pyinstaller
	/wxglade-installer.iss, wxGlade.desktop:
	Bump version number to 0.7.1
	[5668b53d9f7d] [rel_0.7.1]

	* docs/ReleaseSteps.txt:
	Update release steps
	[7076007a12f2]

2015-12-23  Carsten Grohmann  <mail@carstengrohmann.de>

	* widget_properties.py:
	Add a cache for wrapped messages

	textwarp.wrap() is teribble show. The cache accelerate loading
	larger designs significantly.
	[1ceb257b3e1c]

2015-12-19  Carsten Grohmann  <mail@carstengrohmann.de>

	* icons/wxg_file.ico:
	Change size of wxg file icon to 32x64 to 32x32
	[4f456563cac1]

	* docs/html/apa.html, docs/html/apb.html, docs/html/apc.html,
	docs/html/apd.html, docs/html/ape.html, docs/html/ch01.html,
	docs/html/ch01s02.html, docs/html/ch01s03.html,
	docs/html/ch01s04.html, docs/html/ch01s05.html,
	docs/html/ch01s06.html, docs/html/ch01s07.html,
	docs/html/ch01s08.html, docs/html/ch02.html, docs/html/ch02s02.html,
	docs/html/ch02s03.html, docs/html/ch02s04.html,
	docs/html/ch02s05.html, docs/html/ch02s06.html,
	docs/html/ch02s07.html, docs/html/ch02s08.html, docs/html/ch03.html,
	docs/html/ch03s02.html, docs/html/ch03s03.html,
	docs/html/ch03s04.html, docs/html/ch03s05.html,
	docs/html/ch03s06.html, docs/html/ch04.html, docs/html/ch04s02.html,
	docs/html/ch04s03.html, docs/html/ch05.html, docs/html/ch05s02.html,
	docs/html/ch05s03.html, docs/html/ch05s04.html, docs/html/ch06.html,
	docs/html/ch06s02.html, docs/html/ch06s03.html,
	docs/html/ch06s04.html, docs/html/ch06s05.html,
	docs/html/ch06s06.html, docs/html/ch06s07.html,
	docs/html/ch06s08.html, docs/html/ch06s09.html, docs/html/ch07.html,
	docs/html/ch07s02.html, docs/html/ch07s03.html,
	docs/html/custom_widget_SM_design1.png,
	docs/html/custom_widget_SM_design2.png,
	docs/html/custom_widget_SM_preview.png,
	docs/html/custom_widget_SM_tree.png, docs/html/index.html,
	docs/html/mondrian_200x200.png, docs/html/pr01.html,
	docs/html/pr01s02.html, docs/html/properties_window_tab_3.png,
	docs/html/properties_window_tab_3_dont_generate_code.png,
	docs/pdf/manual.pdf, docs/src/custom_widget_SM_design1.png,
	docs/src/custom_widget_SM_design2.png,
	docs/src/custom_widget_SM_preview.png,
	docs/src/custom_widget_SM_tree.png, docs/src/manual.xml,
	docs/src/mondrian_200x200.png, docs/src/properties_window_tab_3.png,
	docs/src/properties_window_tab_3_dont_generate_code.png:
	Update and extend documentation
	[cf99bed74b41]

2015-12-14  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/casefiles/AllWidgets_28.cpp, tests/casefiles/AllWidgets_28.h,
	tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/AllWidgets_28.wxg,
	tests/casefiles/AllWidgets_28.xrc,
	tests/casefiles/AllWidgets_30.cpp, tests/casefiles/AllWidgets_30.h,
	tests/casefiles/AllWidgets_30.pl, tests/casefiles/AllWidgets_30.py,
	tests/casefiles/AllWidgets_30.wxg,
	tests/casefiles/AllWidgets_30.xrc:
	Clarify widget name in AllWidgets examples
	[e52637656945]

2015-12-11  Carsten Grohmann  <mail@carstengrohmann.de>

	* templates/Dialog_with_two_buttons.wgt:
	Remove email from author entry in two button dialog template
	[03e04b31c0f7]

	* templates/CustomWidget_AGW_SpeedMeter.wgt:
	Add a custom widget example as a template
	[4776a304e204]

2015-12-07  Carsten Grohmann  <mail@carstengrohmann.de>

	* main.py, widgets/notebook/notebook.py, widgets/panel/panel.py,
	widgets/splitter_window/splitter_window.py:
	Improve wording
	[e005a68b619c]

2015-12-06  Carsten Grohmann  <mail@carstengrohmann.de>

	* docs/src/manual.xml, wxGlade.desktop:
	Use XPM formatted icon in wxGlade desktop file
	[9ef2515dcf94]

	* icons/wxglade.xpm:
	Add XPM formatted wxGlade icon
	[6aee6bc081aa]

	* edit_sizers/edit_sizers.py:
	Fix SegFault during removal of sizer slots

	wxSizer.Remove(elem.widget) doesn't remove the widget from the
	sizer. After the call the widget is listed with GetChildren().

	Now the widget is detached only. It will be deleted later like in
	the previous revisions.
	[e2ab49f697a6]

	* edit_sizers/edit_sizers.py:
	Minor documentation and code improvements for sizer code
	[e7f3db5c1050]

	* README.SF.md:
	Add RC2 details
	[779305a771fb]

	* .hgtags:
	Added tag rel_0.7.1RC2 for changeset 27d9766606a8
	[0c172f8b5b31]

2015-12-04  Carsten Grohmann  <mail@carstengrohmann.de>

	* compat.py:
	Disable compatibility code for wxSizerItem.SetSizer()

	AssignSizer() causes dead objects if widgets are added to more than
	one sizer.
	[27d9766606a8] [rel_0.7.1RC2]

	* NEWS.txt, config.py, tests/casefiles/app_wo_attrs_gui.wxg,
	tests/casefiles/app_wo_attrs_gui.xrc, tests/test_gui.py,
	xml_parse.py:
	Load wxg files even if application attributes are missing
	[0cc9a0ce2409]

	* tests/test_gui.py:
	Show widgets during graphical tests are running
	[65e6ad5775af]

	* edit_sizers/edit_sizers.py:
	Simplify widget handling in sizer code to prevent PyAssertionError

	The current code raises a PyAssertionError because "Adding a window
	to the same sizer twice?". The current simplified code should
	prevent such messages.
	[05e859527d7f]

	* edit_sizers/edit_sizers.py:
	Update source documentation of edit sizer code
	[60e3605cc830]

2015-12-03  Carsten Grohmann  <mail@carstengrohmann.de>

	* application.py, edit_sizers/edit_sizers.py, edit_windows.py,
	main.py, misc.py, tree.py:
	Remove hidden_property_panel workaround

	The workaround caused an assertion exception because an object was
	added to two sizers at the same time.
	[d47846fa5f4a]

2015-12-02  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/test_gui.py:
	Suppress wx error messages during running test cases
	[e4695e26371a]

	* widgets/toolbar/toolbar.py:
	Improve deleting tools from toolbar

	A new test setup causes the assertion error shown below. This change
	fix this error:

	 File "/home/carsten/wxglade/widgets/toolbar/toolbar.py", line 718,
	in set_tools while self.widget.DeleteToolByPos(0): File
	"/usr/lib64/python2.7/site-packages/wx-3.0-gtk2/wx/_controls.py",
	line 3777, in DeleteToolByPos return
	_controls_.ToolBarBase_DeleteToolByPos(*args, **kwargs)
	PyAssertionError: C++ assertion "pos < GetToolsCount()" failed at
	./src/common/tbarbase.cpp(328) in DeleteToolByPos(): invalid
	position in wxToolBar::DeleteToolByPos()
	[c09299f9934b]

2015-11-30  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, README.txt, wxGlade.desktop:
	Bump version number to 0.7.1RC2
	[eb84df738324]

	* compat.py, edit_sizers/edit_sizers.py, edit_widget.py,
	edit_windows.py, widgets/bitmap_button/bitmap_button.py,
	widgets/button/button.py, widgets/calendar_ctrl/calendar_ctrl.py,
	widgets/check_list_box/check_list_box.py,
	widgets/checkbox/checkbox.py, widgets/choice/choice.py,
	widgets/combo_box/combo_box.py,
	widgets/custom_widget/custom_widget.py,
	widgets/datepicker_ctrl/datepicker_ctrl.py,
	widgets/dialog/dialog.py, widgets/frame/frame.py,
	widgets/gauge/gauge.py,
	widgets/generic_calendar_ctrl/generic_calendar_ctrl.py,
	widgets/grid/grid.py, widgets/hyperlink_ctrl/hyperlink_ctrl.py,
	widgets/list_box/list_box.py, widgets/list_ctrl/list_ctrl.py,
	widgets/menubar/menubar.py, widgets/notebook/notebook.py,
	widgets/panel/panel.py,
	widgets/property_grid_manager/property_grid_manager.py,
	widgets/radio_box/radio_box.py,
	widgets/radio_button/radio_button.py, widgets/slider/slider.py,
	widgets/spin_button/spin_button.py, widgets/spin_ctrl/spin_ctrl.py,
	widgets/splitter_window/splitter_window.py,
	widgets/static_bitmap/static_bitmap.py,
	widgets/static_line/static_line.py,
	widgets/static_text/static_text.py, widgets/statusbar/statusbar.py,
	widgets/text_ctrl/text_ctrl.py,
	widgets/toggle_button/toggle_button.py, widgets/toolbar/toolbar.py,
	widgets/tree_ctrl/tree_ctrl.py:
	Add compatibility code for wxSizerItem.SetSizer()

	wxSizerItem.SetSizer() is deprecated since wxPython 3.0 use
	wxSizerItem.AssignSizer() instead.
	[1717c49eb9d2]

2015-11-25  Carsten Grohmann  <mail@carstengrohmann.de>

	* compat.py:
	Rework handling of compat function

	Take the decision which function is to use once per application
	runtime and not once per function call
	[b4e847c9bfe7]

2015-11-24  Carsten Grohmann  <mail@carstengrohmann.de>

	* codegen/cpp_codegen.py:
	Remove unsed local variable "out_path" in CPPCodeWriter.init_lang()
	[df18c6238933]

	* NEWS.txt, tests/casefiles/app_wo_attrs.cpp,
	tests/casefiles/app_wo_attrs.h, tests/casefiles/app_wo_attrs.lisp,
	tests/casefiles/app_wo_attrs.pl, tests/casefiles/app_wo_attrs.py,
	tests/casefiles/app_wo_attrs.wxg, tests/casefiles/app_wo_attrs.xrc,
	tests/test_codegen.py, xml_parse.py:
	Use defaults for missing application attributes in wxg files

	The <application> tag has a lot of attributes to specifiy generating
	source files. If a attribute is missed the defaults will be used.
	Except the "language" attribute. This will be get from the code
	writer instance.
	[35f567111940]

2015-11-23  Carsten Grohmann  <mail@carstengrohmann.de>

	* xml_parse.py:
	Wrong type definition in docstring of xml_parse.Sizeritem.set_flag()
	[e5c21a726f9a]

	* codegen/cpp_codegen.py, config.py, tests/test_codegen.py:
	Store some C++ defaults in config module
	[811190f33cf4]

	* tests/test_gui.py, xml_parse.py:
	Typo in error message
	[ab1fb8370768]

2015-11-18  Carsten Grohmann  <mail@carstengrohmann.de>

	* clipboard.py, xml_parse.py:
	Minor code reorg and docstring changes related to the previous
	commit
	[a7d98ed6a95b]

	* NEWS.txt, clipboard.py, xml_parse.py:
	Fix root widget loses layout attributes during copy and paste
	[2e2a110bcd84]

2015-11-16  Carsten Grohmann  <mail@carstengrohmann.de>

	* widgets/button/button.py, widgets/calendar_ctrl/calendar_ctrl.py,
	widgets/datepicker_ctrl/datepicker_ctrl.py,
	widgets/generic_calendar_ctrl/generic_calendar_ctrl.py:
	Add new created object existing sizer to some XML factory functions

	Most of the XML factory functions adds new created objects to sizers
	already. Some widgets hadn't implemented this code.
	[1510f918aeef]

2015-11-12  Carsten Grohmann  <mail@carstengrohmann.de>

	* wxglade.py:
	Import and initialise Python Fault Handler if available
	[b47df010ce3c]

2015-11-10  Carsten Grohmann  <mail@carstengrohmann.de>

	* codegen/perl_codegen.py, widgets/menubar/perl_codegen.py:
	Remove usage of codegen.perl_codegen.PerlCodeWriter.quote_key()
	[28f6c0d28e8e]

	* tests/casefiles/AllWidgets_28.cpp, tests/casefiles/AllWidgets_28.h,
	tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/AllWidgets_28.wxg,
	tests/casefiles/AllWidgets_28.xrc,
	tests/casefiles/AllWidgets_30.cpp, tests/casefiles/AllWidgets_30.h,
	tests/casefiles/AllWidgets_30.pl, tests/casefiles/AllWidgets_30.py,
	tests/casefiles/AllWidgets_30.wxg,
	tests/casefiles/AllWidgets_30.xrc:
	Add more complex menus to AllWidgets test cases for 2.8 and 3.0
	[6831418208d3]

	* NEWS.txt, codegen/perl_codegen.py, widgets/menubar/perl_codegen.py:
	Fix binding of menu event in Perl
	[adef9976b2ec]

	* wcodegen/__init__.py:
	Typo in docstring
	[c848603c086f]

	* Makefile:
	Add rule for clonedigger
	[f29fb543a033]

2015-11-09  Carsten Grohmann  <mail@carstengrohmann.de>

	* bugdialog_ui.py, res/bugdialog_ui.wxg:
	Increase initial size of bug dialog
	[74d38345f17c]

	* misc.py:
	Remove first and empty declaration of misc.accel_table

	misc.accel_table has been declared twice. The first declaration is
	removed and the docstring is part of the second declaration now.
	[c433e63e5bcc]

2015-11-08  Carsten Grohmann  <mail@carstengrohmann.de>

	* edit_sizers/edit_sizers.py, edit_windows.py, tree.py,
	widgets/menubar/menubar.py, widgets/panel/panel.py,
	widgets/toolbar/toolbar.py:
	Rework calculating popup menu positions

	The previous version doesn't work with wxPython 2.8
	[dad39564da40]

2015-11-07  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/casefiles/AllWidgets_28.cpp, tests/casefiles/AllWidgets_28.h,
	tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/AllWidgets_28.wxg,
	tests/casefiles/AllWidgets_28.xrc:
	Remove wxPropertyGridManager and wxGenericCalendarCtrl from 2.8
	tests

	Both widgets are not supported with wxPython 2.8 and prevent using
	the test case with wxPython 2.8
	[aa1fda2243ac]

	* NEWS.txt, edit_windows.py:
	Fix a infinite loop within sizing a widget (sf bug #170)

	There are an infinite loop of wxSizeEvents. All events have the same
	id. It looks currently like a bug in the underlaying wx libraries
	especially in the GTK part. The bug doesn't occur on Windows.

	The issue probably occur only within EditGrid.

	This is workaround prevents the propagation if the size hasn't
	changed.
	[99eb611e25c1]

2015-11-01  Carsten Grohmann  <mail@carstengrohmann.de>

	* edit_sizers/edit_sizers.py, events_mixin.py, widget_properties.py,
	widgets/statusbar/lisp_codegen.py, xrc2wxg.py:
	Rework some for statements to be more Pythonic
	[bf00e82cea14]

2015-10-31  Carsten Grohmann  <mail@carstengrohmann.de>

	* edit_sizers/edit_sizers.py:
	Reformat docstring for edit_sizers.change_sizer()
	[cc1dc83a1424]

	* docs/html/apa.html, docs/html/apb.html, docs/html/apd.html,
	docs/html/ch01.html, docs/html/ch01s02.html, docs/html/ch01s03.html,
	docs/html/ch01s04.html, docs/html/ch01s05.html,
	docs/html/ch01s06.html, docs/html/ch01s07.html,
	docs/html/ch01s08.html, docs/html/ch02.html, docs/html/ch02s02.html,
	docs/html/ch02s03.html, docs/html/ch02s04.html,
	docs/html/ch02s05.html, docs/html/ch02s06.html,
	docs/html/ch02s07.html, docs/html/ch02s08.html, docs/html/ch03.html,
	docs/html/ch03s02.html, docs/html/ch03s03.html,
	docs/html/ch03s04.html, docs/html/ch03s05.html,
	docs/html/ch03s06.html, docs/html/ch04.html, docs/html/ch04s02.html,
	docs/html/ch04s03.html, docs/html/ch05.html, docs/html/ch05s02.html,
	docs/html/ch05s03.html, docs/html/ch05s04.html, docs/html/ch06.html,
	docs/html/ch06s02.html, docs/html/ch06s03.html,
	docs/html/ch06s04.html, docs/html/ch06s05.html,
	docs/html/ch06s06.html, docs/html/ch06s07.html,
	docs/html/ch06s08.html, docs/html/ch06s09.html, docs/html/ch07.html,
	docs/html/ch07s02.html, docs/html/ch07s03.html,
	docs/html/index.html, docs/html/pr01.html, docs/html/pr01s02.html,
	docs/pdf/manual.pdf, docs/src/manual.xml:
	Change documentation to reflect changed name of
	SizerSlot.on_drop_widget()
	[0b13533b75f1]

	* clipboard.py, edit_sizers/edit_sizers.py, edit_windows.py,
	widgets/panel/panel.py:
	Minor code reorg in accessing clipboard functions
	[0dc724c3ad3d]

	* edit_sizers/edit_sizers.py:
	Fix segfault triggered by deleting a SizerSlot instance

	The segfault was triggered by incorrect / incomplete deletion of
	related objects.

	The incorrect code was probably introduced in 1737:e6c212b7f347
	"Rework SizerSlot class mainly to draw background buffered"
	[02df7a2ab281]

	* edit_sizers/edit_sizers.py:
	Rename some event handler in calss SizerSlot to start with "on_"
	[adb06566cb35]

2015-10-30  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, widgets/gauge/gauge.py, widgets/slider/slider.py,
	widgets/splitter_window/splitter_window.py,
	widgets/static_line/static_line.py:
	Fix TypeError triggered during generating the widget label

	Creating a widget label raises a TypeError (due a programming bug)
	if a widget of this type already exists.
	[ee021cfff68f]

2015-10-29  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, clipboard.py:
	Fix unicode error during copying widgets to the clipboard
	[4d21265043c7]

2015-10-25  Carsten Grohmann  <mail@carstengrohmann.de>

	* Makefile, pylintrc:
	Use Pylint config file instead of commandline options
	[cac19923c9a8]

	* pylintrc:
	Plain and unmodified Pylint configuration file
	[d8d352934705]

	* setup.py:
	Use own implementation to filter files for binary packages

	This change solves a possible license issue, because the old
	implementation was copied from the Python source code and modified.
	The new implementation just filters the output of the original
	implementation.
	[1990285b58e0]

2015-10-08  Carsten Grohmann  <mail@carstengrohmann.de>

	* docs/html/apa.html, docs/html/apb.html, docs/html/apd.html,
	docs/html/ch01.html, docs/html/ch01s02.html, docs/html/ch01s03.html,
	docs/html/ch01s04.html, docs/html/ch01s05.html,
	docs/html/ch01s06.html, docs/html/ch01s07.html,
	docs/html/ch01s08.html, docs/html/ch02.html, docs/html/ch02s02.html,
	docs/html/ch02s03.html, docs/html/ch02s04.html,
	docs/html/ch02s05.html, docs/html/ch02s06.html,
	docs/html/ch02s07.html, docs/html/ch02s08.html, docs/html/ch03.html,
	docs/html/ch03s02.html, docs/html/ch03s03.html,
	docs/html/ch03s04.html, docs/html/ch03s05.html,
	docs/html/ch03s06.html, docs/html/ch04.html, docs/html/ch04s02.html,
	docs/html/ch04s03.html, docs/html/ch05.html, docs/html/ch05s02.html,
	docs/html/ch05s03.html, docs/html/ch05s04.html, docs/html/ch06.html,
	docs/html/ch06s02.html, docs/html/ch06s03.html,
	docs/html/ch06s04.html, docs/html/ch06s05.html,
	docs/html/ch06s06.html, docs/html/ch06s07.html,
	docs/html/ch06s08.html, docs/html/ch06s09.html, docs/html/ch07.html,
	docs/html/ch07s02.html, docs/html/ch07s03.html,
	docs/html/index.html, docs/html/pr01.html, docs/html/pr01s02.html,
	docs/html/properties_custom_widget.png, docs/pdf/manual.pdf,
	docs/src/manual.xml, docs/src/properties_custom_widget.png,
	widgets/custom_widget/custom_widget.py:
	Remove button 'Help on "Arguments" property' use the documentation
	instead

	The custom widget is well described incl. a short example in the
	wxGlade documentation now.
	[b3eebf6429ee]

2015-10-06  Carsten Grohmann  <mail@carstengrohmann.de>

	* docs/html/apa.html, docs/html/apb.html, docs/html/apd.html,
	docs/html/ch01.html, docs/html/ch01s02.html, docs/html/ch01s03.html,
	docs/html/ch01s04.html, docs/html/ch01s05.html,
	docs/html/ch01s06.html, docs/html/ch01s07.html,
	docs/html/ch01s08.html, docs/html/ch02.html, docs/html/ch02s02.html,
	docs/html/ch02s03.html, docs/html/ch02s04.html,
	docs/html/ch02s05.html, docs/html/ch02s06.html,
	docs/html/ch02s07.html, docs/html/ch02s08.html,
	docs/html/ch02s09.html, docs/html/ch03.html, docs/html/ch03s02.html,
	docs/html/ch03s03.html, docs/html/ch03s04.html,
	docs/html/ch03s05.html, docs/html/ch03s06.html, docs/html/ch04.html,
	docs/html/ch04s02.html, docs/html/ch04s03.html, docs/html/ch05.html,
	docs/html/ch05s02.html, docs/html/ch05s03.html,
	docs/html/ch05s04.html, docs/html/ch06.html, docs/html/ch06s02.html,
	docs/html/ch06s03.html, docs/html/ch06s04.html,
	docs/html/ch06s05.html, docs/html/ch06s06.html,
	docs/html/ch06s07.html, docs/html/ch06s08.html,
	docs/html/ch06s09.html, docs/html/ch07.html, docs/html/ch07s02.html,
	docs/html/ch07s03.html, docs/html/index.html, docs/html/pr01.html,
	docs/html/pr01s02.html, docs/html/properties_custom_widget.png,
	docs/html/tooltip_styles.png, docs/html/wxglade_start_on_linux.png,
	docs/html/wxglade_start_on_windows.png, docs/pdf/manual.pdf,
	docs/src/manual.xml, docs/src/properties_custom_widget.png,
	docs/src/tooltip_styles.png, docs/src/wxglade_start_on_linux.png,
	docs/src/wxglade_start_on_windows.png:
	Update and extend documentation
	[1faf6ce251df]

2015-10-02  Carsten Grohmann  <mail@carstengrohmann.de>

	* Makefile:
	Clearify distclean rule
	[1241901289f2]

2015-09-26  Carsten Grohmann  <mail@carstengrohmann.de>

	* wxglade:
	Rework start shell script to search the right python interpreter
	[6fef7aca9201]

2015-09-18  Carsten Grohmann  <mail@carstengrohmann.de>

	* config.py:
	Re-add docstring lost in 2ce339510eca "Move common.widget_config
	..."
	[0e873dfda314]

2015-09-11  Carsten Grohmann  <mail@carstengrohmann.de>

	* install/pyinstaller/wxglade-installer.iss:
	Extend cleanup of byte code files during deinstallation on Windows
	[8d8d2322eefb]

2015-09-03  Carsten Grohmann  <mail@carstengrohmann.de>

	* about.py, common.py:
	Rework detection of paths to different wxGlade resources
	[e4a6e385aa7a]

2015-08-31  Carsten Grohmann  <mail@carstengrohmann.de>

	* docs/index.html:
	Remove obsolete documentation index file
	[86363c74f5ec]

	* common.py, config.py, docs/src/manual.xml, install/pyinstaller
	/wxglade-installer.iss, main.py, tests/__init__.py, wxglade.py:
	Clearify manual and tutorial path
	[23eb133a540b]

2015-08-28  Carsten Grohmann  <mail@carstengrohmann.de>

	* README.SF.md:
	Add RC1 details
	[abd9e8955e0d]

	* common.py, edit_sizers/edit_sizers.py,
	widgets/bitmap_button/bitmap_button.py, widgets/button/button.py,
	widgets/calendar_ctrl/calendar_ctrl.py,
	widgets/check_list_box/check_list_box.py,
	widgets/checkbox/checkbox.py, widgets/choice/choice.py,
	widgets/combo_box/combo_box.py,
	widgets/custom_widget/custom_widget.py,
	widgets/datepicker_ctrl/datepicker_ctrl.py,
	widgets/dialog/dialog.py, widgets/frame/frame.py,
	widgets/gauge/gauge.py,
	widgets/generic_calendar_ctrl/generic_calendar_ctrl.py,
	widgets/grid/grid.py, widgets/hyperlink_ctrl/hyperlink_ctrl.py,
	widgets/list_box/list_box.py, widgets/list_ctrl/list_ctrl.py,
	widgets/menubar/menubar.py, widgets/notebook/notebook.py,
	widgets/panel/panel.py,
	widgets/property_grid_manager/property_grid_manager.py,
	widgets/radio_box/radio_box.py,
	widgets/radio_button/radio_button.py, widgets/slider/slider.py,
	widgets/spacer/spacer.py, widgets/spin_button/spin_button.py,
	widgets/spin_ctrl/spin_ctrl.py,
	widgets/splitter_window/splitter_window.py,
	widgets/static_bitmap/static_bitmap.py,
	widgets/static_line/static_line.py,
	widgets/static_text/static_text.py, widgets/statusbar/statusbar.py,
	widgets/text_ctrl/text_ctrl.py,
	widgets/toggle_button/toggle_button.py, widgets/toolbar/toolbar.py,
	widgets/tree_ctrl/tree_ctrl.py:
	Search widget icons with relative paths always in config.icon_path
	[c572134e1b93]

	* CREDITS.txt, LICENSE.txt, MANIFEST.in, Makefile, README.txt,
	__init__.py, about.py, application.py, bugdialog.py,
	changelog.style, clipboard.py, code_property.py,
	codegen/__init__.py, codegen/cpp_codegen.py,
	codegen/lisp_codegen.py, codegen/perl_codegen.py,
	codegen/py_codegen.py, codegen/xrc_codegen.py, color_dialog.py,
	common.py, compat.py, config.py, credits.txt, decorators.py,
	docs/src/manual.xml, edit_sizers/__init__.py,
	edit_sizers/cpp_sizers_codegen.py, edit_sizers/edit_sizers.py,
	edit_sizers/lisp_sizers_codegen.py,
	edit_sizers/perl_sizers_codegen.py,
	edit_sizers/py_sizers_codegen.py, edit_sizers/xrc_sizers_codegen.py,
	edit_widget.py, edit_windows.py, errors.py, events_mixin.py,
	font_dialog.py, gui_mixins.py, install/pyinstaller/build.bat,
	install/pyinstaller/hooks/hook-main.py, install/pyinstaller/wxglade-
	SAE-installer.iss, install/pyinstaller/wxglade-installer.iss,
	install/pyinstaller/wxglade.spec, install/rpm/wxglade.spec,
	kdefiledialog.py, layout_option_property.py, license.txt, log.py,
	main.py, misc.py, plugins.py, preferencesdialog.py, setup.py,
	template.py, test.py, tests/__init__.py,
	tests/casefiles/file_encodings.txt, tests/test_bugs.py,
	tests/test_codegen.py, tests/test_compile.py,
	tests/test_external.py, tests/test_gui.py, tree.py,
	wcodegen/__init__.py, wcodegen/dialogs.py, wcodegen/taghandler.py,
	widget_properties.py, widgets/ChoicesCodeHandler.py,
	widgets/ChoicesProperty.py, widgets/MenuTree.py,
	widgets/__init__.py, widgets/bitmap_button/__init__.py,
	widgets/bitmap_button/bitmap_button.py,
	widgets/bitmap_button/codegen.py,
	widgets/bitmap_button/lisp_codegen.py,
	widgets/bitmap_button/perl_codegen.py,
	widgets/bitmap_button/wconfig.py, widgets/button/__init__.py,
	widgets/button/button.py, widgets/button/codegen.py,
	widgets/button/lisp_codegen.py, widgets/button/perl_codegen.py,
	widgets/button/wconfig.py, widgets/calendar_ctrl/__init__.py,
	widgets/calendar_ctrl/calendar_ctrl.py,
	widgets/calendar_ctrl/codegen.py,
	widgets/calendar_ctrl/perl_codegen.py,
	widgets/calendar_ctrl/wconfig.py,
	widgets/check_list_box/__init__.py,
	widgets/check_list_box/check_list_box.py,
	widgets/check_list_box/codegen.py,
	widgets/check_list_box/lisp_codegen.py,
	widgets/check_list_box/perl_codegen.py,
	widgets/check_list_box/wconfig.py, widgets/checkbox/__init__.py,
	widgets/checkbox/checkbox.py, widgets/checkbox/checkbox_base.py,
	widgets/checkbox/codegen.py, widgets/checkbox/lisp_codegen.py,
	widgets/checkbox/perl_codegen.py, widgets/checkbox/wconfig.py,
	widgets/choice/__init__.py, widgets/choice/choice.py,
	widgets/choice/codegen.py, widgets/choice/lisp_codegen.py,
	widgets/choice/perl_codegen.py, widgets/choice/wconfig.py,
	widgets/combo_box/__init__.py, widgets/combo_box/codegen.py,
	widgets/combo_box/combo_box.py, widgets/combo_box/lisp_codegen.py,
	widgets/combo_box/perl_codegen.py, widgets/combo_box/wconfig.py,
	widgets/custom_widget/__init__.py, widgets/custom_widget/codegen.py,
	widgets/custom_widget/custom_widget.py,
	widgets/custom_widget/lisp_codegen.py,
	widgets/custom_widget/perl_codegen.py,
	widgets/datepicker_ctrl/__init__.py,
	widgets/datepicker_ctrl/codegen.py,
	widgets/datepicker_ctrl/datepicker_ctrl.py,
	widgets/datepicker_ctrl/lisp_codegen.py,
	widgets/datepicker_ctrl/perl_codegen.py,
	widgets/datepicker_ctrl/wconfig.py, widgets/dialog/__init__.py,
	widgets/dialog/codegen.py, widgets/dialog/dialog.py,
	widgets/dialog/lisp_codegen.py, widgets/dialog/perl_codegen.py,
	widgets/dialog/wconfig.py, widgets/frame/__init__.py,
	widgets/frame/codegen.py, widgets/frame/frame.py,
	widgets/frame/lisp_codegen.py, widgets/frame/perl_codegen.py,
	widgets/frame/wconfig.py, widgets/gauge/__init__.py,
	widgets/gauge/codegen.py, widgets/gauge/gauge.py,
	widgets/gauge/lisp_codegen.py, widgets/gauge/perl_codegen.py,
	widgets/gauge/wconfig.py, widgets/generic_calendar_ctrl/__init__.py,
	widgets/generic_calendar_ctrl/codegen.py,
	widgets/generic_calendar_ctrl/generic_calendar_ctrl.py,
	widgets/generic_calendar_ctrl/perl_codegen.py,
	widgets/generic_calendar_ctrl/wconfig.py, widgets/grid/__init__.py,
	widgets/grid/codegen.py, widgets/grid/grid.py,
	widgets/grid/lisp_codegen.py, widgets/grid/perl_codegen.py,
	widgets/grid/wconfig.py, widgets/hyperlink_ctrl/__init__.py,
	widgets/hyperlink_ctrl/codegen.py,
	widgets/hyperlink_ctrl/hyperlink_ctrl.py,
	widgets/hyperlink_ctrl/lisp_codegen.py,
	widgets/hyperlink_ctrl/perl_codegen.py,
	widgets/hyperlink_ctrl/wconfig.py, widgets/list_box/__init__.py,
	widgets/list_box/codegen.py, widgets/list_box/lisp_codegen.py,
	widgets/list_box/list_box.py, widgets/list_box/perl_codegen.py,
	widgets/list_box/wconfig.py, widgets/list_ctrl/__init__.py,
	widgets/list_ctrl/codegen.py, widgets/list_ctrl/lisp_codegen.py,
	widgets/list_ctrl/list_ctrl.py, widgets/list_ctrl/perl_codegen.py,
	widgets/list_ctrl/wconfig.py, widgets/menubar/__init__.py,
	widgets/menubar/codegen.py, widgets/menubar/lisp_codegen.py,
	widgets/menubar/menubar.py, widgets/menubar/perl_codegen.py,
	widgets/notebook/__init__.py, widgets/notebook/codegen.py,
	widgets/notebook/lisp_codegen.py, widgets/notebook/notebook.py,
	widgets/notebook/perl_codegen.py, widgets/notebook/wconfig.py,
	widgets/panel/__init__.py, widgets/panel/codegen.py,
	widgets/panel/lisp_codegen.py, widgets/panel/panel.py,
	widgets/panel/perl_codegen.py, widgets/panel/wconfig.py,
	widgets/property_grid_manager/__init__.py,
	widgets/property_grid_manager/codegen.py,
	widgets/property_grid_manager/lisp_codegen.py,
	widgets/property_grid_manager/perl_codegen.py,
	widgets/property_grid_manager/property_grid_manager.py,
	widgets/property_grid_manager/wconfig.py,
	widgets/radio_box/__init__.py, widgets/radio_box/codegen.py,
	widgets/radio_box/lisp_codegen.py,
	widgets/radio_box/perl_codegen.py, widgets/radio_box/radio_box.py,
	widgets/radio_box/radio_box_base.py, widgets/radio_box/wconfig.py,
	widgets/radio_button/__init__.py, widgets/radio_button/codegen.py,
	widgets/radio_button/lisp_codegen.py,
	widgets/radio_button/perl_codegen.py,
	widgets/radio_button/radio_button.py,
	widgets/radio_button/wconfig.py, widgets/slider/__init__.py,
	widgets/slider/codegen.py, widgets/slider/lisp_codegen.py,
	widgets/slider/perl_codegen.py, widgets/slider/slider.py,
	widgets/slider/wconfig.py, widgets/spacer/__init__.py,
	widgets/spacer/codegen.py, widgets/spacer/lisp_codegen.py,
	widgets/spacer/perl_codegen.py, widgets/spacer/spacer.py,
	widgets/spin_button/__init__.py, widgets/spin_button/codegen.py,
	widgets/spin_button/lisp_codegen.py,
	widgets/spin_button/perl_codegen.py,
	widgets/spin_button/spin_button.py, widgets/spin_button/wconfig.py,
	widgets/spin_ctrl/__init__.py, widgets/spin_ctrl/codegen.py,
	widgets/spin_ctrl/lisp_codegen.py,
	widgets/spin_ctrl/perl_codegen.py, widgets/spin_ctrl/spin_ctrl.py,
	widgets/spin_ctrl/wconfig.py, widgets/splitter_window/__init__.py,
	widgets/splitter_window/codegen.py,
	widgets/splitter_window/lisp_codegen.py,
	widgets/splitter_window/perl_codegen.py,
	widgets/splitter_window/splitter_window.py,
	widgets/splitter_window/wconfig.py,
	widgets/static_bitmap/__init__.py, widgets/static_bitmap/codegen.py,
	widgets/static_bitmap/lisp_codegen.py,
	widgets/static_bitmap/perl_codegen.py,
	widgets/static_bitmap/static_bitmap.py,
	widgets/static_bitmap/wconfig.py, widgets/static_line/__init__.py,
	widgets/static_line/codegen.py, widgets/static_line/lisp_codegen.py,
	widgets/static_line/perl_codegen.py,
	widgets/static_line/static_line.py, widgets/static_line/wconfig.py,
	widgets/static_text/__init__.py, widgets/static_text/codegen.py,
	widgets/static_text/lisp_codegen.py,
	widgets/static_text/perl_codegen.py,
	widgets/static_text/static_text.py, widgets/static_text/wconfig.py,
	widgets/statusbar/__init__.py, widgets/statusbar/codegen.py,
	widgets/statusbar/lisp_codegen.py,
	widgets/statusbar/perl_codegen.py, widgets/statusbar/statusbar.py,
	widgets/statusbar/wconfig.py, widgets/text_ctrl/__init__.py,
	widgets/text_ctrl/codegen.py, widgets/text_ctrl/lisp_codegen.py,
	widgets/text_ctrl/perl_codegen.py, widgets/text_ctrl/text_ctrl.py,
	widgets/text_ctrl/wconfig.py, widgets/toggle_button/__init__.py,
	widgets/toggle_button/codegen.py,
	widgets/toggle_button/lisp_codegen.py,
	widgets/toggle_button/perl_codegen.py,
	widgets/toggle_button/toggle_button.py,
	widgets/toggle_button/wconfig.py, widgets/toolbar/__init__.py,
	widgets/toolbar/codegen.py, widgets/toolbar/lisp_codegen.py,
	widgets/toolbar/perl_codegen.py, widgets/toolbar/tool.py,
	widgets/toolbar/toolbar.py, widgets/toolbar/wconfig.py,
	widgets/tree_ctrl/__init__.py, widgets/tree_ctrl/codegen.py,
	widgets/tree_ctrl/lisp_codegen.py,
	widgets/tree_ctrl/perl_codegen.py, widgets/tree_ctrl/tree_ctrl.py,
	widgets/tree_ctrl/wconfig.py, wxglade, wxglade.py, wxglade.pyw,
	xml_parse.py, xrc2wxg.py:
	Rename credits.txt to CREDITS.txt and license.txt to LICENSE.txt
	[7196e0303a43]

	* MANIFEST.in, setup.py:
	Rework generation of release packages
	[39a50ca1999f]

2015-08-15  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, tests/casefiles/AllWidgets_28.cpp,
	tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/AllWidgets_30.cpp, tests/casefiles/AllWidgets_30.pl,
	tests/casefiles/AllWidgets_30.py,
	tests/casefiles/Sizers_classattr.cpp,
	tests/casefiles/Sizers_classattr.lisp,
	tests/casefiles/Sizers_classattr.pl,
	tests/casefiles/Sizers_classattr.py,
	tests/casefiles/Sizers_no_classattr.cpp,
	tests/casefiles/Sizers_no_classattr.lisp,
	tests/casefiles/Sizers_no_classattr.pl,
	tests/casefiles/Sizers_no_classattr.py, wcodegen/__init__.py,
	widgets/radio_box/codegen.py, widgets/radio_box/lisp_codegen.py,
	widgets/radio_box/perl_codegen.py,
	widgets/radio_box/radio_box_base.py:
	Revert "Empty choices will be filled with a placeholder ..."

	Old commit was 1682:0fab37fd9138 "Empty choices will be filled with
	a placeholder '<set by wxGlade>'"
	[cda6b2be50f1]

2015-08-13  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/casefiles/CustomWidget.lisp,
	widgets/custom_widget/lisp_codegen.py:
	Fix Lisp code generator for CustomWidget
	[9f631c040004]

	* widgets/custom_widget/codegen.py,
	widgets/custom_widget/custom_widget.py,
	widgets/custom_widget/lisp_codegen.py,
	widgets/custom_widget/perl_codegen.py:
	Minor code reorg for CustomWidget
	[93720717fcb9]

	* tests/casefiles/CustomWidget.cpp, tests/casefiles/CustomWidget.h,
	tests/casefiles/CustomWidget.lisp, tests/casefiles/CustomWidget.pl,
	tests/casefiles/CustomWidget.py, tests/casefiles/CustomWidget.wxg,
	tests/casefiles/CustomWidget.xrc, tests/test_codegen.py,
	tests/test_gui.py:
	Add test cases for CustomWidget
	[44e114b7e3e6]

	* NEWS.txt, widgets/custom_widget/custom_widget.py:
	Fix generated code for CustomWidget constructor (Thanks to Udi
	Fuchs)
	[10877c3ad73d]

2015-08-04  Carsten Grohmann  <mail@carstengrohmann.de>

	* install/pyinstaller/hooks/hook-main.py, install/pyinstaller/wxglade-
	SAE-installer.iss, install/pyinstaller/wxglade-installer.iss,
	install/pyinstaller/wxglade.spec:
	Update copyright
	[d81c410a80df]

	* docs/BuildingInstaller.txt, install/pyinstaller/build.bat:
	Update building Windows installer
	[2b79f2510d3a]

2015-08-03  Carsten Grohmann  <mail@carstengrohmann.de>

	* .hgtags:
	Added tag rel_0.7.1RC1 for changeset a5b57a51e924
	[7bb5c00119a5]

	* NEWS.txt, README.SF.md, README.txt, wxGlade.desktop:
	Bump version number to 0.7.1RC1
	[a5b57a51e924] [rel_0.7.1RC1]

	* docs/ReleaseSteps.txt:
	Update steps to release a new version
	[c04200d199b2]

	* about.py, clipboard.py, code_property.py, codegen/perl_codegen.py,
	codegen/py_codegen.py, edit_windows.py, epydoc.conf, main.py,
	msgdialog.py, ordereddict.py, templates_ui.py, tree.py,
	widgets/ChoicesProperty.py, widgets/custom_widget/custom_widget.py,
	widgets/dialog/dialog.py, widgets/frame/frame.py,
	widgets/menubar/codegen.py, widgets/menubar/menubar.py,
	widgets/panel/panel.py, widgets/toolbar/codegen.py,
	widgets/toolbar/perl_codegen.py, widgets/toolbar/toolbar.py:
	PEP8: E251/E261/E262/E271/E272/E273/E274 Whitespaces
	[2aab9017aff3]

	* Makefile, NEWS.txt, README.SF.md, TODO.txt, about.py, clipboard.py,
	code_property.py, codegen/__init__.py, codegen/cpp_codegen.py,
	codegen/lisp_codegen.py, codegen/perl_codegen.py,
	codegen/py_codegen.py, color_dialog.py, credits.txt, edit_widget.py,
	edit_windows.py, epydoc.conf, events_mixin.py, font_dialog.py,
	install/update-po.py, kdefiledialog.py, layout_option_property.py,
	main.py, template.py, tests/__init__.py, tests/test_codegen.py,
	tree.py, widgets/ChoicesCodeHandler.py, widgets/MenuTree.py,
	widgets/bitmap_button/bitmap_button.py, widgets/button/button.py,
	widgets/button/button_stockitems.py,
	widgets/calendar_ctrl/calendar_ctrl.py,
	widgets/checkbox/checkbox.py, widgets/choice/choice.py,
	widgets/combo_box/combo_box.py, widgets/custom_widget/codegen.py,
	widgets/custom_widget/custom_widget.py,
	widgets/datepicker_ctrl/datepicker_ctrl.py,
	widgets/dialog/dialog.py, widgets/frame/frame.py,
	widgets/grid/codegen.py, widgets/grid/grid.py,
	widgets/list_box/list_box.py, widgets/list_ctrl/list_ctrl.py,
	widgets/menubar/codegen.py, widgets/menubar/lisp_codegen.py,
	widgets/menubar/menubar.py, widgets/menubar/perl_codegen.py,
	widgets/panel/panel.py, widgets/radio_button/radio_button.py,
	widgets/spacer/spacer.py, widgets/spin_button/spin_button.py,
	widgets/spin_ctrl/spin_ctrl.py, widgets/splitter_window/codegen.py,
	widgets/splitter_window/lisp_codegen.py,
	widgets/splitter_window/perl_codegen.py,
	widgets/splitter_window/splitter_window.py,
	widgets/static_bitmap/static_bitmap.py,
	widgets/static_line/static_line.py,
	widgets/static_text/static_text.py, widgets/text_ctrl/text_ctrl.py,
	widgets/toggle_button/toggle_button.py, widgets/toolbar/codegen.py,
	widgets/toolbar/lisp_codegen.py, widgets/toolbar/perl_codegen.py,
	widgets/toolbar/toolbar.py, widgets/tree_ctrl/tree_ctrl.py, wxglade:
	PEP8: W291/W293 Trailing whitespaces
	[8999c8192418]

	* Makefile, about.py, application.py, clipboard.py, code_property.py,
	codegen/__init__.py, codegen/cpp_codegen.py,
	codegen/lisp_codegen.py, codegen/xrc_codegen.py, color_dialog.py,
	compat.py, decorators.py, edit_windows.py, font_dialog.py, install
	/update-po.py, main.py, misc.py, ordereddict.py, templates_ui.py,
	tests/test_external.py, tree.py, widget_properties.py,
	widgets/MenuTree.py, widgets/bitmap_button/codegen.py,
	widgets/choice/choice.py, widgets/custom_widget/custom_widget.py,
	widgets/custom_widget/lisp_codegen.py,
	widgets/datepicker_ctrl/codegen.py, widgets/gauge/gauge.py,
	widgets/gauge/lisp_codegen.py, widgets/grid/codegen.py,
	widgets/menubar/codegen.py, widgets/menubar/menubar.py,
	widgets/notebook/notebook.py, widgets/panel/lisp_codegen.py,
	widgets/panel/panel.py, widgets/slider/slider.py,
	widgets/spacer/spacer.py, widgets/spin_ctrl/spin_ctrl.py,
	widgets/splitter_window/splitter_window.py,
	widgets/static_text/static_text.py, widgets/text_ctrl/text_ctrl.py,
	widgets/toolbar/toolbar.py, xml_parse.py:
	PEP8: E301/E302 missing blank lines
	[907c4aeba03e]

	* appdata.xml, bugdialog.py, bugdialog_ui.py, codegen/lisp_codegen.py,
	decorators.py, edit_sizers/xrc_sizers_codegen.py, edit_widget.py,
	gui_mixins.py, kdefiledialog.py, msgdialog.py, template.py,
	tests/test_codegen.py, tests/test_gui.py, tree.py,
	wcodegen/__init__.py, wcodegen/taghandler.py, widget_properties.py,
	widgets/combo_box/combo_box.py, widgets/frame/codegen.py,
	widgets/frame/perl_codegen.py, widgets/menubar/lisp_codegen.py,
	widgets/menubar/menubar.py, widgets/menubar/perl_codegen.py,
	widgets/radio_box/codegen.py, widgets/static_text/static_text.py,
	widgets/statusbar/__init__.py, widgets/statusbar/statusbar.py,
	widgets/toolbar/lisp_codegen.py, wxGlade.desktop, xrc2wxg.py:
	PEP8: E303 too many blank lines
	[154f240961d6]

	* wxglade.pyw:
	Reorder code to prevent reporting SystemExit exception
	[3b8d01bb2be9]

2015-08-02  Carsten Grohmann  <mail@carstengrohmann.de>

	* .hgignore, config.py, setup.py:
	Use module version.py to store the current version number
	[593873a6fb68]

2015-08-01  Carsten Grohmann  <mail@carstengrohmann.de>

	* edit_windows.py:
	Minor docstring update
	[a6de1512165e]

	* edit_sizers/edit_sizers.py:
	Rework SizerSlot class mainly to draw background buffered
	[e6c212b7f347]

	* NEWS.txt, edit_sizers/edit_sizers.py:
	Always show new widgets in the design window

	Some new widget wasn't show after adding to the design window. The
	hatched background was shown instead of the new added widget.
	[be9e795f2441]

2015-07-26  Carsten Grohmann  <mail@carstengrohmann.de>

	* misc.py:
	Code cleanup in SelectionTag (blue squares) to mark the active
	widget
	[ebb3509a4cb2]

2015-07-17  Carsten Grohmann  <mail@carstengrohmann.de>

	* common.py, misc.py, widgets/button/button.py,
	widgets/check_list_box/check_list_box.py, widgets/choice/choice.py,
	widgets/hyperlink_ctrl/hyperlink_ctrl.py,
	widgets/list_box/list_box.py, widgets/menubar/menubar.py,
	widgets/radio_box/radio_box.py,
	widgets/radio_button/radio_button.py,
	widgets/static_text/static_text.py,
	widgets/toggle_button/toggle_button.py:
	Remove obsolete function common.encode_from_xml()
	[713b5693d473]

	* common.py:
	Fix handling of Unicode content in check for modified files
	[5e3c84da9644] <WXG-BRANCH-VERSION_0_7_0>

	* NEWS.txt, code_property.py, codegen/__init__.py,
	codegen/xrc_codegen.py, common.py, edit_sizers/edit_sizers.py,
	edit_windows.py, events_mixin.py, gui_mixins.py, template.py,
	tests/casefiles/bug166.cpp, tests/casefiles/bug166.h,
	tests/casefiles/bug166.lisp, tests/casefiles/bug166.pl,
	tests/casefiles/bug166.py, tests/casefiles/bug166.wxg,
	tests/casefiles/bug166.xrc, tests/test_bugs.py, tree.py,
	wcodegen/taghandler.py, widget_properties.py,
	widgets/ChoicesCodeHandler.py, widgets/ChoicesProperty.py,
	widgets/MenuTree.py, widgets/checkbox/checkbox.py,
	widgets/custom_widget/codegen.py,
	widgets/custom_widget/custom_widget.py, widgets/frame/codegen.py,
	widgets/grid/codegen.py, widgets/grid/grid.py,
	widgets/menubar/codegen.py, widgets/menubar/menubar.py,
	widgets/notebook/codegen.py, widgets/notebook/notebook.py,
	widgets/statusbar/codegen.py, widgets/statusbar/statusbar.py,
	widgets/toolbar/codegen.py, widgets/toolbar/tool.py,
	widgets/toolbar/toolbar.py, xml_parse.py:
	Improve string and XML handling to be Unicode aware fully (sf bug
	#166)
	[d081a810e31d]

	* wxglade.pyw:
	Wrong newline sequence
	[e996c8183a5e]

2015-07-13  Carsten Grohmann  <mail@carstengrohmann.de>

	* common.py:
	Fix handling of Unicode content in check for modified files
	[327f789145e7]

2015-07-07  Carsten Grohmann  <mail@carstengrohmann.de>

	* gui_mixins.py:
	Create EmptyBitmaps with a minimal size of 1, 1

	Due to a limitation on the Mac bitmaps are not allowed to have a
	size with a dimension of zero.
	[c125717cb878]

	* common.py, plugins.py:
	Improve logging messages at startup
	[24ad267642c8]

	* install/pyinstaller/wxglade.spec:
	Don't show a console window on MS Windows
	[0d888524e0df]

	* wxglade.py:
	Fix for unexpected termination of SAE on Windows

	The root cause is the missing encoding attribute in the PyInstaller
	NullWriter implementation used as a drop-in replacement for
	sys.stdout and sys.stderr.

	https://github.com/pyinstaller/pyinstaller/issues/1324
	[e068940e65cc]

2015-07-03  Carsten Grohmann  <mail@carstengrohmann.de>

	* edit_sizers/edit_sizers.py:
	Set color of new created sizer buttons initially

	This change provides a consistent impression for non-default look
	and feels.
	[2ccea99a0683]

2015-07-02  Carsten Grohmann  <mail@carstengrohmann.de>

	* edit_sizers/edit_sizers.py:
	PEP8
	[cc2541d93b7e]

2015-06-27  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, color_dialog.py:
	Fix broken color selection dialog
	[bc1cdaba4acc] <WXG-BRANCH-VERSION_0_7_0>

	* NEWS.txt, common.py:
	Don't rewrite unchanged files

	Use md5 to be compatible with Python 2.4
	[03b4184cf876] <WXG-BRANCH-VERSION_0_7_0>

2015-06-26  Carsten Grohmann  <mail@carstengrohmann.de>

	* wxglade.py:
	Minor code reorg
	[2081c5dc66c1]

2015-06-25  Carsten Grohmann  <mail@carstengrohmann.de>

	* config.py, test.py, wxglade.py:
	Separate initialisation of locale to shorten wxglade.init_stage1()
	[02fd229e9fc7]

	* wxglade.py:
	Adjust output messages
	[946332de6423]

	* xml_parse.py:
	Clarify comment of custom tag handler interface
	[e1083f61b801]

2015-06-24  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/casefiles/AllWidgets_28.cpp, tests/casefiles/AllWidgets_28.pl,
	tests/casefiles/AllWidgets_28.py, tests/casefiles/AllWidgets_28.wxg,
	tests/casefiles/AllWidgets_28.xrc,
	tests/casefiles/AllWidgets_30.cpp, tests/casefiles/AllWidgets_30.pl,
	tests/casefiles/AllWidgets_30.py, tests/casefiles/AllWidgets_30.wxg,
	tests/casefiles/AllWidgets_30.xrc, tests/casefiles/CalendarCtrl.cpp,
	widgets/calendar_ctrl/codegen.py:
	Fix C++ template of wxCalendarCtrl

	The old template has not compiled due a missing default parameter if
	styles are given.
	[c159a2d9c1dd]

2015-06-23  Carsten Grohmann  <mail@carstengrohmann.de>

	* widgets/calendar_ctrl/wconfig.py:
	Add missing styles and event types to wxCalendarCtrl
	[049b60e0d0aa]

	* widgets/calendar_ctrl/wconfig.py:
	Add missing styles and event types to wxCalendarCtrl
	[f2b78211f402]

	* docs/src/manual.xml, tests/casefiles/AllWidgets_28.cpp,
	tests/casefiles/AllWidgets_28.h, tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/AllWidgets_28.wxg,
	tests/casefiles/AllWidgets_28.xrc,
	tests/casefiles/AllWidgets_30.cpp, tests/casefiles/AllWidgets_30.h,
	tests/casefiles/AllWidgets_30.pl, tests/casefiles/AllWidgets_30.py,
	tests/casefiles/AllWidgets_30.wxg,
	tests/casefiles/AllWidgets_30.xrc:
	Add unittests for generation of foreground and background colours
	[6f066be3ef7e]

2015-06-21  Carsten Grohmann  <mail@carstengrohmann.de>

	* codegen/__init__.py, codegen/cpp_codegen.py,
	codegen/lisp_codegen.py, codegen/perl_codegen.py,
	codegen/py_codegen.py, tests/casefiles/AllWidgets_28.pl,
	tests/casefiles/AllWidgets_30.pl, tests/casefiles/ComplexExample.pl,
	tests/casefiles/ComplexExample_30.pl, wcodegen/__init__.py,
	widgets/custom_widget/codegen.py,
	widgets/custom_widget/perl_codegen.py, widgets/grid/codegen.py,
	widgets/grid/lisp_codegen.py, widgets/grid/perl_codegen.py,
	widgets/menubar/codegen.py, widgets/menubar/perl_codegen.py,
	widgets/notebook/codegen.py, widgets/notebook/lisp_codegen.py,
	widgets/notebook/perl_codegen.py, widgets/panel/codegen.py,
	widgets/panel/lisp_codegen.py, widgets/panel/perl_codegen.py,
	widgets/splitter_window/codegen.py,
	widgets/splitter_window/lisp_codegen.py,
	widgets/splitter_window/perl_codegen.py, widgets/toolbar/codegen.py,
	widgets/toolbar/lisp_codegen.py, widgets/toolbar/perl_codegen.py:
	Unify generating widget access

	The base change is: if not obj.is_toplevel: parent = 'self.%s' %
	obj.name else: parent = 'self' to this: parent =
	self.format_widget_access(obj)
	[3f8c15d57d22]

2015-06-20  Carsten Grohmann  <mail@carstengrohmann.de>

	* widgets/toolbar/toolbar.py:
	Change bitmap labels in toolbar editor
	[0d3973316c41]

	* widgets/menubar/menubar.py, widgets/toolbar/toolbar.py:
	Change signature of derived bind_event() to prevent pylint warning
	[450a0ba7ba9d]

	* gui_mixins.py, wcodegen/__init__.py, wcodegen/mixins.py,
	widgets/bitmap_button/bitmap_button.py, widgets/dialog/dialog.py,
	widgets/frame/frame.py, widgets/static_bitmap/static_bitmap.py,
	widgets/toolbar/toolbar.py:
	Move and rename wcodegen.mixins to gui_mixins
	[c1c727cabfbf]

	* codegen/__init__.py, log.py, misc.py, tree.py:
	unidiomatic-typecheck lint warn

	Change this: type(obj) is T to this: isinstance(obj, T)
	[ec76337f2a52]

	* common.py, plugins.py:
	Move plugins.style_attrs_to_sets to common module
	[ce94f84ca927]

	* common.py, config.py, events_mixin.py, misc.py, plugins.py,
	tests/test_codegen.py, wcodegen/__init__.py, wcodegen/mixins.py,
	widget_properties.py, widgets/dialog/wconfig.py,
	widgets/notebook/notebook.py,
	widgets/property_grid_manager/property_grid_manager.py,
	widgets/static_bitmap/codegen.py:
	Move common.widget_config to config module
	[2ce339510eca]

	* widget_properties.py:
	Wrong formatted version numbers in styles tooltips
	[e24f17112d94]

2015-06-13  Carsten Grohmann  <mail@carstengrohmann.de>

	* widgets/toolbar/codegen.py:
	Remove unused imports
	[3f1f84894c27]

2015-06-12  Carsten Grohmann  <mail@carstengrohmann.de>

	* widgets/calendar_ctrl/wconfig.py, widgets/grid/wconfig.py,
	widgets/slider/wconfig.py:
	Summarise event type definitions
	[993a50a08349]

	* README.SF.md, docs/ReleaseSteps.txt, setup.py:
	Add a separate README file for the SF download folder
	[056eec02912a]

2015-06-11  Carsten Grohmann  <mail@carstengrohmann.de>

	* common.py, config.py, edit_sizers/edit_sizers.py, misc.py:
	Change public used private variables to public variables

	E.g. rename config._backed_up to config.backed_up
	[4b8a9d1552a4]

2015-06-10  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/casefiles/AllWidgets_28.cpp, tests/casefiles/AllWidgets_28.h,
	tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/AllWidgets_28.wxg,
	tests/casefiles/AllWidgets_28.xrc,
	tests/casefiles/AllWidgets_30.cpp, tests/casefiles/AllWidgets_30.h,
	tests/casefiles/AllWidgets_30.pl, tests/casefiles/AllWidgets_30.py,
	tests/casefiles/AllWidgets_30.wxg,
	tests/casefiles/AllWidgets_30.xrc, tests/test_compile.py,
	widgets/check_list_box/check_list_box.py,
	widgets/check_list_box/wconfig.py,
	widgets/generic_calendar_ctrl/codegen.py,
	widgets/generic_calendar_ctrl/generic_calendar_ctrl.py,
	widgets/generic_calendar_ctrl/wconfig.py,
	widgets/property_grid_manager/codegen.py,
	widgets/property_grid_manager/property_grid_manager.py,
	widgets/property_grid_manager/wconfig.py:
	Adapt new widgets to current wxGlade development version and add
	tests
	[fd013086abf8]

	* NEWS.txt, credits.txt, widgets/check_list_box/__init__.py,
	widgets/check_list_box/check_list_box.py,
	widgets/check_list_box/codegen.py,
	widgets/check_list_box/lisp_codegen.py,
	widgets/check_list_box/perl_codegen.py,
	widgets/check_list_box/wconfig.py,
	widgets/generic_calendar_ctrl/__init__.py,
	widgets/generic_calendar_ctrl/codegen.py,
	widgets/generic_calendar_ctrl/generic_calendar_ctrl.py,
	widgets/generic_calendar_ctrl/perl_codegen.py,
	widgets/generic_calendar_ctrl/wconfig.py,
	widgets/property_grid_manager/__init__.py,
	widgets/property_grid_manager/codegen.py,
	widgets/property_grid_manager/lisp_codegen.py,
	widgets/property_grid_manager/perl_codegen.py,
	widgets/property_grid_manager/property_grid_manager.py,
	widgets/property_grid_manager/wconfig.py, widgets/widgets.txt:
	New widgets CheckListBox, GenericCalendarCtrl and
	PropertyGridManager contributed by Franco Bugnano

	The widgets are licensed under MIT license too.
	[e99c0059128a]

2015-06-03  Carsten Grohmann  <mail@carstengrohmann.de>

	* tree.py:
	Improve handling of values for storing in the WXG XML header
	[bde585141ba0]

2015-06-02  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/test_compile.py:
	Show output of the compiling tests only on failures
	[1cc7ce017d49]

2015-05-31  Carsten Grohmann  <mail@carstengrohmann.de>

	* application.py, common.py, plugins.py:
	Separate code to import widgets and increase robustness
	[d976616c68bf]

2015-05-30  Carsten Grohmann  <mail@carstengrohmann.de>

	* wxglade:
	Fix wrong error message
	[0a2638d8f0d3]

2015-05-21  Carsten Grohmann  <mail@carstengrohmann.de>

	* bugdialog.py:
	Improve output format in bugdialog
	[af03f19e71bb]

2015-05-20  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, color_dialog.py:
	Fix broken color selection dialog
	[5d10648a232a]

	* Makefile, test.py, tests/__init__.py, tests/test_compile.py:
	Add a test suite to compile single-file C++ sources
	[9aa8413b0a8f]

2015-05-19  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_30.pl,
	tests/casefiles/ComplexExample.pl,
	tests/casefiles/ComplexExample_30.pl, tests/casefiles/Grid.pl,
	tests/casefiles/PlOgg2_MyFrame.pm, tests/casefiles/PlOgg3.pl,
	widgets/grid/perl_codegen.py:
	Remove unneded imports of Wx::Grid for Perl
	[a87469ea1f78]

	* codegen/perl_codegen.py, tests/casefiles/AllWidgets_28.pl,
	tests/casefiles/AllWidgets_30.pl, tests/casefiles/ComplexExample.pl,
	tests/casefiles/ComplexExample_30.pl, tests/casefiles/Grid.pl:
	Add dependencies inside the package block additionally on Perl

	The dependencies have to add to the package block too because global
	imports are not visible inside the package block.
	[2f44e36cf2e7]

2015-05-18  Carsten Grohmann  <mail@carstengrohmann.de>

	* codegen/cpp_codegen.py, wcodegen/__init__.py,
	widgets/calendar_ctrl/codegen.py,
	widgets/datepicker_ctrl/codegen.py, widgets/frame/codegen.py,
	widgets/frame/lisp_codegen.py, widgets/frame/perl_codegen.py,
	widgets/grid/codegen.py, widgets/hyperlink_ctrl/codegen.py,
	widgets/list_ctrl/codegen.py, widgets/notebook/codegen.py,
	widgets/spin_button/codegen.py, widgets/spin_ctrl/codegen.py,
	widgets/splitter_window/codegen.py, widgets/static_line/codegen.py,
	widgets/toggle_button/codegen.py, widgets/tree_ctrl/codegen.py:
	Unify handling of additional imports in C++

	extra_headers has been renamed to import_modules to use the same
	variable within all code generators.
	[29a0afbec3ba]

	* codegen/__init__.py, wcodegen/__init__.py:
	Simplify handling of additional imports
	[138154860237]

2015-05-17  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, codegen/__init__.py, codegen/cpp_codegen.py,
	tests/casefiles/AllWidgets_28.cpp, tests/casefiles/AllWidgets_28.h,
	tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/AllWidgets_28.wxg,
	tests/casefiles/AllWidgets_28.xrc,
	tests/casefiles/AllWidgets_30.cpp, tests/casefiles/AllWidgets_30.h,
	tests/casefiles/AllWidgets_30.pl, tests/casefiles/AllWidgets_30.py,
	tests/casefiles/AllWidgets_30.wxg,
	tests/casefiles/AllWidgets_30.xrc, tests/test_codegen.py,
	wcodegen/__init__.py, wcodegen/mixins.py,
	widgets/bitmap_button/bitmap_button.py, widgets/dialog/dialog.py,
	widgets/frame/frame.py, widgets/static_bitmap/static_bitmap.py,
	widgets/toolbar/toolbar.py:
	Add support for bitmaps from wxArtProvider
	[f4aa1f9a8107]

	* tests/__init__.py:
	Ignore version line during comparison of test files
	[df4fa17392da]

2015-05-14  Carsten Grohmann  <mail@carstengrohmann.de>

	* codegen/__init__.py, codegen/cpp_codegen.py, wcodegen/__init__.py:
	Add support for dynamic dependencies
	[0aa8a1f3d6e6]

2015-05-08  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, tests/casefiles/AllWidgets_28.cpp,
	tests/casefiles/AllWidgets_28.h, tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/AllWidgets_28.wxg,
	tests/casefiles/AllWidgets_28.xrc,
	tests/casefiles/AllWidgets_30.cpp, tests/casefiles/AllWidgets_30.h,
	tests/casefiles/AllWidgets_30.pl, tests/casefiles/AllWidgets_30.py,
	tests/casefiles/AllWidgets_30.wxg,
	tests/casefiles/AllWidgets_30.xrc, tests/test_codegen.py,
	wcodegen/__init__.py, wcodegen/mixins.py,
	widgets/bitmap_button/bitmap_button.py, widgets/dialog/dialog.py,
	widgets/frame/frame.py, widgets/static_bitmap/static_bitmap.py,
	widgets/toolbar/toolbar.py:
	Add support for empty bitmaps
	[5cc343df284f]

2015-05-01  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, tests/casefiles/AllWidgets_28.cpp,
	tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/AllWidgets_30.cpp, tests/casefiles/AllWidgets_30.pl,
	tests/casefiles/AllWidgets_30.py,
	tests/casefiles/ComplexExample.cpp,
	tests/casefiles/ComplexExample.lisp,
	tests/casefiles/ComplexExample.pl,
	tests/casefiles/ComplexExample_30.cpp,
	tests/casefiles/ComplexExample_30.pl,
	tests/casefiles/Lisp_wxBitmapButton.lisp,
	tests/casefiles/Perl_Preferences.pl,
	tests/casefiles/Python_Preferences.py, tests/test_codegen.py,
	wcodegen/__init__.py, widgets/bitmap_button/codegen.py,
	widgets/bitmap_button/lisp_codegen.py,
	widgets/bitmap_button/perl_codegen.py, widgets/dialog/codegen.py,
	widgets/dialog/lisp_codegen.py, widgets/dialog/perl_codegen.py,
	widgets/frame/codegen.py, widgets/frame/lisp_codegen.py,
	widgets/frame/perl_codegen.py, widgets/static_bitmap/codegen.py,
	widgets/static_bitmap/lisp_codegen.py,
	widgets/static_bitmap/perl_codegen.py, widgets/toolbar/codegen.py,
	widgets/toolbar/lisp_codegen.py, widgets/toolbar/perl_codegen.py:
	Rework creation of wxBitmap code used by several widgets
	[777c8c83d089]

2015-04-26  Carsten Grohmann  <mail@carstengrohmann.de>

	* wcodegen/__init__.py:
	Unify generating choice code
	[b04e3a0ed418]

	* NEWS.txt, tests/casefiles/AllWidgets_28.cpp,
	tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/AllWidgets_30.cpp, tests/casefiles/AllWidgets_30.pl,
	tests/casefiles/AllWidgets_30.py,
	tests/casefiles/Sizers_classattr.cpp,
	tests/casefiles/Sizers_classattr.lisp,
	tests/casefiles/Sizers_classattr.pl,
	tests/casefiles/Sizers_classattr.py,
	tests/casefiles/Sizers_no_classattr.cpp,
	tests/casefiles/Sizers_no_classattr.lisp,
	tests/casefiles/Sizers_no_classattr.pl,
	tests/casefiles/Sizers_no_classattr.py, wcodegen/__init__.py:
	Empty choices will be filled with a placeholder '<set by wxGlade>'
	[0fab37fd9138]

	* codegen/__init__.py, codegen/cpp_codegen.py,
	codegen/perl_codegen.py, codegen/py_codegen.py,
	tests/casefiles/AllWidgets_30.cpp, tests/casefiles/AllWidgets_30.pl,
	tests/casefiles/AllWidgets_30.py:
	Fix handling of EVT_NAVIGATION_KEY event because the signature
	differs from the remaining events.
	[2bdc1109253c]

2015-04-24  Carsten Grohmann  <mail@carstengrohmann.de>

	* xml_parse.py:
	Unify XML parser code
	[146701e2b142]

2015-04-23  Carsten Grohmann  <mail@carstengrohmann.de>

	* codegen/py_codegen.py, tests/casefiles/FontColour.py,
	tests/casefiles/HyperlinkCtrl_28.py,
	tests/casefiles/PythonAddApp_multi_detailed.py,
	tests/casefiles/PythonAddApp_multi_gettext_detailed.py,
	tests/casefiles/PythonAddApp_single_detailed.py,
	tests/casefiles/PythonAddApp_single_gettext_detailed.py,
	tests/casefiles/Sizers_classattr.py,
	tests/casefiles/Sizers_no_classattr.py,
	tests/casefiles/add_class_inplace_extended.py,
	tests/casefiles/add_class_inplace_orig.py,
	tests/casefiles/no_suitable_writer.py,
	tests/casefiles/remove_class_inplace_expected.py,
	tests/casefiles/remove_class_inplace_input.py:
	OnInit() returns True instead of 1 for Python now
	[f52c59c94e38]

2015-04-22  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, common.py:
	Don't rewrite unchanged files

	Use md5 to be compatible with Python 2.4
	[a89239bf9c6d]

2015-04-21  Carsten Grohmann  <mail@carstengrohmann.de>

	* common.py:
	Remove unused class variable from common.Preferences
	[dc28a4138867]

2015-04-16  Carsten Grohmann  <mail@carstengrohmann.de>

	* tree.py:
	Don't access to a deprecated property
	[b451e8ea6067]

	* about.py, appdata.xml, application.py, changelog.style,
	code_property.py, codegen/lisp_codegen.py, codegen/perl_codegen.py,
	codegen/py_codegen.py, compat.py, config.py, docs/man/manpage.xml,
	edit_sizers/__init__.py, edit_sizers/cpp_sizers_codegen.py,
	edit_sizers/lisp_sizers_codegen.py,
	edit_sizers/perl_sizers_codegen.py,
	edit_sizers/py_sizers_codegen.py, edit_sizers/xrc_sizers_codegen.py,
	edit_windows.py, layout_option_property.py, license.txt, test.py,
	tests/test_external.py, wcodegen/__init__.py, wcodegen/dialogs.py,
	widgets/bitmap_button/codegen.py,
	widgets/bitmap_button/lisp_codegen.py,
	widgets/bitmap_button/perl_codegen.py, widgets/button/codegen.py,
	widgets/button/lisp_codegen.py, widgets/button/perl_codegen.py,
	widgets/calendar_ctrl/perl_codegen.py, widgets/choice/codegen.py,
	widgets/choice/lisp_codegen.py, widgets/choice/perl_codegen.py,
	widgets/combo_box/codegen.py, widgets/combo_box/lisp_codegen.py,
	widgets/combo_box/perl_codegen.py,
	widgets/custom_widget/custom_widget.py,
	widgets/custom_widget/lisp_codegen.py,
	widgets/custom_widget/perl_codegen.py,
	widgets/datepicker_ctrl/lisp_codegen.py,
	widgets/datepicker_ctrl/perl_codegen.py, widgets/dialog/dialog.py,
	widgets/dialog/lisp_codegen.py, widgets/dialog/perl_codegen.py,
	widgets/frame/codegen.py, widgets/frame/frame.py,
	widgets/frame/lisp_codegen.py, widgets/frame/perl_codegen.py,
	widgets/frame/wconfig.py, widgets/gauge/codegen.py,
	widgets/gauge/lisp_codegen.py, widgets/gauge/perl_codegen.py,
	widgets/gauge/wconfig.py, widgets/grid/lisp_codegen.py,
	widgets/grid/perl_codegen.py, widgets/hyperlink_ctrl/__init__.py,
	widgets/hyperlink_ctrl/lisp_codegen.py,
	widgets/hyperlink_ctrl/perl_codegen.py,
	widgets/list_box/lisp_codegen.py, widgets/list_ctrl/lisp_codegen.py,
	widgets/list_ctrl/perl_codegen.py, widgets/menubar/menubar.py,
	widgets/notebook/lisp_codegen.py, widgets/notebook/perl_codegen.py,
	widgets/panel/codegen.py, widgets/panel/lisp_codegen.py,
	widgets/panel/panel.py, widgets/panel/perl_codegen.py,
	widgets/radio_box/codegen.py, widgets/radio_box/lisp_codegen.py,
	widgets/radio_box/perl_codegen.py, widgets/radio_button/codegen.py,
	widgets/radio_button/lisp_codegen.py,
	widgets/radio_button/perl_codegen.py,
	widgets/slider/lisp_codegen.py, widgets/slider/perl_codegen.py,
	widgets/spacer/codegen.py, widgets/spacer/lisp_codegen.py,
	widgets/spacer/perl_codegen.py, widgets/spacer/spacer.py,
	widgets/spin_button/lisp_codegen.py,
	widgets/spin_button/perl_codegen.py,
	widgets/spin_ctrl/lisp_codegen.py,
	widgets/spin_ctrl/perl_codegen.py,
	widgets/splitter_window/lisp_codegen.py,
	widgets/splitter_window/perl_codegen.py,
	widgets/static_bitmap/codegen.py,
	widgets/static_bitmap/lisp_codegen.py,
	widgets/static_bitmap/perl_codegen.py,
	widgets/static_bitmap/static_bitmap.py,
	widgets/static_bitmap/wconfig.py, widgets/static_line/codegen.py,
	widgets/static_line/lisp_codegen.py,
	widgets/static_line/perl_codegen.py,
	widgets/static_line/static_line.py, widgets/static_line/wconfig.py,
	widgets/static_text/codegen.py, widgets/static_text/lisp_codegen.py,
	widgets/static_text/perl_codegen.py, widgets/static_text/wconfig.py,
	widgets/statusbar/__init__.py, widgets/statusbar/codegen.py,
	widgets/statusbar/lisp_codegen.py,
	widgets/statusbar/perl_codegen.py, widgets/statusbar/wconfig.py,
	widgets/text_ctrl/codegen.py, widgets/text_ctrl/lisp_codegen.py,
	widgets/text_ctrl/perl_codegen.py, widgets/toolbar/codegen.py,
	widgets/toolbar/lisp_codegen.py, widgets/toolbar/perl_codegen.py,
	widgets/toolbar/toolbar.py, widgets/toolbar/wconfig.py,
	widgets/tree_ctrl/lisp_codegen.py,
	widgets/tree_ctrl/perl_codegen.py, wxglade, wxglade.py, xrc2wxg.py:
	Update copyright year
	[8aca18141318]

2015-04-14  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, tests/casefiles/AllWidgets_28.cpp,
	tests/casefiles/AllWidgets_28.h, tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/AllWidgets_28.wxg,
	tests/casefiles/AllWidgets_28.xrc,
	tests/casefiles/AllWidgets_30.cpp, tests/casefiles/AllWidgets_30.h,
	tests/casefiles/AllWidgets_30.pl, tests/casefiles/AllWidgets_30.py,
	tests/casefiles/AllWidgets_30.wxg,
	tests/casefiles/AllWidgets_30.xrc, widgets/toggle_button/codegen.py,
	widgets/toggle_button/lisp_codegen.py,
	widgets/toggle_button/perl_codegen.py,
	widgets/toggle_button/toggle_button.py:
	Add styles to wxToggleButton
	[a70f184b4934]

2015-04-13  Carsten Grohmann  <mail@carstengrohmann.de>

	* widgets/list_box/wconfig.py, widgets/slider/wconfig.py:
	Update style definitions
	[25ca954983dc]

	* application.py, bugdialog.py, codegen/__init__.py,
	codegen/cpp_codegen.py, codegen/lisp_codegen.py,
	codegen/perl_codegen.py, codegen/py_codegen.py,
	codegen/xrc_codegen.py, main.py, misc.py, preferencesdialog.py,
	tests/test_codegen.py, wcodegen/__init__.py, widgets/grid/grid.py,
	widgets/menubar/codegen.py, widgets/menubar/perl_codegen.py,
	widgets/toolbar/codegen.py:
	Minor internal code changes like renames, improving wording, ...
	[965ddf619dc2]

2015-04-12  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/__init__.py, tests/casefiles/PerlAddApp_multi_detailed.pl,
	tests/casefiles/PerlAddApp_multi_gettext_detailed.pl,
	tests/casefiles/PerlAddApp_multi_gettext_simple.pl,
	tests/casefiles/PerlAddApp_multi_simple.pl,
	tests/casefiles/PerlAddApp_single_detailed.pl,
	tests/casefiles/PerlAddApp_single_gettext_detailed.pl,
	tests/casefiles/PerlAddApp_single_gettext_simple.pl,
	tests/casefiles/PerlAddApp_single_simple.pl,
	tests/casefiles/PlAddApp_multi_detailed.pl,
	tests/casefiles/PlAddApp_multi_gettext_detailed.pl,
	tests/casefiles/PlAddApp_multi_gettext_simple.pl,
	tests/casefiles/PlAddApp_multi_simple.pl,
	tests/casefiles/PlAddApp_single_detailed.pl,
	tests/casefiles/PlAddApp_single_gettext_detailed.pl,
	tests/casefiles/PlAddApp_single_gettext_simple.pl,
	tests/casefiles/PlAddApp_single_simple.pl,
	tests/casefiles/PyAddApp_multi_detailed.py,
	tests/casefiles/PyAddApp_multi_gettext_detailed.py,
	tests/casefiles/PyAddApp_multi_gettext_simple.py,
	tests/casefiles/PyAddApp_multi_simple.py,
	tests/casefiles/PyAddApp_single_detailed.py,
	tests/casefiles/PyAddApp_single_gettext_detailed.py,
	tests/casefiles/PyAddApp_single_gettext_simple.py,
	tests/casefiles/PyAddApp_single_simple.py,
	tests/casefiles/PythonAddApp_multi_detailed.py,
	tests/casefiles/PythonAddApp_multi_gettext_detailed.py,
	tests/casefiles/PythonAddApp_multi_gettext_simple.py,
	tests/casefiles/PythonAddApp_multi_simple.py,
	tests/casefiles/PythonAddApp_single_detailed.py,
	tests/casefiles/PythonAddApp_single_gettext_detailed.py,
	tests/casefiles/PythonAddApp_single_gettext_simple.py,
	tests/casefiles/PythonAddApp_single_simple.py,
	tests/test_codegen.py, tests/test_gui.py:
	Summarise language specific contansts in base class instead of
	declaring several times.
	[55e70caf3b22]

	* NEWS.txt, tests/casefiles/AllWidgets_28.cpp,
	tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/AllWidgets_28.wxg,
	tests/casefiles/AllWidgets_28.xrc,
	tests/casefiles/AllWidgets_30.cpp, tests/casefiles/AllWidgets_30.pl,
	tests/casefiles/AllWidgets_30.py, tests/casefiles/AllWidgets_30.wxg,
	tests/casefiles/AllWidgets_30.xrc,
	tests/casefiles/Sizers_classattr.cpp,
	tests/casefiles/Sizers_classattr.lisp,
	tests/casefiles/Sizers_classattr.pl,
	tests/casefiles/Sizers_no_classattr.cpp,
	tests/casefiles/Sizers_no_classattr.lisp,
	tests/casefiles/Sizers_no_classattr.pl, widgets/list_box/codegen.py,
	widgets/list_box/perl_codegen.py, widgets/list_box/wconfig.py:
	Fix generated code for wxListBox
	[05bce66af2bd]

	* NEWS.txt, codegen/cpp_codegen.py, tests/casefiles/AllWidgets_28.h,
	tests/casefiles/AllWidgets_30.h, tests/casefiles/CPPOgg1.h,
	tests/casefiles/CPPOgg2_MyDialog.h, tests/casefiles/CPPOgg3.h,
	tests/casefiles/ComplexExample.h,
	tests/casefiles/ComplexExample_30.h, tests/casefiles/Grid.h:
	Event handler in C++ aren't virtual anymore

	The wx documentation states "The member function that handles an
	event does not have to be virtual."
	[dc15f21dfa0b]

	* NEWS.txt, codegen/xrc_codegen.py, tests/casefiles/AllWidgets_28.wxg,
	tests/casefiles/AllWidgets_30.cpp, tests/casefiles/AllWidgets_30.h,
	tests/casefiles/AllWidgets_30.pl, tests/casefiles/AllWidgets_30.py,
	tests/casefiles/AllWidgets_30.wxg,
	tests/casefiles/AllWidgets_30.xrc, tests/test_codegen.py,
	tests/test_gui.py, wcodegen/__init__.py, widgets/panel/wconfig.py:
	Add support for events that are only supported by a specific wx
	version
	[ac3ee003ec75]

2015-04-11  Carsten Grohmann  <mail@carstengrohmann.de>

	* common.py, tests/casefiles/AllWidgets_28.cpp,
	tests/casefiles/AllWidgets_28.h, tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/AllWidgets_28.wxg,
	tests/casefiles/AllWidgets_28.xrc,
	tests/casefiles/AllWidgets_30.cpp, tests/casefiles/AllWidgets_30.h,
	tests/test_codegen.py, wcodegen/__init__.py,
	widgets/notebook/wconfig.py:
	Add support for events with different prototypes for diff. wx
	versions

	The prototype of the events issued by wxNotebook has changed from
	2.8 "wxNotebookEvent" to 3.0 "wxBookCtrlEvent".
	[9e07a4f948d4]

	* NEWS.txt, codegen/__init__.py, codegen/cpp_codegen.py,
	codegen/lisp_codegen.py, codegen/perl_codegen.py,
	codegen/py_codegen.py, common.py, events_mixin.py,
	tests/test_codegen.py, wcodegen/__init__.py,
	widgets/bitmap_button/bitmap_button.py,
	widgets/bitmap_button/wconfig.py, widgets/button/button.py,
	widgets/button/wconfig.py, widgets/calendar_ctrl/calendar_ctrl.py,
	widgets/calendar_ctrl/codegen.py, widgets/calendar_ctrl/wconfig.py,
	widgets/checkbox/checkbox.py, widgets/checkbox/wconfig.py,
	widgets/choice/choice.py, widgets/choice/wconfig.py,
	widgets/combo_box/combo_box.py, widgets/combo_box/wconfig.py,
	widgets/datepicker_ctrl/codegen.py,
	widgets/datepicker_ctrl/datepicker_ctrl.py,
	widgets/datepicker_ctrl/wconfig.py, widgets/dialog/codegen.py,
	widgets/dialog/wconfig.py, widgets/grid/codegen.py,
	widgets/grid/grid.py, widgets/grid/wconfig.py,
	widgets/hyperlink_ctrl/codegen.py,
	widgets/hyperlink_ctrl/hyperlink_ctrl.py,
	widgets/hyperlink_ctrl/wconfig.py, widgets/list_box/list_box.py,
	widgets/list_box/wconfig.py, widgets/list_ctrl/codegen.py,
	widgets/list_ctrl/list_ctrl.py, widgets/list_ctrl/wconfig.py,
	widgets/menubar/codegen.py, widgets/menubar/perl_codegen.py,
	widgets/notebook/codegen.py, widgets/notebook/notebook.py,
	widgets/notebook/wconfig.py, widgets/radio_box/radio_box.py,
	widgets/radio_box/wconfig.py, widgets/radio_button/radio_button.py,
	widgets/radio_button/wconfig.py, widgets/slider/codegen.py,
	widgets/slider/slider.py, widgets/slider/wconfig.py,
	widgets/spin_button/codegen.py, widgets/spin_button/spin_button.py,
	widgets/spin_button/wconfig.py, widgets/spin_ctrl/codegen.py,
	widgets/spin_ctrl/spin_ctrl.py, widgets/spin_ctrl/wconfig.py,
	widgets/splitter_window/codegen.py,
	widgets/splitter_window/splitter_window.py,
	widgets/splitter_window/wconfig.py, widgets/text_ctrl/text_ctrl.py,
	widgets/text_ctrl/wconfig.py,
	widgets/toggle_button/toggle_button.py,
	widgets/toggle_button/wconfig.py, widgets/toolbar/codegen.py,
	widgets/tree_ctrl/codegen.py, widgets/tree_ctrl/tree_ctrl.py,
	widgets/tree_ctrl/wconfig.py:
	Migrate event definitions to the wconfig files and adapt event
	handling
	[56809e02f999]

2015-04-07  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, widgets/datepicker_ctrl/codegen.py,
	widgets/dialog/codegen.py, widgets/hyperlink_ctrl/codegen.py,
	widgets/tree_ctrl/codegen.py:
	Add missing event types for event handling in C++
	[114168a0e9c5]

2015-04-05  Carsten Grohmann  <mail@carstengrohmann.de>

	* codegen/lisp_codegen.py, widgets/menubar/menubar.py:
	Reduce usage of "Unbound local variable"

	It's unclear if the orginal code may raise bugs.
	[ce3b33d10084]

2015-04-04  Carsten Grohmann  <mail@carstengrohmann.de>

	* edit_windows.py:
	Use the memoize decorators instead of an own cache algorithm
	[d803a4cea380]

	* NEWS.txt, wxglade.pyw:
	Catch and show early exceptions on Windows (Thanks to Tor Sjøwall)
	[433c0af02aef]

2015-04-03  Carsten Grohmann  <mail@carstengrohmann.de>

	* bugdialog.py, bugdialog_ui.py, docs/html/apa.html,
	docs/html/apb.html, docs/html/apd.html, docs/html/ch01.html,
	docs/html/ch01s02.html, docs/html/ch01s03.html,
	docs/html/ch01s04.html, docs/html/ch01s05.html,
	docs/html/ch01s06.html, docs/html/ch01s07.html,
	docs/html/ch01s08.html, docs/html/ch02.html, docs/html/ch02s02.html,
	docs/html/ch02s03.html, docs/html/ch02s04.html,
	docs/html/ch02s05.html, docs/html/ch02s06.html,
	docs/html/ch02s07.html, docs/html/ch02s08.html,
	docs/html/ch02s09.html, docs/html/ch03.html, docs/html/ch03s02.html,
	docs/html/ch03s03.html, docs/html/ch03s04.html,
	docs/html/ch03s05.html, docs/html/ch03s06.html, docs/html/ch04.html,
	docs/html/ch04s03.html, docs/html/ch05.html, docs/html/ch05s02.html,
	docs/html/ch05s03.html, docs/html/ch05s04.html, docs/html/ch06.html,
	docs/html/ch06s02.html, docs/html/ch06s03.html,
	docs/html/ch06s04.html, docs/html/ch06s05.html,
	docs/html/ch06s06.html, docs/html/ch06s07.html,
	docs/html/ch06s08.html, docs/html/ch06s09.html, docs/html/ch07.html,
	docs/html/ch07s02.html, docs/html/ch07s03.html,
	docs/html/index.html, docs/html/pr01.html, docs/html/pr01s02.html,
	docs/pdf/manual.pdf, docs/src/manual.xml, res/bugdialog_ui.wxg:
	Show full path of error log file in the bug dialog
	[e32e72f7285e]

	* NEWS.txt, about.py, bugdialog_ui.py, codegen/py_codegen.py, main.py,
	msgdialog.py, templates_ui.py, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/ComplexExample.py,
	tests/casefiles/ComplexExample_30.py, tests/casefiles/FontColour.py,
	tests/casefiles/HyperlinkCtrl_28.py,
	tests/casefiles/PyAddApp_multi_detailed.py,
	tests/casefiles/PyAddApp_multi_gettext_detailed.py,
	tests/casefiles/PyAddApp_multi_gettext_simple.py,
	tests/casefiles/PyAddApp_multi_simple.py,
	tests/casefiles/PyAddApp_single_detailed.py,
	tests/casefiles/PyAddApp_single_gettext_detailed.py,
	tests/casefiles/PyAddApp_single_gettext_simple.py,
	tests/casefiles/PyAddApp_single_simple.py,
	tests/casefiles/PyOgg1.py, tests/casefiles/PyOgg2_app.py,
	tests/casefiles/PyOgg3.py, tests/casefiles/Sizers_classattr.py,
	tests/casefiles/Sizers_no_classattr.py,
	tests/casefiles/add_class_inplace_extended.py,
	tests/casefiles/add_class_inplace_orig.py,
	tests/casefiles/no_suitable_writer.py,
	tests/casefiles/remove_class_inplace_expected.py,
	tests/casefiles/remove_class_inplace_input.py, tests/test_gui.py:
	Remove obsolete calls of wx.InitAllImageHandlers()

	wx.InitAllImageHandlers() has been removed from all Python code as
	well as from the Python code generator.

	The former functionality of InitAllImageHanders is now done internal
	to the _core_ extension module and so this function has become a
	simple NOP.
	[a9d244fd7a2e]

	* NEWS.txt, tests/casefiles/AllWidgets_28.cpp,
	tests/casefiles/AllWidgets_28.h, tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/AllWidgets_28.wxg,
	tests/casefiles/AllWidgets_28.xrc, widgets/checkbox/checkbox.py,
	widgets/checkbox/checkbox_base.py, widgets/checkbox/codegen.py,
	widgets/checkbox/lisp_codegen.py, widgets/checkbox/perl_codegen.py,
	widgets/checkbox/wconfig.py:
	Add support for 3-state checkboxes
	[de213db4646a]

	* wcodegen/mixins.py:
	Fix docstring format
	[978f1af9ffaa]

2015-03-31  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/test_codegen.py:
	Minor cleanups
	[6a16f6f6b22e]

	* widget_properties.py:
	Increase robustness of RadioProperty

	Now you can call enable_item() even if the widget isn't displayed /
	created.
	[949743b04254]

2015-03-29  Carsten Grohmann  <mail@carstengrohmann.de>

	* common.py, tests/test_codegen.py, wcodegen/mixins.py,
	widget_properties.py, widgets/checkbox/wconfig.py:
	Rework style processing to handle dependencies properly.

	A new style attribute 'require' has been introduced.
	[42776405add0]

2015-03-27  Carsten Grohmann  <mail@carstengrohmann.de>

	* common.py, wcodegen/mixins.py, widget_properties.py,
	widgets/checkbox/wconfig.py:
	Rename style attributes 'add' and 'delete' into 'include' and
	'exclude'
	[083773a39c57]

2015-03-26  Carsten Grohmann  <mail@carstengrohmann.de>

	* common.py, decorators.py, wcodegen/__init__.py, wcodegen/mixins.py:
	Move code to prepare style attributes from wcodegen.mixins to common

	Special style attributes ('add', 'combination' and 'delete') are
	converted from string to set in a earlier. Thereby function can
	always use these attributes as a set.
	[32eccd5c6311]

2015-03-24  Carsten Grohmann  <mail@carstengrohmann.de>

	* common.py, tests/test_codegen.py, wcodegen/mixins.py,
	widget_properties.py, widgets/checkbox/wconfig.py:
	Add style attributes 'add' and 'delete'.

	Both styles allows to add or remove a style based on current
	selected styles.
	[d74777c72589]

2015-03-21  Carsten Grohmann  <mail@carstengrohmann.de>

	* test.py:
	Change test setup to use wx version 2.8 or newer instead of 2.8 only
	[7d7afd8c0d9f]

2015-03-20  Carsten Grohmann  <mail@carstengrohmann.de>

	* main.py:
	Disable autosave checks during unittests
	[5ae528aa226e]

2015-03-19  Carsten Grohmann  <mail@carstengrohmann.de>

	* common.py:
	Normalise paths of internal files and directories
	[696a98de122f]

	* application.py, bugdialog.py, main.py, preferencesdialog.py:
	Introduce wrapper functions to simplify showing bug reports.
	[0b5b3a0a0cd8]

2015-03-18  Carsten Grohmann  <mail@carstengrohmann.de>

	* bugdialog.py:
	Show missing exception details in bug dialog
	[ce877788c5b9]

2015-03-16  Carsten Grohmann  <mail@carstengrohmann.de>

	* widget_properties.py:
	Remove cache for style tooltips

	Without cache widgets can use the same style but with an individual
	tooltips
	[265ec9bbee3c]

	* widgets/checkbox/checkbox.py, widgets/checkbox/wconfig.py:
	Add missing style handling for wxCheckbox widgets and fix wrong
	styles

	The styles weren't adapted after copying from wxCalenderCtrl :-(
	[015761ac3f22]

	* common.py, edit_sizers/edit_sizers.py, misc.py, template.py,
	tree.py, widget_properties.py, widgets/ChoicesProperty.py,
	widgets/MenuTree.py, widgets/grid/grid.py,
	widgets/notebook/notebook.py, widgets/statusbar/statusbar.py,
	widgets/toolbar/tool.py:
	Rename encode_to_xml() to encode_to_unicode(), it returns Unicode

	The function returns Unicode encoded strings and not UTF-8 like the
	name suggests.
	[a3cbc301b5b0]

2015-03-13  Carsten Grohmann  <mail@carstengrohmann.de>

	* docs/html/apa.html, docs/html/apb.html, docs/html/apd.html,
	docs/html/ch01.html, docs/html/ch01s02.html, docs/html/ch01s03.html,
	docs/html/ch01s04.html, docs/html/ch01s05.html,
	docs/html/ch01s06.html, docs/html/ch01s07.html,
	docs/html/ch01s08.html, docs/html/ch02.html, docs/html/ch02s02.html,
	docs/html/ch02s03.html, docs/html/ch02s04.html,
	docs/html/ch02s05.html, docs/html/ch02s06.html,
	docs/html/ch02s07.html, docs/html/ch02s08.html,
	docs/html/ch02s09.html, docs/html/ch03.html, docs/html/ch03s02.html,
	docs/html/ch03s03.html, docs/html/ch03s04.html,
	docs/html/ch03s05.html, docs/html/ch03s06.html, docs/html/ch04.html,
	docs/html/ch04s03.html, docs/html/ch05.html, docs/html/ch05s02.html,
	docs/html/ch05s03.html, docs/html/ch05s04.html, docs/html/ch06.html,
	docs/html/ch06s02.html, docs/html/ch06s03.html,
	docs/html/ch06s04.html, docs/html/ch06s05.html,
	docs/html/ch06s06.html, docs/html/ch06s07.html,
	docs/html/ch06s08.html, docs/html/ch06s09.html, docs/html/ch07.html,
	docs/html/ch07s02.html, docs/html/ch07s03.html,
	docs/html/index.html, docs/html/pr01.html, docs/html/pr01s02.html,
	docs/pdf/manual.pdf, docs/src/manual.xml:
	Typo
	[73b7da91fde0]

2015-03-12  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, widgets/button/button.py, widgets/checkbox/checkbox.py,
	widgets/hyperlink_ctrl/hyperlink_ctrl.py,
	widgets/radio_button/radio_button.py,
	widgets/static_text/static_text.py,
	widgets/toggle_button/toggle_button.py:
	Fix Designer not displaying buttons two lines correctly (sf bug
	#169) (grafted from 779fc77bf78a05ace8215a4b4fdeb7ae5af82560)
	[00e4541a5eab] <WXG-BRANCH-VERSION_0_7_0>

	* errors.py:
	Remove obsolete exception class
	[427c7f66c379]

	* NEWS.txt, widgets/button/button.py, widgets/checkbox/checkbox.py,
	widgets/hyperlink_ctrl/hyperlink_ctrl.py,
	widgets/radio_button/radio_button.py,
	widgets/static_text/static_text.py,
	widgets/toggle_button/toggle_button.py:
	Fix Designer not displaying buttons two lines correctly (sf bug
	#169)
	[779fc77bf78a]

	* CONTRIBUTING.txt, README.txt, docs/html/apa.html,
	docs/html/apb.html, docs/html/apc.html, docs/html/apd.html,
	docs/html/ch01.html, docs/html/ch01s02.html, docs/html/ch01s03.html,
	docs/html/ch01s04.html, docs/html/ch01s05.html,
	docs/html/ch01s06.html, docs/html/ch01s07.html,
	docs/html/ch01s08.html, docs/html/ch02.html, docs/html/ch02s02.html,
	docs/html/ch02s03.html, docs/html/ch02s04.html,
	docs/html/ch02s05.html, docs/html/ch02s06.html,
	docs/html/ch02s07.html, docs/html/ch02s08.html,
	docs/html/ch02s09.html, docs/html/ch03.html, docs/html/ch03s02.html,
	docs/html/ch03s03.html, docs/html/ch03s04.html,
	docs/html/ch03s05.html, docs/html/ch03s06.html,
	docs/html/ch03s07.html, docs/html/ch04.html, docs/html/ch04s02.html,
	docs/html/ch04s03.html, docs/html/ch05.html, docs/html/ch05s02.html,
	docs/html/ch05s03.html, docs/html/ch05s04.html, docs/html/ch06.html,
	docs/html/ch06s02.html, docs/html/ch06s03.html,
	docs/html/ch06s04.html, docs/html/ch06s05.html,
	docs/html/ch06s06.html, docs/html/ch06s07.html,
	docs/html/ch06s08.html, docs/html/ch06s09.html, docs/html/ch07.html,
	docs/html/ch07s02.html, docs/html/ch07s03.html,
	docs/html/index.html, docs/html/pr01.html, docs/html/pr01s02.html,
	docs/html/pr01s03.html, docs/pdf/manual.pdf, docs/src/manual.xml,
	errors.py:
	Update and extend documentation
	[94f3b97a391b]

2015-02-10  Carsten Grohmann  <mail@carstengrohmann.de>

	* CONTRIBUTING.txt, README.txt, docs/ReleaseSteps.txt,
	install/pyinstaller/wxglade-installer.iss,
	install/pyinstaller/wxglade.spec, setup.py:
	Documentation updates
	[b9b56d3df47c]

2015-02-06  Carsten Grohmann  <mail@carstengrohmann.de>

	* application.py:
	Fix file extensions update during changing languages
	[db29a7b10e0d]

	* main.py:
	Rename two variables in class wxGladeFrame to use speaking names

	Rename frame2 to frame_property and tree_frame to frame_tree
	[c96faa85eb56]

2015-02-02  Carsten Grohmann  <mail@carstengrohmann.de>

	* setup.py:
	Use setuptools instead of distutils

	Looks like the parallel installation of setuptools and distutils
	doesn't work. From my perspective setuptools breaks distutils.
	Thereby I'm switching to setuptools to prevent strange behaviour.
	[8c807647e7d2]

2015-02-01  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, codegen/__init__.py, errors.py, tests/__init__.py,
	tests/casefiles/bug167.cpp, tests/casefiles/bug167.h,
	tests/casefiles/bug167.lisp, tests/casefiles/bug167.pl,
	tests/casefiles/bug167.py, tests/casefiles/bug167.wxg,
	tests/casefiles/bug167.xrc, tests/casefiles/bug167_utf8.cpp,
	tests/casefiles/bug167_utf8.h, tests/casefiles/bug167_utf8.lisp,
	tests/casefiles/bug167_utf8.pl, tests/casefiles/bug167_utf8.py,
	tests/casefiles/bug167_utf8.wxg, tests/casefiles/bug167_utf8.xrc,
	tests/casefiles/file_encodings.txt, tests/test_bugs.py:
	Fix Unicode error during update of an existing source file (sf bug
	#167)

	Convert file content internally to Unicode always.

	Thereby:
	 - Store generated source files in the selected encoding
	 - Read source files will be converted to Unicode also
	[8f795494349c]

2015-01-31  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/__init__.py, tests/casefiles/file_encodings.txt:
	Read encoding of test case files from a file instead of hard-coded
	encodings

	The encodings are stored in tests/casefiles/file_encodings.txt
	[d7c6e05750c0]

2015-01-28  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/__init__.py:
	Use a decorator to load test files from case file directory

	Previously test cases used an own function to load the files. Those
	function replaced the original implementation dynamically during the
	tests run. Now the decorator adapts the filenames only and the tests
	tests the real implementation.
	[40c28ba6b7cb]

2015-01-26  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/test_bugs.py:
	Remove obsolete import
	[bf89d00c971f]

2015-01-21  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt:
	Update NEWS.txt
	[d3a0c45e6237]

	* xml_parse.py:
	Don't ignore disabled gettext support (Thanks to Udi Fuchs) (grafted
	from 463bc8c718b5e00f3c7fa214ec75975ab9d36d0b)
	[26808eb4a3a8] <WXG-BRANCH-VERSION_0_7_0>

	* xml_parse.py:
	Don't ignore disabled gettext support (Thanks to Udi Fuchs)
	[463bc8c718b5]

2015-01-07  Carsten Grohmann  <mail@carstengrohmann.de>

	* common.py:
	Improve wording
	[2589c129a475]

	* tests/casefiles/bug165.cpp, tests/casefiles/bug165.h,
	tests/casefiles/bug165.lisp, tests/casefiles/bug165.pl,
	tests/casefiles/bug165.py, tests/casefiles/bug165.wxg,
	tests/casefiles/bug165.xrc, tests/test_bugs.py,
	wcodegen/__init__.py:
	Fix error during preview of classed with custom names (sf bug #165)

	Two assert statements were misplaced and are removed now. (grafted
	from f9410889529c84ef5121b11631ac39ce4368aa35)
	[7192ec5074ca] <WXG-BRANCH-VERSION_0_7_0>

	* NEWS.txt, tests/casefiles/bug165.cpp, tests/casefiles/bug165.h,
	tests/casefiles/bug165.lisp, tests/casefiles/bug165.pl,
	tests/casefiles/bug165.py, tests/casefiles/bug165.wxg,
	tests/casefiles/bug165.xrc, tests/test_bugs.py,
	wcodegen/__init__.py:
	Fix error during preview of classed with custom names (sf bug #165)

	Two assert statements were misplaced and are removed now.
	[f9410889529c]

2015-01-02  Carsten Grohmann  <mail@carstengrohmann.de>

	* bugdialog.py, log.py, main.py:
	Rework handling of bug dialog

	Rework the change "Show logged exceptions in wxGlade bug dialog"
	(1602:c6724cad00a3) because the locking doesn't work always fine.
	[f892a6c32a54]

2015-01-01  Carsten Grohmann  <mail@carstengrohmann.de>

	* main.py:
	Remove obsolete import
	[628a68b24cb3]

2014-12-28  Carsten Grohmann  <mail@carstengrohmann.de>

	* Makefile:
	Remove automatically generated directory wxGlade.egg-info within
	clean rule (grafted from fef9307f37a48e79260ff603e09e670f416628eb)
	[3c6f483a8f8a] <WXG-BRANCH-VERSION_0_7_0>

	* setup.py:
	Add a workaround for a probable bug in setuptools

	The sdist command failed with a "TypeError: dist must be a
	Distribution instance" exception. This is probably caused by a
	setuptools-monkeypatched Extension/Distribution class.

	Workaround: import setuptools first if setuptools are installed

	Bug details: http://bugs.python.org/issue23102 (grafted from
	cd4db92a5b1e2bc7bed5e33d7cdb799d613343f6)
	[9688fd1b9851] <WXG-BRANCH-VERSION_0_7_0>

	* setup.py:
	Take over handling icons as data files from Debian package
	[5082bfa2bb89]

2014-12-27  Carsten Grohmann  <mail@carstengrohmann.de>

	* Makefile:
	Remove automatically generated directory wxGlade.egg-info within
	clean rule
	[fef9307f37a4]

	* setup.py:
	Add a workaround for a probable bug in setuptools

	The sdist command failed with a "TypeError: dist must be a
	Distribution instance" exception. This is probably caused by a
	setuptools-monkeypatched Extension/Distribution class.

	Workaround: import setuptools first if setuptools are installed

	Bug details: http://bugs.python.org/issue23102
	[cd4db92a5b1e]

	* application.py, common.py, edit_windows.py, misc.py:
	Hardening importing and showing preview widgets

	The old code didn't handles failed imports very well. The new code
	has more checks and prevent subsequent error. (grafted from
	049de2845adc74bfdc97564e61c34fd9f1dbe205)
	[07d9c6af801f] <WXG-BRANCH-VERSION_0_7_0>

	* main.py, tests/__init__.py, tests/casefiles/import_test.wxg,
	tests/test_codegen.py, tests/test_gui.py, tree.py, xrc2wxg.py:
	Use and enforce unicode in internal file-like objects for wxg and
	xrc files. (grafted from b0898ab090551f54b771ccd2c0c600463292afdb)
	[a006ef8a1efa] <WXG-BRANCH-VERSION_0_7_0>

2014-12-21  Carsten Grohmann  <mail@carstengrohmann.de>

	* bugdialog.py, tests/__init__.py:
	Disable bug dialog if unittests are running
	[e7b5822eb51a]

2014-12-20  Carsten Grohmann  <mail@carstengrohmann.de>

	* edit_windows.py, tests/test_gui.py:
	Another fix incorrect handling of styles (grafted from
	f4955614617dc5d0e4cf6ba9442ba5fa5e9135e0)
	[942d4687a558] <WXG-BRANCH-VERSION_0_7_0>

	* tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/no_supported_flags.cpp,
	tests/casefiles/no_supported_flags.h,
	tests/casefiles/no_supported_flags.lisp,
	tests/casefiles/no_supported_flags.pl,
	tests/casefiles/no_supported_flags.py,
	tests/casefiles/no_supported_flags.wxg,
	tests/casefiles/no_supported_flags.xrc, tests/test_codegen.py,
	wcodegen/__init__.py, widgets/bitmap_button/codegen.py,
	widgets/notebook/codegen.py, widgets/notebook/lisp_codegen.py,
	widgets/notebook/perl_codegen.py, widgets/notebook/wconfig.py,
	widgets/splitter_window/codegen.py,
	widgets/splitter_window/lisp_codegen.py,
	widgets/splitter_window/perl_codegen.py,
	widgets/splitter_window/wconfig.py:
	Unify code used to format styles (grafted from
	cc0753997b7e3374a05692fe1781430b5f9c892b)
	[0363afe10fc5] <WXG-BRANCH-VERSION_0_7_0>

	* widgets/toolbar/wconfig.py:
	Update style attributes for wxToolBar (grafted from
	79b429b586e02864d64a56f2f7d236a3bab5a960)
	[7d0a7cd5e421] <WXG-BRANCH-VERSION_0_7_0>

	* common.py:
	Clarify log message (grafted from
	37b97aca47d1f908817f6409aa2c1b137073ba67)
	[9340b217d6ec] <WXG-BRANCH-VERSION_0_7_0>

	* tests/test_codegen.py, wcodegen/mixins.py:
	Fix incorrect handling of styles only supported by a specific wx
	version (grafted from 97bf9909dc2a911521a4a231842db842fcd3d39b)
	[b067eba71a38] <WXG-BRANCH-VERSION_0_7_0>

	* common.py:
	Clarify 'supported_by' documentation (grafted from
	8ae3cb6db217dd65f1edd70d0b92425538c5b0af)
	[6ba172a34ebb] <WXG-BRANCH-VERSION_0_7_0>

	* misc.py:
	Change title of design window to match schema used by property
	window (grafted from 7b35936d2b3404247b3922b32929198606e3bc80)
	[5041ba13b610] <WXG-BRANCH-VERSION_0_7_0>

	* misc.py:
	Change title of design window to match schema used by property
	window (grafted from ebfde85ee859deffd4978ef1ee8b3662fb12fbbb)
	[ac41b556de1c] <WXG-BRANCH-VERSION_0_7_0>

	* edit_windows.py, tests/test_gui.py:
	Another fix incorrect handling of styles
	[f4955614617d]

2014-12-19  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/no_supported_flags.cpp,
	tests/casefiles/no_supported_flags.h,
	tests/casefiles/no_supported_flags.lisp,
	tests/casefiles/no_supported_flags.pl,
	tests/casefiles/no_supported_flags.py,
	tests/casefiles/no_supported_flags.wxg,
	tests/casefiles/no_supported_flags.xrc, tests/test_codegen.py,
	wcodegen/__init__.py, widgets/bitmap_button/codegen.py,
	widgets/notebook/codegen.py, widgets/notebook/lisp_codegen.py,
	widgets/notebook/perl_codegen.py, widgets/notebook/wconfig.py,
	widgets/splitter_window/codegen.py,
	widgets/splitter_window/lisp_codegen.py,
	widgets/splitter_window/perl_codegen.py,
	widgets/splitter_window/wconfig.py:
	Unify code used to format styles
	[cc0753997b7e]

	* widgets/toolbar/wconfig.py:
	Update style attributes for wxToolBar
	[79b429b586e0]

2014-12-07  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt:
	Add new changes
	[8e163ed24b65]

	* bugdialog.py, main.py:
	Show logged exceptions in wxGlade bug dialog
	[c6724cad00a3]

2014-12-06  Carsten Grohmann  <mail@carstengrohmann.de>

	* common.py:
	Clarify log message
	[37b97aca47d1]

	* bugdialog.py, main.py:
	Show bugdialog for unhandled exception in wxGlade GUI
	[1ac725293df6]

	* log.py:
	Simplify installation and deinstallation of the exception handler
	[fb072b468f56]

2014-11-30  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/test_codegen.py, wcodegen/mixins.py:
	Fix incorrect handling of styles only supported by a specific wx
	version
	[97bf9909dc2a]

2014-11-29  Carsten Grohmann  <mail@carstengrohmann.de>

	* common.py:
	Clarify 'supported_by' documentation
	[8ae3cb6db217]

2014-11-09  Carsten Grohmann  <mail@carstengrohmann.de>

	* install/pyinstaller/build.bat:
	Show a status message after PyInstaller has run.
	[0bc3a53f95a0]

	* misc.py:
	Change title of design window to match schema used by property
	window
	[7b35936d2b34]

	* misc.py:
	Change title of design window to match schema used by property
	window
	[ebfde85ee859]

2014-11-08  Carsten Grohmann  <mail@carstengrohmann.de>

	* main.py:
	Improve statusbar messages for loading from file-like objects
	(grafted from 851aa3217fa642181c6c6131571be34a46df2e53)
	[aa7bf8510ab2] <WXG-BRANCH-VERSION_0_7_0>

	* application.py, common.py, edit_windows.py, misc.py:
	Hardening importing and showing preview widgets

	The old code didn't handles failed imports very well. The new code
	has more checks and prevent subsequent error.
	[049de2845adc]

2014-11-07  Carsten Grohmann  <mail@carstengrohmann.de>

	* main.py:
	Don't hide warnings. The warnings should be shown to fix them.
	[3fedb337a071]

	* main.py:
	Improve statusbar messages for loading from file-like objects
	[851aa3217fa6]

	* NEWS.txt:
	Update news
	[f71b66fe14b8]

	* log.py:
	Add check for existing file logger destination (grafted from
	4b42b463963ce457f1a87a80ba513e901dd1826e)
	[9c97d34a9087] <WXG-BRANCH-VERSION_0_7_0>

	* common.py:
	Update creation config directory (grafted from
	d12f1c050a77247e1940edbee6941e0da94070ba)
	[ca6448d6903c] <WXG-BRANCH-VERSION_0_7_0>

	* main.py:
	Abbreviate statusbar messages (grafted from
	fd81debe6d57c84ca0b1cdaa5bba4ec2d00ddbb1)
	[d3ca70d95cf7] <WXG-BRANCH-VERSION_0_7_0>

	* log.py:
	Add check for existing file logger destination
	[4b42b463963c]

	* common.py:
	Update creation config directory
	[d12f1c050a77]

	* main.py:
	Abbreviate statusbar messages
	[fd81debe6d57]

2014-11-06  Carsten Grohmann  <mail@carstengrohmann.de>

	* main.py, tests/__init__.py, tests/casefiles/import_test.wxg,
	tests/test_codegen.py, tests/test_gui.py, tree.py, xrc2wxg.py:
	Use and enforce unicode in internal file-like objects for wxg and
	xrc files.
	[b0898ab09055]

2014-11-03  Carsten Grohmann  <mail@carstengrohmann.de>

	* common.py, tree.py:
	More docstrings and minor code cosmetics
	[c2fdcccbbb0c]

2014-11-02  Carsten Grohmann  <mail@carstengrohmann.de>

	* common.py, edit_windows.py:
	Typos
	[ecb43f6aa7c8]

	* about.py, common.py, main.py:
	Improve handling of UTF-8 encoded files especially wxg files.
	[3135bd07aa8d]

	* Makefile:
	Remove autosave files within clean rule too
	[ac650f4e3038]

	* common.py:
	Write autosave file in UTF-8
	[3fb3942ec9a8]

2014-11-01  Carsten Grohmann  <mail@carstengrohmann.de>

	* application.py:
	Use UTF-8 encoded XML to generate source code

	The old change used XML encoded with the selected source file
	encoding, but the encoding wasn't mentioned. This caused ugly bugs.

	Now the encoding isn't still mentioned - but wxGlade used the XML
	default UTF-8. (grafted from
	5e35b67e5e3446a7f199bc7b28a02a7f8048c703)
	[e74a939461c5] <WXG-BRANCH-VERSION_0_7_0>

	* main.py:
	Fix swapping property and tree windows at every wxGlade startup
	(grafted from 549deffea9f2076903cd178900eccaa835b19b9b)
	[100e9d2a641e] <WXG-BRANCH-VERSION_0_7_0>

	* application.py:
	Use UTF-8 encoded XML to generate source code

	The old change used XML encoded with the selected source file
	encoding, but the encoding wasn't mentioned. This caused ugly bugs.

	Now the encoding isn't still mentioned - but wxGlade used the XML
	default UTF-8.
	[5e35b67e5e34]

	* main.py:
	Fix swapping property and tree windows at every wxGlade startup
	[549deffea9f2]

2014-10-31  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt:
	Add new changes
	[4453b2ef0710]

	* config.py:
	Interims fix for handling the version file RELEASE-VERSION
	[0af6e6d870b1] <WXG-BRANCH-VERSION_0_7_0>

	* common.py, main.py, misc.py:
	Open wxGlade windows in the upper left corner if wxGlade is starting
	the first time (grafted from
	37c252ed8fda2599de2474a431641fa028dda36a)
	[5d8f3712eec9] <WXG-BRANCH-VERSION_0_7_0>

	* common.py:
	Decode Unicode written to wxg files later to prevent
	UnicodeDecodeErrors (grafted from
	27becaef20951d9a7164e647996d481f0464d56d)
	[1e46478a0d54] <WXG-BRANCH-VERSION_0_7_0>

	* common.py, main.py, misc.py:
	Open wxGlade windows in the upper left corner if wxGlade is starting
	the first time
	[37c252ed8fda]

	* config.py:
	Minor docstring format update
	[49b3b7173c6c]

2014-10-29  Carsten Grohmann  <mail@carstengrohmann.de>

	* common.py:
	Decode Unicode written to wxg files later to prevent
	UnicodeDecodeErrors
	[27becaef2095]

2014-10-28  Carsten Grohmann  <mail@carstengrohmann.de>

	* bugdialog_ui.py, main.py, templates_ui.py,
	widgets/bitmap_button/bitmap_button.py, widgets/dialog/dialog.py,
	widgets/frame/frame.py, widgets/static_bitmap/static_bitmap.py:
	Replace old styles (wx .6) by new styles (wx2.8 and wx3.0) (grafted
	from 79cd1f59effc41f7288b7f07bf83a4abf186f4e7)
	[db7b99d8e5e7] <WXG-BRANCH-VERSION_0_7_0>

	* bugdialog_ui.py, main.py, templates_ui.py,
	widgets/bitmap_button/bitmap_button.py, widgets/dialog/dialog.py,
	widgets/frame/frame.py, widgets/static_bitmap/static_bitmap.py:
	Replace old styles (wx .6) by new styles (wx2.8 and wx3.0)
	[79cd1f59effc]

	* RELEASE-VERSION:
	Adding RELEASE-VERSION file
	[81698e054674] <WXG-BRANCH-VERSION_0_7_0>

2014-10-27  Carsten Grohmann  <mail@carstengrohmann.de>

	* Closed WXG-BRANCH-VERSION_0_6_8 branch
	[66d09153246b] <WXG-BRANCH-VERSION_0_6_8>

	* common.py:
	Create missing application data directory

	Otherwise log initialisation will failed with an IOError "No such
	file or directory"
	[4c3c49e4cf61] <WXG-BRANCH-VERSION_0_7_0>

	* wxglade.py:
	Show version in wxglade CLI output too
	[25263ed45bd2] <WXG-BRANCH-VERSION_0_7_0>

	* common.py:
	Create missing application data directory

	Otherwise log initialisation will failed with an IOError "No such
	file or directory"
	[3b0c9705b793]

	* wxglade.py:
	Show version in wxglade CLI output too
	[01431279a7b5]

2014-10-26  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, install/pyinstaller/wxglade-installer.iss:
	Start new development cycle
	[e2850c84f9ad]

	* Created WXG-BRANCH-VERSION_0_7_0 branch
	[bb685d8ad2a0] <WXG-BRANCH-VERSION_0_7_0>

	* .hgtags:
	Added tag rel_0.7.0 for changeset 98fb6cee1545
	[31d71d6218c7]

	* install/pyinstaller/wxglade-installer.iss:
	Bump version number to 0.7.0
	[98fb6cee1545] [rel_0.7.0]

	* CHANGES.txt, NEWS.txt, README.txt:
	Update documentation
	[8605bcccf3eb]

	* install/pyinstaller/wxglade-installer.iss:
	Remove technical notes from INNO setup
	[5ac988366b8e]

	* install/pyinstaller/wxglade-installer.iss:
	Change directory the SAE installed will placed to
	[d7128a24050c]

	* install/pyinstaller/wxglade.spec:
	Remove appdata.xml and wxGlade.desktop from Windows distribution
	[c30d0781be12]

	* wxglade.py:
	Remove obsolete wxversion comment
	[6284e0555c1b]

	* docs/BuildingInstaller.txt, docs/ReleaseSteps.txt,
	install/pyinstaller/build.bat, install/pyinstaller/hook-main.py,
	install/pyinstaller/hooks/hook-main.py, install/pyinstaller/wxglade-
	installer.iss, install/pyinstaller/wxglade.spec:
	Update Windows installation procedure after upgrading to Pyinstaller
	2.1
	[a53efb9ac8f3]

	* credits.txt:
	Update developers
	[4dc155ba93f6]

	* setup.py:
	Update classification of the programming language
	[d72fe7f9f6fd]

2014-10-25  Carsten Grohmann  <mail@carstengrohmann.de>

	* Merge documenation
	[f37bd738d687]

	* docs/html/apa.html, docs/html/apb.html, docs/html/apc.html,
	docs/html/apd.html, docs/html/ch01.html, docs/html/ch01s02.html,
	docs/html/ch01s03.html, docs/html/ch01s04.html,
	docs/html/ch01s05.html, docs/html/ch01s06.html,
	docs/html/ch01s07.html, docs/html/ch01s08.html, docs/html/ch02.html,
	docs/html/ch02s02.html, docs/html/ch02s03.html,
	docs/html/ch02s04.html, docs/html/ch02s05.html,
	docs/html/ch02s06.html, docs/html/ch02s07.html,
	docs/html/ch02s08.html, docs/html/ch03.html, docs/html/ch03s02.html,
	docs/html/ch03s03.html, docs/html/ch03s04.html,
	docs/html/ch03s05.html, docs/html/ch03s06.html, docs/html/ch04.html,
	docs/html/ch04s03.html, docs/html/ch05.html, docs/html/ch05s02.html,
	docs/html/ch05s03.html, docs/html/ch05s04.html, docs/html/ch06.html,
	docs/html/ch06s02.html, docs/html/ch06s03.html,
	docs/html/ch06s04.html, docs/html/ch06s05.html,
	docs/html/ch06s06.html, docs/html/ch06s07.html,
	docs/html/ch06s08.html, docs/html/ch06s09.html, docs/html/ch07.html,
	docs/html/ch07s02.html, docs/html/ch07s03.html,
	docs/html/index.html, docs/html/label_menu.png, docs/html/pr01.html,
	docs/html/pr01s02.html, docs/html/properties_menu_editor.png,
	docs/html/properties_toolbar_editor.png,
	docs/html/properties_window_application.png,
	docs/html/properties_window_settings.png,
	docs/html/properties_window_statusbar.png, docs/html/sizer_menu.png,
	docs/html/tree_window.png, docs/pdf/manual.pdf,
	docs/src/label_menu.png, docs/src/manual.xml,
	docs/src/properties_menu_editor.png,
	docs/src/properties_toolbar_editor.png,
	docs/src/properties_window_application.png,
	docs/src/properties_window_settings.png,
	docs/src/properties_window_statusbar.png, docs/src/sizer_menu.png,
	docs/src/tree_window.png:
	Update and extend documentation
	[b15e740febca]

	* tree.py, xml_parse.py:
	Rename codegen_opt into multiple_files for clarification
	[13ac79fec9a8]

	* docs/src/manual.xml, docs/tech_notes.txt:
	Migrate technical notes into manual
	[1020317882ce]

	* setup.py, wxglade.py:
	Add myself to license statements
	[96433fd01af9]

	* setup.py:
	Adapt software classification
	[3a501524ac89]

	* application.py:
	Set proper output path at GUI startup
	[2aee28624b44]

	* application.py:
	Rename codegen_opt into multiple_files for clarification
	[4970f3edc9a4]

2014-10-24  Carsten Grohmann  <mail@carstengrohmann.de>

	* application.py, codegen/__init__.py, codegen/cpp_codegen.py,
	edit_sizers/edit_sizers.py, edit_windows.py, main.py:
	Use raw strings if strings contains backslashes
	[845fe7309162]

	* about.py, application.py, clipboard.py, codegen/__init__.py,
	codegen/cpp_codegen.py, codegen/lisp_codegen.py,
	codegen/perl_codegen.py, codegen/py_codegen.py, common.py,
	edit_sizers/edit_sizers.py, edit_windows.py, main.py, misc.py,
	preferences_ui.py, res/preferences_ui.wxg, tree.py,
	widget_properties.py, widgets/dialog/dialog.py,
	widgets/dialog/perl_codegen.py, widgets/grid/grid.py,
	widgets/hyperlink_ctrl/wconfig.py, widgets/menubar/menubar.py,
	widgets/notebook/notebook.py, widgets/panel/panel.py,
	widgets/splitter_window/splitter_window.py, xml_parse.py:
	Text improvements and typos
	[286e6942366a]

	* application.py:
	Adapt file extensions to changing code generator languages in single
	file mode
	[869c8e52ab10]

	* application.py, xml_parse.py:
	Rename codegen_prop into multiple_files_prop for clarification
	[287e061155ce]

	* application.py, xml_parse.py:
	Improve setting the code generator language
	[f86d3947e305]

2014-10-23  Carsten Grohmann  <mail@carstengrohmann.de>

	* codegen/perl_codegen.py, codegen/py_codegen.py,
	wcodegen/__init__.py:
	Escape linebreak and tab characters in doc strings
	[da23edfa913d]

	* application.py:
	Minor code reorg
	[fa5315eee8f8]

	* log.py:
	Show locale settings in printed or logged exceptions
	[8c91455a545c]

	* common.py, wcodegen/__init__.py, widgets/choice/codegen.py,
	widgets/choice/lisp_codegen.py, widgets/choice/perl_codegen.py,
	widgets/combo_box/codegen.py, widgets/combo_box/lisp_codegen.py,
	widgets/combo_box/perl_codegen.py, widgets/combo_box/wconfig.py,
	widgets/gauge/codegen.py, widgets/gauge/lisp_codegen.py,
	widgets/gauge/perl_codegen.py, widgets/gauge/wconfig.py,
	widgets/list_box/codegen.py, widgets/list_box/lisp_codegen.py,
	widgets/list_box/perl_codegen.py, widgets/list_ctrl/codegen.py,
	widgets/list_ctrl/lisp_codegen.py,
	widgets/list_ctrl/perl_codegen.py, widgets/list_ctrl/wconfig.py,
	widgets/radio_box/codegen.py, widgets/radio_box/lisp_codegen.py,
	widgets/radio_box/perl_codegen.py, widgets/slider/codegen.py,
	widgets/slider/lisp_codegen.py, widgets/slider/perl_codegen.py,
	widgets/slider/wconfig.py, widgets/spin_button/codegen.py,
	widgets/spin_button/lisp_codegen.py,
	widgets/spin_button/perl_codegen.py, widgets/spin_button/wconfig.py,
	widgets/spin_ctrl/codegen.py, widgets/spin_ctrl/lisp_codegen.py,
	widgets/spin_ctrl/perl_codegen.py, widgets/spin_ctrl/wconfig.py,
	widgets/static_line/codegen.py, widgets/static_line/lisp_codegen.py,
	widgets/static_line/perl_codegen.py, widgets/static_line/wconfig.py,
	widgets/tree_ctrl/codegen.py, widgets/tree_ctrl/lisp_codegen.py,
	widgets/tree_ctrl/perl_codegen.py, widgets/tree_ctrl/wconfig.py:
	Move default_style to widget config dict and recognise choices
	automatically
	[50281f66b867]

2014-10-22  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, codegen/__init__.py, codegen/perl_codegen.py,
	codegen/py_codegen.py, tests/test_codegen.py:
	Fix incomplete Unicode escaping

	The unicode range 0x80-0xFF (Latin-1 Supplement - also called C1
	Controls and Latin-1 Supplement) wasn't escaped yet. Thereby the
	returned string was not pure ascii. This commit manually converts
	the remaining unicode characters.
	[20ccdcc44a7e]

	* NEWS.txt:
	Short update to reflect already committed changes
	[2287be298892]

	* application.py:
	Add a deprecation notice to the in place modification feature.

	wxGlade can change code inside existing source files to reflect
	changed designs. This feature is deprecated now und will be removed
	within the next releases.
	[686462f2fecf]

2014-10-21  Carsten Grohmann  <mail@carstengrohmann.de>

	* Closed DEV_UNICODE branch
	[291d010e653f] <DEV_UNICODE>

	* install/pyinstaller/wxglade.spec:
	Include RELEASE-VERSION into files/dirs generated by PyInstaller
	[65a1092d9906]

2014-10-20  Carsten Grohmann  <mail@carstengrohmann.de>

	* codegen/py_codegen.py, common.py, tests/__init__.py,
	tests/test_codegen.py:
	Fix wrong decoding of strings in function to quote/escape Python
	strings

	The input parameter s is a string encoded with self.app_encoding.
	Decoding with 'utf8' works for pure ascii strings only. Latin1
	string with umlauts have failed.
	[29e695522d81]

2014-10-19  Carsten Grohmann  <mail@carstengrohmann.de>

	* misc.py, widgets/button/button.py, widgets/choice/choice.py,
	widgets/hyperlink_ctrl/hyperlink_ctrl.py,
	widgets/list_box/list_box.py, widgets/menubar/menubar.py,
	widgets/radio_box/radio_box.py,
	widgets/radio_button/radio_button.py,
	widgets/static_text/static_text.py,
	widgets/toggle_button/toggle_button.py:
	Remove alias misc.encode
	[8e277e979210]

	* widget_properties.py:
	Add missing docstring
	[048d796d6c69]

2014-10-18  Carsten Grohmann  <mail@carstengrohmann.de>

	* wxGlade.desktop:
	Add desktop entry file
	[8f8145bde793]

	* appdata.xml, docs/ReleaseSteps.txt,
	install/pyinstaller/wxglade.spec, setup.py:
	Add short application description via appdata.xml file
	[2a44b7e947e6]

	* codegen/cpp_codegen.py, misc.py:
	Introduce an wrapper class for StringIO to enforce ASCII content.
	[25e9a84e7118]

	* application.py, misc.py:
	Rename StringIO wrapper misc.EncStringIO() to misc.UnicodeStringIO()

	The wrapper class enforces the conversion to Unicode always.
	[ae11e42af74f]

	* codegen/perl_codegen.py, tests/casefiles/ComplexExample_30.pl:
	Change Perl tooltip statement for wx3 from SetToolTipString() to
	SetToolTip()
	[a10b60c1aac8]

	* codegen/__init__.py, codegen/py_codegen.py:
	Adapt naming schema for code statements to schema used with styles

	Example: 'tooltip_3X' -> 'tooltip_3'
	[1401ffbc36fe]

	* common.py:
	Rename wxALIGN_CENTRE* to wxALIGN_CENTER* during code generation
	[c66c45031a9a]

	* codegen/xrc_codegen.py:
	Don't inject cn_f() into XrcObject, it's used from the StylesMixin
	now.
	[02121ac02d2a]

	* codegen/xrc_codegen.py:
	Fix wrong formatted string statement
	[6060ffdde0ca]

	* common.py, edit_sizers/edit_sizers.py, edit_windows.py,
	tests/casefiles/AllWidgets_28.cpp,
	tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/AllWidgets_28.xrc,
	tests/casefiles/Sizers_classattr.cpp,
	tests/casefiles/Sizers_classattr.lisp,
	tests/casefiles/Sizers_classattr.pl,
	tests/casefiles/Sizers_classattr.py,
	tests/casefiles/Sizers_classattr.xrc,
	tests/casefiles/Sizers_no_classattr.cpp,
	tests/casefiles/Sizers_no_classattr.lisp,
	tests/casefiles/Sizers_no_classattr.pl,
	tests/casefiles/Sizers_no_classattr.py,
	tests/casefiles/Sizers_no_classattr.xrc, tests/test_codegen.py,
	wcodegen/__init__.py, wcodegen/mixins.py, xml_parse.py:
	Separate styles related code

	The resulting StylesMixin can be used within the widget writer
	structure as well as the code generator structure later. This commit
	fixes a bug in handling combined styles too.
	[5537cf7b7f99]

	* xml_parse.py:
	Rework xml_parse.Sizeritem() to use style names instead of values
	partially
	[3148cc28c63d]

	* edit_sizers/edit_sizers.py, edit_windows.py, tests/test_gui.py,
	wcodegen/__init__.py, widgets/bitmap_button/bitmap_button.py,
	widgets/button/button.py, widgets/calendar_ctrl/calendar_ctrl.py,
	widgets/combo_box/combo_box.py,
	widgets/custom_widget/custom_widget.py,
	widgets/datepicker_ctrl/datepicker_ctrl.py,
	widgets/dialog/dialog.py, widgets/frame/frame.py,
	widgets/gauge/gauge.py, widgets/grid/grid.py,
	widgets/hyperlink_ctrl/hyperlink_ctrl.py,
	widgets/list_box/list_box.py, widgets/list_ctrl/list_ctrl.py,
	widgets/notebook/notebook.py, widgets/panel/panel.py,
	widgets/radio_button/radio_button.py, widgets/slider/slider.py,
	widgets/spacer/spacer.py, widgets/spin_button/spin_button.py,
	widgets/spin_ctrl/spin_ctrl.py,
	widgets/splitter_window/splitter_window.py,
	widgets/static_bitmap/static_bitmap.py,
	widgets/static_line/static_line.py,
	widgets/static_text/static_text.py, widgets/statusbar/statusbar.py,
	widgets/text_ctrl/text_ctrl.py, widgets/toolbar/toolbar.py,
	widgets/tree_ctrl/tree_ctrl.py:
	Rename StylesMixin in EditStylesMixin
	[5e409245d2a2]

2014-10-17  Carsten Grohmann  <mail@carstengrohmann.de>

	* wcodegen/__init__.py:
	Remove unused parameter in cn_f()
	[b355b943acbf]

	* codegen/xrc_codegen.py, tests/casefiles/AllWidgets_28.xrc,
	tests/casefiles/ComplexExample.xrc,
	tests/casefiles/ComplexExample_30.xrc,
	tests/casefiles/Format_flags.wxg, tests/casefiles/Format_flags.xrc,
	tests/casefiles/Sizers_classattr.xrc,
	tests/casefiles/Sizers_no_classattr.xrc, tests/test_codegen.py,
	wcodegen/__init__.py, widgets/toolbar/codegen.py:
	Rework formatting flags for XRC code
	[5412db02dcb4]

2014-10-15  Carsten Grohmann  <mail@carstengrohmann.de>

	* widgets/static_bitmap/static_bitmap.py:
	Typo
	[fa1e3247a8ab]

	* wcodegen/__init__.py:
	Add debug message for processing flags (cn_f())
	[cf6c240b6ca9]

	* log.py:
	Fix writing debug() messages to the log file
	[aea715990cba]

2014-10-14  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/casefiles/Statusbar_wo_labels.cpp,
	tests/casefiles/Statusbar_wo_labels.h,
	tests/casefiles/Statusbar_wo_labels.lisp,
	tests/casefiles/Statusbar_wo_labels.pl,
	tests/casefiles/Statusbar_wo_labels.py,
	tests/casefiles/Statusbar_wo_labels.wxg,
	tests/casefiles/Statusbar_wo_labels.xrc, tests/test_codegen.py,
	widgets/statusbar/codegen.py, widgets/statusbar/lisp_codegen.py,
	widgets/statusbar/perl_codegen.py:
	Don't set wxStatusbar labels if no label have a text
	[0d923808cf05]

	* config.py:
	Minor fix for last commit
	[63b1f9e93b8e]

2014-10-13  Carsten Grohmann  <mail@carstengrohmann.de>

	* common.py, config.py, docs/BuildingInstaller.txt,
	docs/ReleaseSteps.txt, setup.py, wxglade.py:
	Change internal handling of the version number and introduce
	RELEASE-VERSION

	The version number will determinate in three steps: 1. read from
	release file 2. Queried from local hg repo 3. Set to "not found"
	[f73c8b74a30d]

	* install/pyinstaller/wxglade-installer.iss:
	Add statusbar widget to Windows installer file
	[d89ece760839]

	* codegen/perl_codegen.py, tests/casefiles/AllWidgets_28.pl,
	tests/casefiles/CalendarCtrl.pl, tests/casefiles/ComplexExample.pl,
	tests/casefiles/ComplexExample_30.pl, tests/casefiles/FontColour.pl,
	tests/casefiles/Gauge.pl, tests/casefiles/Grid.pl,
	tests/casefiles/HyperlinkCtrl_28.pl,
	tests/casefiles/Perl_Preferences.pl,
	tests/casefiles/PlAddApp_multi_detailed.pl,
	tests/casefiles/PlAddApp_multi_gettext_detailed.pl,
	tests/casefiles/PlAddApp_multi_gettext_simple.pl,
	tests/casefiles/PlAddApp_multi_simple.pl, tests/casefiles/PlOgg1.pl,
	tests/casefiles/PlOgg2_MyDialog.pm,
	tests/casefiles/PlOgg2_MyFrame.pm, tests/casefiles/PlOgg2_app.pl,
	tests/casefiles/PlOgg3.pl, tests/casefiles/Sizers_classattr.pl,
	tests/casefiles/Sizers_no_classattr.pl,
	tests/casefiles/add_class_inplace_extended.pl,
	tests/casefiles/add_class_inplace_orig.pl,
	tests/casefiles/bug163.pl, tests/casefiles/no_suitable_writer.pl,
	tests/casefiles/remove_class_inplace_expected.pl,
	tests/casefiles/remove_class_inplace_input.pl, tests/casefiles
	/styleless-dialog.pl:
	Update wxPerl homepage URL
	[3750f1b57bec]

	* misc.py:
	Typo
	[394c825b3556]

	* configUI.py, configdialog.py, main.py, preferences_ui.py,
	preferencesdialog.py, res/preferences.wxg, res/preferences_ui.wxg:
	Rename configdialog into preferencesdialog to have consistent naming
	schema
	[99ace2652874]

	* tests/casefiles/AllWidgets_28.cpp,
	tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/AllWidgets_28.wxg,
	tests/casefiles/AllWidgets_28.xrc:
	Minor changes in all widgets test case
	[c1d4ec279e8e]

	* tests/casefiles/AllWidgets_28.cpp, widgets/radio_box/codegen.py:
	Set majorDimension to 1 if choice is empty for C++ and wxRadiobox

	wx raises an assertion if choices are empty and majorDim is 0
	(default)
	[d43658de1381]

2014-10-12  Carsten Grohmann  <mail@carstengrohmann.de>

	* widget_properties.py:
	Add caching for tooltips
	[6ee5f55e98ed]

	* xml_parse.py:
	Fix comparing version number introduced with last commit
	[b0eccb84d4b8]

	* codegen/__init__.py, config.py, xml_parse.py:
	Show warning if loading projects for wx2.6 or with old python
	imports
	[f080397cd59a]

	* config.py:
	Rework specified types in docstrings
	[db81f7fc1f17]

2014-10-11  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/casefiles/AllWidgets_28.pl, tests/casefiles/ComplexExample.pl,
	tests/casefiles/ComplexExample.py,
	tests/casefiles/ComplexExample_30.pl,
	tests/casefiles/Perl_Preferences.pl, tests/casefiles/PlOgg1.pl,
	tests/casefiles/PlOgg2_MyDialog.pm, tests/casefiles/PlOgg3.pl,
	widgets/menubar/perl_codegen.py, widgets/panel/perl_codegen.py,
	widgets/splitter_window/perl_codegen.py,
	widgets/toolbar/perl_codegen.py, wxglade.py:
	Don't generate "wxDefaultPosition, wxDefaultSize, );" for Perl
	[e13688559c77]

	* tests/test_gui.py:
	Separate setting wxGlade output path to an own function
	[4e0700718588]

	* tests/test_gui.py:
	Extract processing of wx events to a separate function
	[2490b6cab219]

	* codegen/__init__.py, codegen/cpp_codegen.py,
	codegen/lisp_codegen.py, codegen/perl_codegen.py,
	codegen/py_codegen.py, edit_sizers/edit_sizers.py, install/update-
	po.py, tests/__init__.py, tests/test_gui.py, wcodegen/__init__.py,
	wcodegen/dialogs.py, widgets/bitmap_button/lisp_codegen.py,
	widgets/custom_widget/custom_widget.py, widgets/dialog/codegen.py,
	widgets/dialog/dialog.py, widgets/frame/codegen.py,
	widgets/frame/frame.py, widgets/menubar/lisp_codegen.py,
	widgets/menubar/menubar.py, widgets/notebook/notebook.py,
	widgets/spacer/spacer.py, widgets/statusbar/statusbar.py,
	widgets/toolbar/toolbar.py:
	Rework specified types in docstrings and minor code changes
	[e2ea9baeeecb]

	* application.py, common.py, config.py, edit_windows.py, log.py,
	main.py, misc.py, ordereddict.py, test.py, tree.py,
	widget_properties.py, widgets/panel/codegen.py,
	widgets/panel/lisp_codegen.py, widgets/panel/perl_codegen.py,
	wxglade.py, xml_parse.py:
	Add missing layout code generation for wxPanel
	[13cafd1a4944]

	* widgets/frame/frame.py, widgets/statusbar/statusbar.py:
	Fix different call syntax of EditStatusBar
	[bdde7b0a7db9]

2014-10-10  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/test_gui.py:
	Adapt GUI test setup to run on 2.8 and 3.0
	[74c00b2d2ac9]

2014-10-09  Carsten Grohmann  <mail@carstengrohmann.de>

	* main.py:
	Show an info instead of an error if opening a non-existing last
	visited file
	[0049b908a587]

	* application.py, tree.py, wxglade.py:
	More path normalisation
	[97a297b4006f]

2014-10-08  Carsten Grohmann  <mail@carstengrohmann.de>

	* application.py, codegen/__init__.py:
	Expand user in output files and directories
	[ca1cb7d10bb2]

	* wxglade.py:
	Enable wxPython3 for GUI
	[1206fd23e176]

	* xml_parse.py:
	Remove unused import xml.sax.expatreader
	[503af71a6a47]

	* Closed WXG-BRANCH-VERSION_0_6_8 branch
	[fbdcbd25b08e] <DEV_GUI_WX30>

	* Makefile, NEWS.txt, about.py, application.py, codegen/__init__.py,
	codegen/cpp_codegen.py, codegen/lisp_codegen.py,
	codegen/perl_codegen.py, codegen/pl_codegen.py,
	codegen/py_codegen.py, codegen/xrc_codegen.py, common.py, config.py,
	edit_sizers/sizers_codegen.py, log.py, main.py, setup.py, test.py,
	tests/__init__.py, tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/CPP_Preferences.cpp,
	tests/casefiles/CPP_wxCalendarCtrl.cpp,
	tests/casefiles/CPP_wxCalendarCtrl.h,
	tests/casefiles/CPP_wxCalendarCtrl.wxg,
	tests/casefiles/CalendarCtrl.pl,
	tests/casefiles/ComplexExample.lisp, tests/casefiles/Gauge.lisp,
	tests/casefiles/Gauge.pl, tests/casefiles/Grid.lisp,
	tests/casefiles/Grid.pl, tests/casefiles/HyperlinkCtrl_26.cpp,
	tests/casefiles/HyperlinkCtrl_26.h,
	tests/casefiles/HyperlinkCtrl_26.lisp,
	tests/casefiles/HyperlinkCtrl_26.pl,
	tests/casefiles/HyperlinkCtrl_26.py,
	tests/casefiles/HyperlinkCtrl_26.wxg,
	tests/casefiles/HyperlinkCtrl_26.xrc, tests/casefiles/LispOgg1.lisp,
	tests/casefiles/LispOgg2_MyDialog.lisp,
	tests/casefiles/LispOgg2_MyFrame.lisp,
	tests/casefiles/LispOgg3.lisp,
	tests/casefiles/Lisp_Preferences.lisp,
	tests/casefiles/Lisp_wxBitmapButton.lisp,
	tests/casefiles/Perl_Preferences.pl, tests/casefiles/PlOgg3.pl,
	tests/casefiles/Preferences.wxg,
	tests/casefiles/PyOgg1_oldnamespace.py,
	tests/casefiles/Python_Preferences.py,
	tests/casefiles/Sizers_classattr.lisp,
	tests/casefiles/Sizers_no_classattr.lisp,
	tests/casefiles/add_class_inplace_extended.lisp,
	tests/casefiles/add_class_inplace_orig.lisp,
	tests/casefiles/bug163.h, tests/casefiles/bug163.lisp,
	tests/casefiles/bug163.pl,
	tests/casefiles/remove_class_inplace_expected.lisp,
	tests/casefiles/remove_class_inplace_input.lisp, tests/casefiles
	/styleless-dialog.cpp, tests/casefiles/styleless-dialog.lisp,
	tests/casefiles/styleless-dialog.pl, tests/casefiles/styleless-
	dialog.py, tests/test_bugs.py, tests/test_codegen.py,
	wcodegen/__init__.py, widget_properties.py,
	widgets/custom_widget/codegen.py, widgets/grid/grid.py,
	widgets/menubar/menubar.py, widgets/panel/__init__.py, wxglade.py,
	xml_parse.py:
	merged DEV_GUI_WX30 into default
	[5e983acdcc76]

2014-10-07  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/__init__.py:
	Add option to exclude languages from
	tests.WXGladeBaseTest._test_all()
	[da8bb5e52c2f] <DEV_GUI_WX30>

	* application.py, codegen/py_codegen.py, errors.py,
	tests/test_codegen.py, wxglade.py:
	Improve disabling old import style for wxPython 3.0
	[e4264989b3bb] <DEV_GUI_WX30>

	* application.py, codegen/lisp_codegen.py, errors.py,
	tests/casefiles/ComplexExample_30.lisp, tests/test_codegen.py,
	wxglade.py, xml_parse.py:
	Disable Lisp code generation for wxWidgets 3.0

	I've disabled Lisp due lack of testing possibilities for the
	upcoming release of wxWidgets 3.0.
	[ad23813a0818] <DEV_GUI_WX30>

	* msgdialog.py, res/messagedialog.wxg:
	Change "wxGlade Message" dialog to close on pressing enter
	[99f75deb6b23] <DEV_GUI_WX30>

2014-10-06  Carsten Grohmann  <mail@carstengrohmann.de>

	* application.py, common.py, config.py, edit_sizers/edit_sizers.py,
	layout_option_property.py, misc.py, template.py, tree.py,
	widget_properties.py, widgets/ChoicesProperty.py,
	widgets/MenuTree.py, widgets/grid/grid.py,
	widgets/notebook/notebook.py, widgets/statusbar/statusbar.py,
	widgets/toolbar/tool.py, xml_parse.py:
	Minor code reorganisation
	- rename common._encode_from_xml() to encode_from_xml()
	- rename common._encode_to_xml() to encode_to_xml()
	- move widget_properties.label_initial_width to config module
	[853e6e5689f4] <DEV_GUI_WX30>

	* application.py, codegen/xrc_codegen.py, edit_sizers/edit_sizers.py,
	edit_windows.py, misc.py, template.py, widget_properties.py,
	widgets/ChoicesCodeHandler.py, widgets/ChoicesProperty.py,
	widgets/MenuTree.py, widgets/button/button_stockitems.py,
	widgets/custom_widget/codegen.py,
	widgets/custom_widget/custom_widget.py, widgets/frame/codegen.py,
	widgets/grid/codegen.py, widgets/grid/grid.py,
	widgets/menubar/codegen.py, widgets/notebook/codegen.py,
	widgets/notebook/notebook.py, widgets/statusbar/codegen.py,
	widgets/toolbar/codegen.py, widgets/toolbar/tool.py:
	Convert old-style classes in new-style classes
	[c747aca85c28] <DEV_GUI_WX30>

	* widget_properties.py, widgets/combo_box/combo_box.py:
	Add list of public names to use during wildcard import
	[737df80a3241] <DEV_GUI_WX30>

	* edit_sizers/edit_sizers.py:
	Change initialisation of border styles in SizerBase class

	The old version caused an exception during copy / paste sizers.
	[9d7013fab8a4] <DEV_GUI_WX30>

2014-10-05  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, tests/casefiles/AllWidgets_28.cpp,
	tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/AllWidgets_28.wxg,
	tests/casefiles/AllWidgets_28.xrc,
	widgets/splitter_window/codegen.py,
	widgets/splitter_window/lisp_codegen.py,
	widgets/splitter_window/perl_codegen.py,
	widgets/splitter_window/splitter_window.py:
	Add support for wxSplitterWindow.SetMinimumPaneSize()
	[c5aa6e853de9] <DEV_GUI_WX30>

2014-10-04  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/casefiles/AllWidgets_28.cpp, tests/casefiles/AllWidgets_28.h,
	tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/AllWidgets_28.wxg,
	tests/casefiles/AllWidgets_28.xrc:
	Add wxTextCtrl to wxSpinButton test page
	[e925c77a0da7] <DEV_GUI_WX30>

	* tests/casefiles/AllWidgets_28.cpp, tests/casefiles/AllWidgets_28.h,
	widgets/bitmap_button/codegen.py, widgets/static_bitmap/codegen.py,
	wxglade.py:
	Fix C++ compile error

	The error was caused by using strings instead of wxT() for wxBitmap
	file names. Old: wxBitmap("icon.xpm", wxBITMAP_TYPE_ANY) New:
	wxBitmap(wxT("icon.xpm"), wxBITMAP_TYPE_ANY)
	[f848b22a1ddc] <DEV_GUI_WX30>

	* codegen/cpp_codegen.py,
	tests/casefiles/CPPAddApp_multi_gettext_detailed.cpp,
	tests/casefiles/CPPAddApp_multi_gettext_simple.cpp,
	tests/casefiles/CPPOgg1.h, tests/casefiles/CPPOgg2_MyDialog.h,
	tests/casefiles/CPPOgg2_MyFrame.h, tests/casefiles/CPPOgg2_main.cpp,
	tests/casefiles/CPPOgg3.h, tests/casefiles/CPP_Preferences.h,
	tests/casefiles/ComplexExample.h,
	tests/casefiles/ComplexExample_30.h, tests/casefiles/FontColour.h,
	tests/casefiles/HyperlinkCtrl_28.h,
	tests/casefiles/Sizers_classattr.h,
	tests/casefiles/Sizers_no_classattr.h,
	tests/casefiles/add_class_inplace_extended.h,
	tests/casefiles/add_class_inplace_orig.h,
	tests/casefiles/no_suitable_writer.h,
	tests/casefiles/remove_class_inplace_expected.h,
	tests/casefiles/remove_class_inplace_input.h, tests/casefiles
	/styleless-dialog.h:
	Change inclusion of C++ i18n header file from "wx/intl.h" to
	<wx/intl.h>
	[e80c0d089636] <DEV_GUI_WX30>

	* config.py, widget_properties.py:
	Wrap tooltip lines automatically.
	[f64346e3a3d7] <DEV_GUI_WX30>

2014-10-03  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/casefiles/AllWidgets_28.cpp, tests/casefiles/AllWidgets_28.h,
	tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/AllWidgets_28.wxg,
	tests/casefiles/AllWidgets_28.xrc:
	Add tests for widget without tests.

	Now all widgets should be tested at least onece.
	[3c724f259c55] <DEV_GUI_WX30>

	* widgets/slider/perl_codegen.py:
	Typo in Perl code template for wxSlider
	[abce48683412] <DEV_GUI_WX30>

	* widgets/splitter_window/splitter_window.py:
	Use style names instead of style values wxSplitterWindow GUI
	elements
	[2d82ea0db4c7] <DEV_GUI_WX30>

	* widget_properties.py:
	Use the right value to set checkboxes in CheckListProperty.display()
	[839be9262e98] <DEV_GUI_WX30>

2014-10-01  Carsten Grohmann  <mail@carstengrohmann.de>

	* tree.py, widget_properties.py:
	Changing binding events from wx.EVT*() to widget.Bind()

	This change doesn't affect all occurrences. It was triggered by bug
	fixing.
	[ecb86304d026] <DEV_GUI_WX30>

	* codegen/__init__.py, widgets/dialog/wconfig.py,
	widgets/splitter_window/codegen.py:
	Various minor bug fixes
	[d4a79b752324] <DEV_GUI_WX30>

2014-09-28  Carsten Grohmann  <mail@carstengrohmann.de>

	* edit_windows.py, tests/test_gui.py, wcodegen/__init__.py:
	Improve handling of empty styles ('', None)
	[95584f0064ae] <DEV_GUI_WX30>

	* widgets/frame/codegen.py, widgets/frame/lisp_codegen.py,
	widgets/frame/perl_codegen.py:
	Further cleanup for wx2.6
	[54bfcc07b1a0] <DEV_GUI_WX30>

2014-09-27  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, application.py, codegen/py_codegen.py,
	edit_sizers/edit_sizers.py, edit_windows.py, log.py, setup.py,
	test.py, tests/casefiles/HyperlinkCtrl_26.cpp,
	tests/casefiles/HyperlinkCtrl_26.h,
	tests/casefiles/HyperlinkCtrl_26.lisp,
	tests/casefiles/HyperlinkCtrl_26.pl,
	tests/casefiles/HyperlinkCtrl_26.py,
	tests/casefiles/HyperlinkCtrl_26.wxg,
	tests/casefiles/HyperlinkCtrl_26.xrc, tests/test_codegen.py,
	widgets/frame/codegen.py:
	Remove support for wxPython 2.6
	[1da6e745ea39] <DEV_GUI_WX30>

	* about.py, application.py, kdefiledialog.py, main.py:
	Replace old styles (wx .6) by new styles (wx2.8 and wx3.0)
	[c6cb542d3bfc] <DEV_GUI_WX30>

	* code_property.py, edit_windows.py, layout_option_property.py,
	tests/test_gui.py, widgets/statusbar/__init__.py:
	Minor bug fixes introduced during code rework
	[1e8650cc1a59] <DEV_GUI_WX30>

2014-09-26  Carsten Grohmann  <mail@carstengrohmann.de>

	* widget_properties.py, widgets/static_text/static_text.py:
	Use always wx.lib.stattext.GenStaticText
	[a229eebb4745] <DEV_GUI_WX30>

	* NEWS.txt, application.py, codegen/py_codegen.py, edit_windows.py,
	tree.py, widgets/calendar_ctrl/codegen.py, widgets/grid/codegen.py,
	xml_parse.py:
	Remove support for old Python import style generally
	[535a6f5a277b] <DEV_GUI_WX30>

	* wcodegen/__init__.py, widgets/bitmap_button/codegen.py,
	widgets/bitmap_button/lisp_codegen.py,
	widgets/bitmap_button/perl_codegen.py,
	widgets/custom_widget/codegen.py,
	widgets/custom_widget/lisp_codegen.py,
	widgets/custom_widget/perl_codegen.py,
	widgets/datepicker_ctrl/codegen.py, widgets/frame/codegen.py,
	widgets/grid/codegen.py, widgets/grid/lisp_codegen.py,
	widgets/grid/perl_codegen.py, widgets/menubar/codegen.py,
	widgets/menubar/lisp_codegen.py, widgets/menubar/perl_codegen.py,
	widgets/notebook/codegen.py, widgets/notebook/lisp_codegen.py,
	widgets/notebook/perl_codegen.py, widgets/spin_ctrl/codegen.py,
	widgets/splitter_window/codegen.py,
	widgets/splitter_window/lisp_codegen.py,
	widgets/splitter_window/perl_codegen.py, widgets/toolbar/codegen.py,
	widgets/toolbar/lisp_codegen.py, widgets/toolbar/perl_codegen.py:
	Rework widget writer to use code generator via class attribute
	[b44700241add] <DEV_GUI_WX30>

	* msgdialog.py, widgets/custom_widget/custom_widget.py,
	widgets/list_ctrl/list_ctrl.py, widgets/menubar/menubar.py,
	widgets/toolbar/toolbar.py, widgets/tree_ctrl/tree_ctrl.py:
	Replace wxSUNKEN_BORDER into wxBORDER_SUNKEN
	[6facebbd40d7] <DEV_GUI_WX30>

2014-09-25  Carsten Grohmann  <mail@carstengrohmann.de>

	* application.py, common.py, docs/tech_notes.txt,
	edit_sizers/edit_sizers.py, edit_widget.py, edit_windows.py,
	events_mixin.py, layout_option_property.py, misc.py,
	tests/__init__.py, tests/casefiles/AllWidgets_28.cpp,
	tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/test_codegen.py, tests/test_gui.py, wcodegen/__init__.py,
	wcodegen/dialogs.py, widget_properties.py,
	widgets/bitmap_button/bitmap_button.py,
	widgets/bitmap_button/codegen.py,
	widgets/bitmap_button/lisp_codegen.py,
	widgets/bitmap_button/perl_codegen.py,
	widgets/bitmap_button/wconfig.py, widgets/button/button.py,
	widgets/button/wconfig.py, widgets/calendar_ctrl/calendar_ctrl.py,
	widgets/calendar_ctrl/wconfig.py, widgets/checkbox/checkbox.py,
	widgets/checkbox/wconfig.py, widgets/choice/choice.py,
	widgets/combo_box/combo_box.py, widgets/combo_box/wconfig.py,
	widgets/custom_widget/custom_widget.py,
	widgets/datepicker_ctrl/datepicker_ctrl.py,
	widgets/datepicker_ctrl/wconfig.py, widgets/dialog/dialog.py,
	widgets/dialog/wconfig.py, widgets/frame/codegen.py,
	widgets/frame/frame.py, widgets/frame/lisp_codegen.py,
	widgets/frame/perl_codegen.py, widgets/frame/wconfig.py,
	widgets/gauge/gauge.py, widgets/gauge/wconfig.py,
	widgets/grid/grid.py, widgets/hyperlink_ctrl/hyperlink_ctrl.py,
	widgets/hyperlink_ctrl/wconfig.py, widgets/list_box/list_box.py,
	widgets/list_box/wconfig.py, widgets/list_ctrl/list_ctrl.py,
	widgets/list_ctrl/wconfig.py, widgets/menubar/menubar.py,
	widgets/notebook/codegen.py, widgets/notebook/lisp_codegen.py,
	widgets/notebook/notebook.py, widgets/notebook/perl_codegen.py,
	widgets/notebook/wconfig.py, widgets/panel/codegen.py,
	widgets/panel/lisp_codegen.py, widgets/panel/panel.py,
	widgets/panel/perl_codegen.py, widgets/panel/wconfig.py,
	widgets/radio_box/radio_box.py,
	widgets/radio_button/radio_button.py,
	widgets/radio_button/wconfig.py, widgets/slider/slider.py,
	widgets/slider/wconfig.py, widgets/spacer/spacer.py,
	widgets/spin_button/spin_button.py, widgets/spin_button/wconfig.py,
	widgets/spin_ctrl/spin_ctrl.py, widgets/spin_ctrl/wconfig.py,
	widgets/splitter_window/codegen.py,
	widgets/splitter_window/lisp_codegen.py,
	widgets/splitter_window/perl_codegen.py,
	widgets/splitter_window/splitter_window.py,
	widgets/splitter_window/wconfig.py,
	widgets/static_bitmap/static_bitmap.py,
	widgets/static_bitmap/wconfig.py,
	widgets/static_line/static_line.py, widgets/static_line/wconfig.py,
	widgets/static_text/static_text.py, widgets/static_text/wconfig.py,
	widgets/statusbar/__init__.py, widgets/statusbar/codegen.py,
	widgets/statusbar/lisp_codegen.py,
	widgets/statusbar/perl_codegen.py, widgets/statusbar/statusbar.py,
	widgets/statusbar/wconfig.py, widgets/text_ctrl/text_ctrl.py,
	widgets/text_ctrl/wconfig.py,
	widgets/toggle_button/toggle_button.py, widgets/toolbar/codegen.py,
	widgets/toolbar/lisp_codegen.py, widgets/toolbar/perl_codegen.py,
	widgets/toolbar/toolbar.py, widgets/toolbar/wconfig.py,
	widgets/tree_ctrl/tree_ctrl.py, widgets/tree_ctrl/wconfig.py,
	widgets/widgets.txt, wxglade.py, xml_parse.py:
	Rework style handling to use style names.

	Most positions use style names instead of a combination of style
	names and style values now. This enables wxGlade to handle old (and
	ancient) styles like wxADJUST_MINSIZE even if underlaying wxPython
	don't know the styles.

	This change changes allow wxGlade to run on wxPython3 and generate
	code for wxPython2.8 and reverse later after all styles and
	attributes are adapted.
	[903c73d6a86b] <DEV_GUI_WX30>

2014-09-14  Carsten Grohmann  <mail@carstengrohmann.de>

	* xml_parse.py:
	Minor changes to improve debugging
	[e312435ddced] <DEV_GUI_WX30>

	* main.py:
	Improve exception message generated during loading a file
	[d4367cecd0cc] <DEV_GUI_WX30>

2014-09-12  Carsten Grohmann  <mail@carstengrohmann.de>

	* codegen/__init__.py, codegen/cpp_codegen.py,
	codegen/lisp_codegen.py, codegen/perl_codegen.py,
	codegen/py_codegen.py, codegen/xrc_codegen.py,
	tests/casefiles/PyOgg1_oldnamespace.py, tests/test_codegen.py,
	wcodegen/__init__.py:
	Reorg code generation and start removal of old style python imports
	[0c167cfc2d31] <DEV_GUI_WX30>

2014-09-11  Carsten Grohmann  <mail@carstengrohmann.de>

	* Makefile:
	Change handling of epydoc options in Makefile
	[3ee5492a129d] <DEV_GUI_WX30>

2014-09-09  Carsten Grohmann  <mail@carstengrohmann.de>

	* codegen/__init__.py, codegen/xrc_codegen.py,
	edit_sizers/edit_sizers.py, tests/__init__.py,
	tests/test_codegen.py, tests/test_gui.py, wcodegen/__init__.py,
	widgets/panel/panel.py, widgets/static_bitmap/static_bitmap.py:
	Improve copying instances ...
	[cf594e9dce9a] <DEV_GUI_WX30>

2014-09-08  Carsten Grohmann  <mail@carstengrohmann.de>

	* clipboard.py, codegen/__init__.py, codegen/cpp_codegen.py,
	codegen/xrc_codegen.py, log.py, main.py, misc.py, tests/__init__.py,
	tests/test_codegen.py, tests/test_gui.py,
	widgets/custom_widget/codegen.py, xml_parse.py:
	Replace cStringIO by StringIO because StringIO supports Unicode

	(taken from ff7561dc0004)
	[b38aa987293f] <DEV_GUI_WX30>

2014-09-05  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/__init__.py, tests/test_gui.py:
	Split test initialisation into setUpClass() and setUp()
	[6d6164dcd29d] <DEV_GUI_WX30>

2014-09-03  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, codegen/perl_codegen.py:
	Fix bug in generation of valid hash keys for Perl
	[3c7eee26186c] <DEV_GUI_WX30>

	* codegen/__init__.py, tests/test_codegen.py:
	Add BaseLangCodeWriter.copy() to create instance copies

	This function should be used to rework styles update in graphical
	editor
	[5cd58e863585] <DEV_GUI_WX30>

	* codegen/__init__.py, codegen/cpp_codegen.py,
	codegen/lisp_codegen.py, codegen/perl_codegen.py,
	codegen/py_codegen.py, codegen/xrc_codegen.py, config.py, main.py:
	Add more default values used during initialising code generators
	[769f0f046df4] <DEV_GUI_WX30>

2014-09-02  Carsten Grohmann  <mail@carstengrohmann.de>

	* common.py, main.py, wxglade.py:
	Unite the four steps to initialise code generators
	[d6dc3728adfa] <DEV_GUI_WX30>

2014-08-31  Carsten Grohmann  <mail@carstengrohmann.de>

	* setup.py:
	Include wxglade.pyw into release packages
	[555db48f7457]

	* Makefile:
	Change manpage XSL
	[430d94e5a681]

2014-08-28  Carsten Grohmann  <mail@carstengrohmann.de>

	* Makefile:
	Use python2 in Makefile too (grafted from
	737ac2bfe7ad81b3423f0fde6b9b329d1bdf6098)
	[039aff30fc1e] <WXG-BRANCH-VERSION_0_6_8>

	* Makefile:
	Use python2 in Makefile too
	[737ac2bfe7ad]

	* wxglade.py:
	Use wxPython 2.8 - only and always

	The GUI isn't wxPython 3.0 ready yet. (grafted from
	5bbecbbca1c67bd2a2d9c48258b4bbdd7b3b5665)
	[585b06033e77] <WXG-BRANCH-VERSION_0_6_8>

	* test.py:
	Use wxPython 2.8 for GUI tests too (grafted from
	b221e052e9111a99ddb2dbb8743f5b685a3c69cb)
	[979b019391b5] <WXG-BRANCH-VERSION_0_6_8>

	* wxglade:
	Use python2 interpreter instead of just python (grafted from
	081a452ad96441bbba62e494279f75d77710a1b3)
	[64d3266fa6ce] <WXG-BRANCH-VERSION_0_6_8>

	* test.py, wxglade.py, wxglade.pyw, xrc2wxg.py:
	Change shebang to start Python2 always.

	That's useful for systems with Python3 as default (grafted from
	b01e80fc1fe3bb873afa1e9e7f3c1d4e95a653be)
	[539eaf1f2420] <WXG-BRANCH-VERSION_0_6_8>

2014-08-26  Carsten Grohmann  <mail@carstengrohmann.de>

	* codegen/__init__.py, codegen/cpp_codegen.py,
	codegen/lisp_codegen.py, codegen/py_codegen.py, common.py,
	edit_windows.py, tests/casefiles/AllWidgets_28.cpp,
	tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/CPPOgg1.cpp, tests/casefiles/CPPOgg1.wxg,
	tests/casefiles/CPPOgg2.wxg, tests/casefiles/CPPOgg2_MyDialog.cpp,
	tests/casefiles/CPPOgg2_MyDialog.h,
	tests/casefiles/CPPOgg2_MyFrame.cpp,
	tests/casefiles/CPPOgg2_MyFrame.h, tests/casefiles/CPPOgg3.cpp,
	tests/casefiles/CPP_Preferences.cpp,
	tests/casefiles/CPP_Preferences.h,
	tests/casefiles/CPP_Preferences.wxg,
	tests/casefiles/CPP_wxCalendarCtrl.cpp,
	tests/casefiles/CPP_wxCalendarCtrl.h,
	tests/casefiles/CPP_wxCalendarCtrl.wxg,
	tests/casefiles/ComplexExample.cpp,
	tests/casefiles/ComplexExample.lisp,
	tests/casefiles/ComplexExample.pl,
	tests/casefiles/ComplexExample.py,
	tests/casefiles/ComplexExample_30.cpp,
	tests/casefiles/ComplexExample_30.lisp,
	tests/casefiles/ComplexExample_30.pl,
	tests/casefiles/ComplexExample_30.py, tests/casefiles/LispOgg1.lisp,
	tests/casefiles/LispOgg1.wxg, tests/casefiles/LispOgg2.wxg,
	tests/casefiles/LispOgg2_MyDialog.lisp,
	tests/casefiles/LispOgg2_MyFrame.lisp,
	tests/casefiles/LispOgg3.lisp, tests/casefiles/LispOgg3.wxg,
	tests/casefiles/Lisp_Preferences.lisp,
	tests/casefiles/Lisp_Preferences.wxg,
	tests/casefiles/Notebook_w_tabs.wxg,
	tests/casefiles/Notebook_wo_tabs.wxg,
	tests/casefiles/Perl_Preferences.pl,
	tests/casefiles/Perl_Preferences.wxg, tests/casefiles/PlOgg1.pl,
	tests/casefiles/PlOgg1.wxg, tests/casefiles/PlOgg2.wxg,
	tests/casefiles/PlOgg2_MyDialog.pm,
	tests/casefiles/PlOgg2_MyFrame.pm, tests/casefiles/PlOgg3.pl,
	tests/casefiles/Preferences.wxg, tests/casefiles/PyOgg1.py,
	tests/casefiles/PyOgg1.wxg, tests/casefiles/PyOgg1_oldnamespace.py,
	tests/casefiles/PyOgg2.wxg, tests/casefiles/PyOgg2_MyDialog.py,
	tests/casefiles/PyOgg2_MyFrame.py, tests/casefiles/PyOgg2_app.py,
	tests/casefiles/PyOgg3.py, tests/casefiles/Python_Preferences.py,
	tests/casefiles/Python_Preferences.wxg,
	tests/casefiles/Sizers_classattr.cpp,
	tests/casefiles/Sizers_classattr.lisp,
	tests/casefiles/Sizers_classattr.pl,
	tests/casefiles/Sizers_classattr.py,
	tests/casefiles/Sizers_no_classattr.cpp,
	tests/casefiles/Sizers_no_classattr.lisp,
	tests/casefiles/Sizers_no_classattr.pl,
	tests/casefiles/Sizers_no_classattr.py, tests/casefiles/styleless-
	dialog.cpp, tests/casefiles/styleless-dialog.py,
	tests/test_codegen.py, tests/test_gui.py, wcodegen/__init__.py,
	widgets/dialog/codegen.py, widgets/dialog/wconfig.py,
	widgets/frame/wconfig.py, widgets/hyperlink_ctrl/config.py,
	widgets/hyperlink_ctrl/wconfig.py, widgets/notebook/codegen.py,
	widgets/notebook/lisp_codegen.py, widgets/notebook/notebook.py,
	widgets/notebook/perl_codegen.py,
	widgets/splitter_window/wconfig.py:
	Rework formatting flags

	Now we support:
	 - removal of duplicate flags
	 - removal of flags that are part of others flags
	 - recombine flags from parts e.g. wxALL from
	wxLEFT+wxRIGHT+wxTOP+wxBOTTOM
	 - renameing of flags
	[8e8fb2aa5982] <DEV_GUI_WX30>

2014-08-21  Carsten Grohmann  <mail@carstengrohmann.de>

	* edit_windows.py, tree.py:
	Use built-in set() instead of sets module
	[cb7a2d8c7db6] <DEV_GUI_WX30>

	* widgets/notebook/notebook.py:
	Fix wrong initialisation sequence for graphical notebook editor.

	This bug has been introduced with changeset 1396:fbf87e4590e7 "Unify
	style handling code in widgets GUI elements"
	[033dc86a05ec] <DEV_GUI_WX30>

	* log.py:
	Don't show non-printable values in exception handler
	[cd2ee3030556]

	* log.py:
	Merge exception handler from default branch
	[452acb298e2c] <DEV_GUI_WX30>

2014-08-20  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/test_gui.py:
	Extend error messages in GUI unittests
	[2d37675babb3] <DEV_GUI_WX30>

2014-08-17  Carsten Grohmann  <mail@carstengrohmann.de>

	* codegen/__init__.py, codegen/cpp_codegen.py,
	codegen/lisp_codegen.py, codegen/perl_codegen.py,
	codegen/pl_codegen.py, codegen/py_codegen.py,
	codegen/xrc_codegen.py, common.py, docs/tech_notes.txt,
	edit_sizers/__init__.py, edit_sizers/cpp_sizers_codegen.py,
	edit_sizers/edit_sizers.py, edit_sizers/py_sizers_codegen.py,
	edit_sizers/sizers_codegen.py, edit_sizers/xrc_sizers_codegen.py,
	tests/test_codegen.py, wcodegen/__init__.py:
	Unify code writer and widget initialisation sequence

	This commit changes the initialisation sequence to 0) load widget
	configuation (already implemented in 1421:6167430196c8) 1) load and
	initialise language code writer 2) load and initialise widget code
	writer 3) load and initialise sizer

	Earlier the steps 1), 2) and 3) was merged for Perl and Lisp but not
	for Python, C++ and XRC.

	Now the sequence is the same for all languages.
	[1892694b1b59] <DEV_GUI_WX30>

2014-08-14  Carsten Grohmann  <mail@carstengrohmann.de>

	* codegen/__init__.py, common.py, edit_windows.py, main.py, misc.py,
	tests/casefiles/HyperlinkCtrl_26.cpp,
	tests/casefiles/HyperlinkCtrl_26.lisp,
	tests/casefiles/HyperlinkCtrl_26.pl,
	tests/casefiles/HyperlinkCtrl_26.py, tests/test_codegen.py,
	wcodegen/__init__.py, widgets/hyperlink_ctrl/codegen.py,
	widgets/hyperlink_ctrl/config.py,
	widgets/hyperlink_ctrl/hyperlink_ctrl.py,
	widgets/hyperlink_ctrl/lisp_codegen.py,
	widgets/hyperlink_ctrl/perl_codegen.py, wxglade.py:
	Introduce separation of widget settings in a config module
	[6167430196c8] <DEV_GUI_WX30>

2014-08-11  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/test_external.py:
	Add some tests for external code

	Currently just one test for deep-copying of OrderedDict() is
	implemented.
	[83bdfdfa39f0] <DEV_GUI_WX30>

2014-08-04  Carsten Grohmann  <mail@carstengrohmann.de>

	* common.py, wcodegen/__init__.py, widgets/bitmap_button/codegen.py,
	widgets/bitmap_button/lisp_codegen.py,
	widgets/bitmap_button/perl_codegen.py, widgets/button/codegen.py,
	widgets/button/lisp_codegen.py, widgets/button/perl_codegen.py,
	widgets/calendar_ctrl/codegen.py,
	widgets/calendar_ctrl/perl_codegen.py, widgets/checkbox/codegen.py,
	widgets/checkbox/lisp_codegen.py, widgets/checkbox/perl_codegen.py,
	widgets/choice/codegen.py, widgets/choice/lisp_codegen.py,
	widgets/choice/perl_codegen.py, widgets/combo_box/codegen.py,
	widgets/combo_box/lisp_codegen.py,
	widgets/combo_box/perl_codegen.py, widgets/custom_widget/codegen.py,
	widgets/custom_widget/lisp_codegen.py,
	widgets/custom_widget/perl_codegen.py,
	widgets/datepicker_ctrl/codegen.py,
	widgets/datepicker_ctrl/lisp_codegen.py,
	widgets/datepicker_ctrl/perl_codegen.py, widgets/dialog/codegen.py,
	widgets/dialog/lisp_codegen.py, widgets/dialog/perl_codegen.py,
	widgets/gauge/codegen.py, widgets/gauge/lisp_codegen.py,
	widgets/gauge/perl_codegen.py, widgets/grid/codegen.py,
	widgets/grid/lisp_codegen.py, widgets/grid/perl_codegen.py,
	widgets/hyperlink_ctrl/codegen.py,
	widgets/hyperlink_ctrl/lisp_codegen.py,
	widgets/hyperlink_ctrl/perl_codegen.py, widgets/list_box/codegen.py,
	widgets/list_box/lisp_codegen.py, widgets/list_box/perl_codegen.py,
	widgets/list_ctrl/codegen.py, widgets/list_ctrl/lisp_codegen.py,
	widgets/list_ctrl/perl_codegen.py, widgets/menubar/codegen.py,
	widgets/menubar/lisp_codegen.py, widgets/menubar/perl_codegen.py,
	widgets/notebook/codegen.py, widgets/notebook/lisp_codegen.py,
	widgets/notebook/perl_codegen.py, widgets/panel/codegen.py,
	widgets/panel/lisp_codegen.py, widgets/panel/perl_codegen.py,
	widgets/radio_box/codegen.py, widgets/radio_box/lisp_codegen.py,
	widgets/radio_box/perl_codegen.py, widgets/radio_button/codegen.py,
	widgets/radio_button/lisp_codegen.py,
	widgets/radio_button/perl_codegen.py, widgets/slider/codegen.py,
	widgets/slider/lisp_codegen.py, widgets/slider/perl_codegen.py,
	widgets/spacer/codegen.py, widgets/spacer/lisp_codegen.py,
	widgets/spacer/perl_codegen.py, widgets/spin_button/codegen.py,
	widgets/spin_button/lisp_codegen.py,
	widgets/spin_button/perl_codegen.py, widgets/spin_ctrl/codegen.py,
	widgets/spin_ctrl/lisp_codegen.py,
	widgets/spin_ctrl/perl_codegen.py,
	widgets/splitter_window/codegen.py,
	widgets/splitter_window/lisp_codegen.py,
	widgets/splitter_window/perl_codegen.py,
	widgets/static_bitmap/codegen.py,
	widgets/static_bitmap/lisp_codegen.py,
	widgets/static_bitmap/perl_codegen.py,
	widgets/static_line/codegen.py, widgets/static_line/lisp_codegen.py,
	widgets/static_line/perl_codegen.py, widgets/static_text/codegen.py,
	widgets/static_text/lisp_codegen.py,
	widgets/static_text/perl_codegen.py, widgets/text_ctrl/codegen.py,
	widgets/text_ctrl/lisp_codegen.py,
	widgets/text_ctrl/perl_codegen.py, widgets/toggle_button/codegen.py,
	widgets/toggle_button/lisp_codegen.py,
	widgets/toggle_button/perl_codegen.py, widgets/toolbar/codegen.py,
	widgets/toolbar/lisp_codegen.py, widgets/toolbar/perl_codegen.py,
	widgets/tree_ctrl/codegen.py, widgets/tree_ctrl/lisp_codegen.py,
	widgets/tree_ctrl/perl_codegen.py:
	Simplify registration of widget code generators
	[4fcb55cb7011] <DEV_GUI_WX30>

2014-08-02  Carsten Grohmann  <mail@carstengrohmann.de>

	* test.py:
	Use wxPython 2.8 for GUI tests too
	[6f429d71d767] <DEV_GUI_WX30>

	* test.py:
	Use wxPython 2.8 for GUI tests too
	[b221e052e911]

	* main.py:
	Improve exception handling while loading data from file-like object
	[45737ceccc25]

2014-07-30  Carsten Grohmann  <mail@carstengrohmann.de>

	* docs/html/apa.html, docs/html/apb.html, docs/html/apd.html,
	docs/html/ch01.html, docs/html/ch01s02.html, docs/html/ch01s03.html,
	docs/html/ch01s04.html, docs/html/ch01s05.html,
	docs/html/ch01s06.html, docs/html/ch01s07.html, docs/html/ch02.html,
	docs/html/ch02s02.html, docs/html/ch02s03.html,
	docs/html/ch02s04.html, docs/html/ch02s05.html,
	docs/html/ch02s06.html, docs/html/ch02s07.html,
	docs/html/ch02s08.html, docs/html/ch03.html, docs/html/ch03s02.html,
	docs/html/ch03s03.html, docs/html/ch03s04.html,
	docs/html/ch03s05.html, docs/html/ch03s06.html, docs/html/ch04.html,
	docs/html/ch04s03.html, docs/html/ch05.html, docs/html/ch06.html,
	docs/html/ch06s02.html, docs/html/ch06s03.html,
	docs/html/index.html, docs/html/pr01.html, docs/html/pr01s02.html,
	docs/pdf/manual.pdf, docs/src/manual.xml:
	Update documentation about application start code
	[5ecf9c2d7abb]

	* NEWS.txt, codegen/__init__.py, codegen/cpp_codegen.py,
	codegen/lisp_codegen.py, codegen/pl_codegen.py,
	codegen/py_codegen.py, tests/casefiles/CPP_Preferences.cpp,
	tests/casefiles/CPP_wxCalendarCtrl.cpp,
	tests/casefiles/CalendarCtrl.cpp, tests/casefiles/CalendarCtrl.pl,
	tests/casefiles/CalendarCtrl.py, tests/casefiles/Gauge.cpp,
	tests/casefiles/Gauge.lisp, tests/casefiles/Gauge.pl,
	tests/casefiles/Gauge.py, tests/casefiles/Grid.cpp,
	tests/casefiles/Grid.lisp, tests/casefiles/Grid.pl,
	tests/casefiles/Grid.py, tests/casefiles/Lisp_Preferences.lisp,
	tests/casefiles/Lisp_wxBitmapButton.lisp,
	tests/casefiles/Perl_Preferences.pl,
	tests/casefiles/Python_Preferences.py, tests/casefiles/bug163.cpp,
	tests/casefiles/bug163.lisp, tests/casefiles/bug163.pl,
	tests/casefiles/bug163.py, tests/casefiles/styleless-dialog.cpp,
	tests/casefiles/styleless-dialog.lisp, tests/casefiles/styleless-
	dialog.pl, tests/casefiles/styleless-dialog.py,
	tests/test_codegen.py:
	Fix wrong conditions to generate application start code (sf bug
	#161)
	[7a070963581f]

2014-07-28  Carsten Grohmann  <mail@carstengrohmann.de>

	* docs/src/manual.xml:
	Change shebang from python to python2 in XRC example
	[b9bc65f122f9]

2014-06-23  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, codegen/__init__.py, codegen/cpp_codegen.py,
	codegen/lisp_codegen.py, codegen/pl_codegen.py,
	codegen/py_codegen.py, tests/casefiles/bug163.cpp,
	tests/casefiles/bug163.h, tests/casefiles/bug163.lisp,
	tests/casefiles/bug163.pl, tests/casefiles/bug163.py,
	tests/casefiles/bug163.wxg, tests/casefiles/bug163.xrc,
	tests/test_bugs.py:
	Don't convert first char of a XRC extraproperty to upper case (sf
	bug #163)
	[17926443bae9]

	* widgets/custom_widget/codegen.py:
	Show warning about malformed arguments in Custom Widget XRC code
	writer
	[3c39f60a800b]

2014-06-22  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/casefiles/import_test.wxg, tests/casefiles/import_test.xrc,
	xrc2wxg.py:
	Use "-1" instead of -1 for undefined statusbar widths during XRC
	import
	[b98f8bd97d5e]

2014-06-21  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/casefiles/import_test.wxg, tests/casefiles/import_test.xrc,
	xrc2wxg.py:
	Fix value of enabled/disabled property during import from XRC
	[bbcff7f59ac5]

	* NEWS.txt, tests/casefiles/import_test.wxg,
	tests/casefiles/import_test.xrc, tests/test_codegen.py, xrc2wxg.py:
	Fix import of wxStatusbar from XRC
	[447dd5b41668]

2014-06-20  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, tests/casefiles/import_test.wxg, xrc2wxg.py:
	Fix wrong menu generation after importing from XRC file
	[98d5b63dcffc]

2014-06-18  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, tests/casefiles/import_test.wxg,
	tests/casefiles/import_test.xrc, xrc2wxg.py:
	Fix wrong wxMenuItem property name after importing from XRC file
	[cbcb8e6818f2]

	* tests/casefiles/import_test.wxg, tests/casefiles/import_test.xrc,
	tests/test_codegen.py, xrc2wxg.py:
	Code reorg and documentation improvements as well as a added test
	case
	[054015f64562]

2014-05-28  Carsten Grohmann  <mail@carstengrohmann.de>

	* Closed agriggio branch
	[cf75bd597a48] <agriggio>

	* Closed v0-1-3devel branch
	[084f0b95fcce] <v0-1-3devel>

	* Closed HEAD branch
	[6296183d519e] <HEAD>

	* clipboard.py, codegen/__init__.py, codegen/cpp_codegen.py,
	codegen/xrc_codegen.py, log.py, main.py, misc.py, tests/__init__.py,
	tests/test_codegen.py, tests/test_gui.py,
	widgets/custom_widget/codegen.py, xml_parse.py:
	Replace cStringIO by StringIO because StringIO supports Unicode
	[ff7561dc0004] <DEV_UNICODE>

2014-04-23  Carsten Grohmann  <mail@carstengrohmann.de>

	* Created DEV_UNICODE
	[f5782c1899ab] <DEV_UNICODE>

2014-04-19  Carsten Grohmann  <mail@carstengrohmann.de>

	* log.py:
	Adjust logging code
	[8075d5eaea99]

2014-03-05  Carsten Grohmann  <mail@carstengrohmann.de>

	* wxglade.py:
	Use wxPython 2.8 - only and always

	The GUI isn't wxPython 3.0 ready yet. (grafted from
	5bbecbbca1c67bd2a2d9c48258b4bbdd7b3b5665)
	[acbfabfba67b]

2014-03-01  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/casefiles/AllWidgets_28.cpp, tests/casefiles/AllWidgets_28.h,
	tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/AllWidgets_28.wxg,
	tests/casefiles/AllWidgets_28.xrc, tests/test_gui.py:
	Add tests for the unified style handling
	[a73b0ac1beb8] <DEV_GUI_WX30>

	* edit_sizers/edit_sizers.py, edit_windows.py, widget_properties.py,
	widgets/bitmap_button/bitmap_button.py, widgets/button/button.py,
	widgets/calendar_ctrl/calendar_ctrl.py,
	widgets/checkbox/checkbox.py, widgets/choice/choice.py,
	widgets/combo_box/combo_box.py,
	widgets/custom_widget/custom_widget.py,
	widgets/datepicker_ctrl/datepicker_ctrl.py,
	widgets/dialog/dialog.py, widgets/frame/frame.py,
	widgets/gauge/gauge.py, widgets/grid/grid.py,
	widgets/hyperlink_ctrl/hyperlink_ctrl.py,
	widgets/list_box/list_box.py, widgets/list_ctrl/list_ctrl.py,
	widgets/menubar/menubar.py, widgets/notebook/notebook.py,
	widgets/panel/panel.py, widgets/radio_box/radio_box.py,
	widgets/radio_button/radio_button.py, widgets/slider/slider.py,
	widgets/spacer/spacer.py, widgets/spin_button/spin_button.py,
	widgets/spin_ctrl/spin_ctrl.py,
	widgets/splitter_window/splitter_window.py,
	widgets/static_bitmap/static_bitmap.py,
	widgets/static_line/static_line.py,
	widgets/static_text/static_text.py, widgets/text_ctrl/text_ctrl.py,
	widgets/toggle_button/toggle_button.py, widgets/toolbar/toolbar.py,
	widgets/tree_ctrl/tree_ctrl.py:
	Unify style handling code in widgets GUI elements
	[fbf87e4590e7] <DEV_GUI_WX30>

	* common.py:
	fixed indentation (cosmetic change only)
	[7f1bc5489cc8] <DEV_GUI_WX30>

2014-02-25  Carsten Grohmann  <mail@carstengrohmann.de>

	* wxglade.py:
	Use wxPython 2.8 - only and always

	The GUI isn't wxPython 3.0 ready yet.
	[5bbecbbca1c6] <DEV_GUI_WX30>

2014-02-18  Carsten Grohmann  <mail@carstengrohmann.de>

	* common.py:
	Catch OS errors during renaming the app directory (Thanks to
	Davorin)
	[e9544789b057]

2014-02-12  Carsten Grohmann  <mail@carstengrohmann.de>

	* test.py, tests/__init__.py, tests/test_gui.py:
	Improve test initialisation to run tests with wxPython 2.8 currently

	The initialisation order of wxPython was unexpected if if wxPython
	2.8 and wxPython 3.0 are available.
	[ad99879a5233] <DEV_GUI_WX30>

2014-02-11  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/test_gui.py:
	Add new GUI test case
	[e29d03af61ba] <DEV_GUI_WX30>

2014-02-01  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/__init__.py, tests/casefiles/AllWidgets_28.pl,
	tests/casefiles/CalendarCtrl.pl, tests/casefiles/ComplexExample.pl,
	tests/casefiles/ComplexExample_30.pl, tests/casefiles/FontColour.pl,
	tests/casefiles/Gauge.pl, tests/casefiles/Grid.pl,
	tests/casefiles/HyperlinkCtrl_26.pl,
	tests/casefiles/HyperlinkCtrl_28.pl,
	tests/casefiles/Perl_Preferences.pl, tests/casefiles/PlOgg1.pl,
	tests/casefiles/PlOgg2_MyDialog.pm,
	tests/casefiles/PlOgg2_MyFrame.pm, tests/casefiles/PlOgg2_app.pl,
	tests/casefiles/PlOgg3.pl, tests/casefiles/Sizers_classattr.pl,
	tests/casefiles/Sizers_no_classattr.pl,
	tests/casefiles/add_class_inplace_extended.pl,
	tests/casefiles/add_class_inplace_orig.pl,
	tests/casefiles/no_suitable_writer.pl,
	tests/casefiles/remove_class_inplace_expected.pl,
	tests/casefiles/remove_class_inplace_input.pl, tests/casefiles
	/styleless-dialog.pl:
	Change indentation inside Perl test cases from 8 to the default of
	4.

	This change simplifies the generation of test files because the
	default indentation is 4 always.
	[192e520ed695] <DEV_GUI_WX30>

2014-01-31  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, tests/casefiles/AllWidgets_28.cpp,
	tests/casefiles/AllWidgets_28.h, tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/AllWidgets_28.wxg,
	tests/casefiles/AllWidgets_28.xrc,
	widgets/datepicker_ctrl/lisp_codegen.py,
	widgets/datepicker_ctrl/perl_codegen.py:
	Add Lisp and Perl support for wxDatePickerCtrl
	[69ac59dd5068] <DEV_GUI_WX30>

2014-01-29  Carsten Grohmann  <mail@carstengrohmann.de>

	* docs/html/apa.html, docs/html/apb.html, docs/html/apc.html,
	docs/html/apd.html, docs/html/ch01.html, docs/html/ch01s02.html,
	docs/html/ch01s03.html, docs/html/ch01s04.html,
	docs/html/ch01s05.html, docs/html/ch01s06.html,
	docs/html/ch01s07.html, docs/html/ch02.html, docs/html/ch02s02.html,
	docs/html/ch02s03.html, docs/html/ch02s04.html,
	docs/html/ch02s05.html, docs/html/ch02s06.html,
	docs/html/ch02s07.html, docs/html/ch02s08.html, docs/html/ch03.html,
	docs/html/ch03s02.html, docs/html/ch03s03.html,
	docs/html/ch03s04.html, docs/html/ch03s05.html,
	docs/html/ch03s06.html, docs/html/ch04.html, docs/html/ch04s02.html,
	docs/html/ch04s03.html, docs/html/ch05.html, docs/html/ch05s02.html,
	docs/html/ch05s03.html, docs/html/ch05s04.html, docs/html/ch06.html,
	docs/html/ch06s02.html, docs/html/ch06s03.html,
	docs/html/error_dialog.png, docs/html/index.html,
	docs/html/pr01.html, docs/html/pr01s02.html, docs/pdf/manual.pdf,
	docs/src/error_dialog.png, docs/src/manual.xml:
	Add a section about installing and designing own widgets primarily

	The section is still incomplete but it should show current changes
	already.
	[165de0ffff96]

2014-01-25  Carsten Grohmann  <mail@carstengrohmann.de>

	* Makefile, NEWS.txt, application.py, bugdialog.py, bugdialog_ui.py,
	configdialog.py, main.py, res/bugdialog_ui.wxg:
	Improve the internal error dialog
	[000d787786a7]

2014-01-19  Carsten Grohmann  <mail@carstengrohmann.de>

	* misc.py, widgets/button/button.py, widgets/choice/choice.py,
	widgets/combo_box/combo_box.py,
	widgets/hyperlink_ctrl/hyperlink_ctrl.py,
	widgets/list_box/list_box.py, widgets/menubar/menubar.py,
	widgets/radio_box/radio_box.py,
	widgets/radio_button/radio_button.py,
	widgets/static_text/static_text.py,
	widgets/toggle_button/toggle_button.py:
	Rename misc._encode to misc.encode
	[ead08f134cf2] <DEV_GUI_WX30>

	* tests/casefiles/AllWidgets_28.cpp, tests/casefiles/AllWidgets_28.h,
	tests/casefiles/AllWidgets_28.lisp,
	tests/casefiles/AllWidgets_28.pl, tests/casefiles/AllWidgets_28.py,
	tests/casefiles/AllWidgets_28.wxg,
	tests/casefiles/AllWidgets_28.xrc, tests/casefiles/icon.xpm,
	tests/test_codegen.py:
	Add new tests
	[299197b0e082] <DEV_GUI_WX30>

	* NEWS.txt, tests/casefiles/CPPOgg1.cpp,
	tests/casefiles/CPPOgg2_MyDialog.cpp, tests/casefiles/CPPOgg3.cpp,
	tests/casefiles/CPP_Preferences.cpp,
	tests/casefiles/CalendarCtrl.pl, tests/casefiles/ComplexExample.cpp,
	tests/casefiles/ComplexExample.lisp,
	tests/casefiles/ComplexExample.pl,
	tests/casefiles/ComplexExample.py,
	tests/casefiles/ComplexExample_30.cpp,
	tests/casefiles/ComplexExample_30.lisp,
	tests/casefiles/ComplexExample_30.pl,
	tests/casefiles/ComplexExample_30.py,
	tests/casefiles/FontColour.lisp, tests/casefiles/Gauge.lisp,
	tests/casefiles/Gauge.pl, tests/casefiles/Grid.lisp,
	tests/casefiles/HyperlinkCtrl_26.lisp,
	tests/casefiles/HyperlinkCtrl_28.lisp,
	tests/casefiles/LispOgg1.lisp,
	tests/casefiles/LispOgg2_MyDialog.lisp,
	tests/casefiles/LispOgg2_MyFrame.lisp,
	tests/casefiles/LispOgg3.lisp,
	tests/casefiles/Lisp_Preferences.lisp,
	tests/casefiles/Lisp_wxBitmapButton.lisp,
	tests/casefiles/Perl_Preferences.pl, tests/casefiles/PlOgg1.pl,
	tests/casefiles/PlOgg2_MyDialog.pm,
	tests/casefiles/PlOgg2_MyFrame.pm, tests/casefiles/PlOgg3.pl,
	tests/casefiles/Sizers_classattr.cpp,
	tests/casefiles/Sizers_classattr.lisp,
	tests/casefiles/Sizers_classattr.pl,
	tests/casefiles/Sizers_no_classattr.cpp,
	tests/casefiles/Sizers_no_classattr.lisp,
	tests/casefiles/Sizers_no_classattr.pl,
	tests/casefiles/add_class_inplace_extended.lisp,
	tests/casefiles/add_class_inplace_extended.pl,
	tests/casefiles/add_class_inplace_orig.lisp,
	tests/casefiles/add_class_inplace_orig.pl,
	tests/casefiles/no_suitable_writer.lisp,
	tests/casefiles/remove_class_inplace_expected.lisp,
	tests/casefiles/remove_class_inplace_expected.pl,
	tests/casefiles/remove_class_inplace_input.lisp,
	tests/casefiles/remove_class_inplace_input.pl, tests/casefiles
	/styleless-dialog.lisp, wcodegen/__init__.py,
	widgets/button/codegen.py, widgets/button/lisp_codegen.py,
	widgets/button/perl_codegen.py, widgets/calendar_ctrl/codegen.py,
	widgets/calendar_ctrl/perl_codegen.py, widgets/checkbox/codegen.py,
	widgets/checkbox/lisp_codegen.py, widgets/checkbox/perl_codegen.py,
	widgets/choice/codegen.py, widgets/choice/lisp_codegen.py,
	widgets/choice/perl_codegen.py, widgets/combo_box/codegen.py,
	widgets/combo_box/lisp_codegen.py,
	widgets/combo_box/perl_codegen.py, widgets/custom_widget/codegen.py,
	widgets/datepicker_ctrl/codegen.py, widgets/dialog/codegen.py,
	widgets/dialog/lisp_codegen.py, widgets/dialog/perl_codegen.py,
	widgets/frame/codegen.py, widgets/frame/lisp_codegen.py,
	widgets/frame/perl_codegen.py, widgets/gauge/codegen.py,
	widgets/gauge/lisp_codegen.py, widgets/gauge/perl_codegen.py,
	widgets/grid/codegen.py, widgets/hyperlink_ctrl/codegen.py,
	widgets/hyperlink_ctrl/lisp_codegen.py,
	widgets/hyperlink_ctrl/perl_codegen.py, widgets/list_box/codegen.py,
	widgets/list_box/lisp_codegen.py, widgets/list_box/perl_codegen.py,
	widgets/list_ctrl/codegen.py, widgets/list_ctrl/lisp_codegen.py,
	widgets/list_ctrl/perl_codegen.py, widgets/menubar/codegen.py,
	widgets/menubar/lisp_codegen.py, widgets/menubar/perl_codegen.py,
	widgets/radio_box/codegen.py, widgets/radio_box/lisp_codegen.py,
	widgets/radio_box/perl_codegen.py, widgets/radio_button/codegen.py,
	widgets/radio_button/lisp_codegen.py,
	widgets/radio_button/perl_codegen.py, widgets/slider/codegen.py,
	widgets/slider/lisp_codegen.py, widgets/slider/perl_codegen.py,
	widgets/spacer/codegen.py, widgets/spacer/lisp_codegen.py,
	widgets/spacer/perl_codegen.py, widgets/spin_button/codegen.py,
	widgets/spin_button/lisp_codegen.py,
	widgets/spin_button/perl_codegen.py, widgets/spin_ctrl/codegen.py,
	widgets/spin_ctrl/lisp_codegen.py,
	widgets/spin_ctrl/perl_codegen.py, widgets/static_bitmap/codegen.py,
	widgets/static_bitmap/lisp_codegen.py,
	widgets/static_bitmap/perl_codegen.py,
	widgets/static_line/codegen.py, widgets/static_line/lisp_codegen.py,
	widgets/static_line/perl_codegen.py, widgets/static_text/codegen.py,
	widgets/static_text/lisp_codegen.py,
	widgets/static_text/perl_codegen.py,
	widgets/static_text/static_text.py, widgets/text_ctrl/codegen.py,
	widgets/text_ctrl/lisp_codegen.py,
	widgets/text_ctrl/perl_codegen.py, widgets/toggle_button/codegen.py,
	widgets/toggle_button/lisp_codegen.py,
	widgets/toggle_button/perl_codegen.py, widgets/tree_ctrl/codegen.py,
	widgets/tree_ctrl/lisp_codegen.py,
	widgets/tree_ctrl/perl_codegen.py:
	Unify the code generation of widget specific code. That causes minor
	changes in the generated code.

	Parallel two wrong Lisp statement in wxHyperlinkCtrl and wxFrame has
	been corrected.
	[ab887740ee3c] <DEV_GUI_WX30>

	* codegen/xrc_codegen.py:
	Typo
	[322b754b06a4] <DEV_GUI_WX30>

2014-01-17  Carsten Grohmann  <mail@carstengrohmann.de>

	* codegen/pl_codegen.py:
	Add more constants to Perl code generator
	[b345b119539b] <DEV_GUI_WX30>

2014-01-16  Carsten Grohmann  <mail@carstengrohmann.de>

	* codegen/__init__.py:
	Documentation typos
	[534610ca1bac] <DEV_GUI_WX30>

2014-01-15  Carsten Grohmann  <mail@carstengrohmann.de>

	* widgets/radio_box/radio_box.py:
	Change initial dimension of a wxRadioBox from 0 to 1
	[21d67e7289f2] <DEV_GUI_WX30>

2014-01-09  Carsten Grohmann  <mail@carstengrohmann.de>

	* log.py:
	Remove gettext usage from exception handler
	[894e98ab3259]

2014-01-05  Carsten Grohmann  <mail@carstengrohmann.de>

	* license.txt:
	Add myself to license file
	[16cada1aa8c5]

2014-01-01  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, codegen/pl_codegen.py:
	Fix bug in generation of valid hash keys for Perl
	[33daddbba93e]

2013-12-27  Carsten Grohmann  <mail@carstengrohmann.de>

	* log.py:
	Increase robustness of exception logger
	[956750c8c23f]

2013-12-25  Carsten Grohmann  <mail@carstengrohmann.de>

	* widgets/bitmap_button/__init__.py, widgets/button/__init__.py,
	widgets/calendar_ctrl/__init__.py, widgets/checkbox/__init__.py,
	widgets/choice/__init__.py, widgets/combo_box/__init__.py,
	widgets/custom_widget/__init__.py,
	widgets/datepicker_ctrl/__init__.py, widgets/dialog/__init__.py,
	widgets/frame/__init__.py, widgets/gauge/__init__.py,
	widgets/grid/__init__.py, widgets/hyperlink_ctrl/__init__.py,
	widgets/list_box/__init__.py, widgets/list_ctrl/__init__.py,
	widgets/notebook/__init__.py, widgets/radio_box/__init__.py,
	widgets/radio_button/__init__.py, widgets/slider/__init__.py,
	widgets/spacer/__init__.py, widgets/spin_button/__init__.py,
	widgets/spin_ctrl/__init__.py, widgets/splitter_window/__init__.py,
	widgets/static_bitmap/__init__.py, widgets/static_line/__init__.py,
	widgets/static_text/__init__.py, widgets/text_ctrl/__init__.py,
	widgets/toggle_button/__init__.py, widgets/tree_ctrl/__init__.py:
	Remove default widget initialisation code. The widget default
	initialisation will be performed by the widget loader now.
	[e6f4126c7a62] <DEV_GUI_WX30>

	* NEWS.txt:
	Typos
	[2c62158e7b2b] <DEV_GUI_WX30>

2013-12-20  Carsten Grohmann  <mail@carstengrohmann.de>

	* log.py:
	Extent exception handler by reversing the order of logged stack
	frames and by including more general information (like version
	numbers and platform infos).
	[f65e4edb0e40]

	* about.py, config.py, main.py, wxglade.py:
	Store wx version in config.wx_version
	[5480df7e0465]

	* config.py:
	Minor source documentation update for config.use_gui
	[69abbef37c70]

	* codegen/__init__.py, common.py:
	Unity code to load and initialise widgets.
	[a261491079b9] <DEV_GUI_WX30>

2013-12-11  Carsten Grohmann  <mail@carstengrohmann.de>

	* misc.py:
	Typo in docstring
	[579dad455f7f] <DEV_GUI_WX30>

	* docs/html/apa.html, docs/html/apb.html, docs/html/apd.html,
	docs/html/ch01.html, docs/html/ch01s02.html, docs/html/ch01s03.html,
	docs/html/ch01s04.html, docs/html/ch01s05.html,
	docs/html/ch01s06.html, docs/html/ch01s07.html, docs/html/ch02.html,
	docs/html/ch02s02.html, docs/html/ch02s03.html,
	docs/html/ch02s04.html, docs/html/ch02s05.html,
	docs/html/ch02s06.html, docs/html/ch02s07.html,
	docs/html/ch02s08.html, docs/html/ch03.html, docs/html/ch03s02.html,
	docs/html/ch03s03.html, docs/html/ch03s04.html,
	docs/html/ch03s05.html, docs/html/ch03s06.html, docs/html/ch04.html,
	docs/html/ch04s03.html, docs/html/ch05.html, docs/html/index.html,
	docs/html/pr01.html, docs/html/pr01s02.html,
	docs/html/preferences.png, docs/pdf/manual.pdf,
	docs/src/preferences.png:
	Updated screenshot of preferences dialog
	[b0c41d97a53b]

	* NEWS.txt, codegen/__init__.py, codegen/lisp_codegen.py,
	codegen/pl_codegen.py, common.py:
	Improve widget import to be able to import widgets from ZIP files

	The previous implementation of ZIP file imports doesn't work for
	code generators.

	The new implementation used the same code (copied) to load GUI part
	of a widget as well as the widget code generators from a ZIP file.

	Imports from ZIP files have a higher priority than traditional
	imports. This is helpful for ad-hoc fixes.
	[110b485dafe0] <DEV_GUI_WX30>

	* Makefile:
	Adapt Makefile to new pylint version
	[95e2985d6bde] <DEV_GUI_WX30>

2013-12-09  Carsten Grohmann  <mail@carstengrohmann.de>

	* common.py:
	PEP8: rename variable id to widget_id
	[2f773100ddb7] <DEV_GUI_WX30>

2013-12-06  Carsten Grohmann  <mail@carstengrohmann.de>

	* wxglade.py:
	Show log file during application startup similar to other files
	[67fa55ddb6de]

	* configUI.py, docs/html/apa.html, docs/html/apb.html,
	docs/html/apd.html, docs/html/ch01.html, docs/html/ch01s02.html,
	docs/html/ch01s03.html, docs/html/ch01s04.html,
	docs/html/ch01s05.html, docs/html/ch01s06.html,
	docs/html/ch01s07.html, docs/html/ch02.html, docs/html/ch02s02.html,
	docs/html/ch02s03.html, docs/html/ch02s04.html,
	docs/html/ch02s05.html, docs/html/ch02s06.html,
	docs/html/ch02s07.html, docs/html/ch02s08.html, docs/html/ch03.html,
	docs/html/ch03s02.html, docs/html/ch03s03.html,
	docs/html/ch03s04.html, docs/html/ch03s05.html,
	docs/html/ch03s06.html, docs/html/ch04.html, docs/html/ch04s03.html,
	docs/html/ch05.html, docs/html/index.html, docs/html/pr01.html,
	docs/html/pr01s02.html, docs/html/preferences.png,
	docs/pdf/manual.pdf, docs/src/preferences.png, res/preferences.wxg:
	Minor layout changes in preferences dialog
	[6297d871b8da]

	* wxglade:
	Use python2 interpreter instead of just python
	[081a452ad964] <DEV_GUI_WX30>

	* test.py, wxglade.py, wxglade.pyw, xrc2wxg.py:
	Change shebang to start Python2 always.

	That's useful for systems with Python3 as default
	[5496b927d38f] <DEV_GUI_WX30>

	* edit_windows.py:
	Fix bug introduced in 1333:9859659429ff
	[35355bec2cdc] <DEV_GUI_WX30>

	* docs/html/apa.html, docs/html/apb.html, docs/html/apc.html,
	docs/html/apd.html, docs/html/ch01.html, docs/html/ch01s02.html,
	docs/html/ch01s03.html, docs/html/ch01s04.html,
	docs/html/ch01s05.html, docs/html/ch01s06.html,
	docs/html/ch01s07.html, docs/html/ch01s08.html, docs/html/ch02.html,
	docs/html/ch02s02.html, docs/html/ch02s03.html,
	docs/html/ch02s04.html, docs/html/ch02s05.html,
	docs/html/ch02s06.html, docs/html/ch02s07.html,
	docs/html/ch02s08.html, docs/html/ch02s09.html, docs/html/ch03.html,
	docs/html/ch03s02.html, docs/html/ch03s03.html,
	docs/html/ch03s04.html, docs/html/ch03s05.html,
	docs/html/ch03s06.html, docs/html/ch03s07.html, docs/html/ch04.html,
	docs/html/ch04s02.html, docs/html/ch04s03.html, docs/html/ch05.html,
	docs/html/ch05s03.html, docs/html/ch05s04.html,
	docs/html/index.html, docs/html/pr01.html, docs/html/pr01s02.html,
	docs/html/pr01s03.html, docs/html/preferences.png,
	docs/pdf/manual.pdf, docs/src/html.xsl, docs/src/manual.xml,
	docs/src/pdf.xsl, docs/src/preferences.png:
	Extend documentation HG Bitte gib eine Versions-Meldung ein. Zeilen
	beginnend mit 'HG:' werden
	[bc18610d0567]

2013-12-04  Carsten Grohmann  <mail@carstengrohmann.de>

	* log.py:
	Set backupCount=1 during setup of RotatingFileHandler

	The default backupCount=0 doesn't delete the file during the
	rollover. Thereby the log file grows instead of remaining at 100
	KiB.
	[c24c07e5dcce]

2013-12-03  Carsten Grohmann  <mail@carstengrohmann.de>

	* edit_windows.py:
	Fix bug introduced in 1333:9859659429ff
	[297fda9023c6]

2013-11-26  Carsten Grohmann  <mail@carstengrohmann.de>

	* log.py:
	Add more details to logged exceptions and unify exception formatting
	code
	[c5afcde6f5e6]

2013-11-24  Carsten Grohmann  <mail@carstengrohmann.de>

	* errors.py, wxglade.py:
	Improve error handling in case if missing code writer
	[baa8d6246a56]

	* tests/test_codegen.py:
	Add test case for last commit "Prevent code generation ..."
	[ecb3bf4f9787]

	* NEWS.txt, codegen/__init__.py, errors.py:
	Prevent code generation from a template file by commandline
	invocation
	[0ab726df3b2a]

	* xml_parse.py:
	Remove obsolete "import errors"
	[5a075d2b9115]

	* wxglade:
	Use python2 interpreter instead of just python
	[29f7c3faf169]

	* tests/__init__.py, tests/test_codegen.py:
	Improve tests of the existance of output file and directory
	[fef6cdbda237]

2013-11-23  Carsten Grohmann  <mail@carstengrohmann.de>

	* main.py:
	Reorg code to open file to reduce duplicate code
	[7bfd38922609]

2013-11-16  Carsten Grohmann  <mail@carstengrohmann.de>

	* test.py, wxglade.py, wxglade.pyw, xrc2wxg.py:
	Change shebang to start Python2 always.

	That's useful for systems with Python3 as default
	[b01e80fc1fe3]

2013-11-05  Carsten Grohmann  <mail@carstengrohmann.de>

	* wxglade.py:
	PEP8
	[e478cd2d5cfd]

	* codegen/xrc_codegen.py, errors.py, tests/test_codegen.py:
	XRC code generator raises an own exception instead of IOError.

	The code generator raises now WxgXRCMultipleFilesNotSupported
	instead of the generic IOError exception. It's a logical mistake not
	not an IO error.
	[b054b258642a]

	* application.py, wxglade.py:
	Improve checks for wxGlade specific exceptions
	[6257c4bf9ed3]

	* application.py, codegen/__init__.py, codegen/cpp_codegen.py,
	codegen/lisp_codegen.py, codegen/py_codegen.py, errors.py,
	tests/__init__.py, tests/test_codegen.py, wxglade.py, xml_parse.py:
	Improve check for output directory
	[a01618bc6930]

2013-11-02  Carsten Grohmann  <mail@carstengrohmann.de>

	* application.py, codegen/py_codegen.py, errors.py,
	tests/test_codegen.py, wxglade.py:
	Improve disabling old import style for wxPython 3.0
	[12dcaea82563]

2013-11-01  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, application.py, codegen/lisp_codegen.py, errors.py,
	tests/casefiles/ComplexExample_30.lisp, tests/test_codegen.py,
	wxglade.py, xml_parse.py:
	Disable Lisp code generation for wxWidgets 3.0

	I've disabled Lisp due lack of testing possibilities for the
	upcoming release of wxWidgets 3.0.
	[929b728156a5]

	* widget_properties.py:
	Add RadioProperty.enable_item() to enable/disable choices within the
	property
	[b43b01a1101a]

2013-10-30  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/__init__.py:
	Add option to exclude languages from
	tests.WXGladeBaseTest._test_all()
	[3f7594b6af3c]

	* codegen/__init__.py, codegen/cpp_codegen.py,
	codegen/lisp_codegen.py, codegen/pl_codegen.py,
	codegen/py_codegen.py, codegen/xrc_codegen.py:
	Rework the initialisation of values in code generators
	[5e826fc3103b]

	* xml_parse.py:
	Pep8 changes
	[d7b4e45849e0]

2013-10-29  Carsten Grohmann  <mail@carstengrohmann.de>

	* xml_parse.py:
	Minor update of the source code documentation
	[735370d77e46]

2013-10-27  Carsten Grohmann  <mail@carstengrohmann.de>

	* log.py:
	Minor code reorg in exception handlers
	[d26255c41444]

	* wxglade.py:
	Update copyright notice
	[95bef50e8089]

	* merged DEV_GUI_WX30 into default
	[09789fae8916]

2013-10-16  Carsten Grohmann  <mail@carstengrohmann.de>

	* application.py, compat.py, edit_sizers/edit_sizers.py,
	edit_windows.py, tree.py:
	Move compatibility code to compat.py
	[9859659429ff] <DEV_GUI_WX30>

2013-10-15  Carsten Grohmann  <mail@carstengrohmann.de>

	* edit_sizers/edit_sizers.py, edit_windows.py:
	Use SizerItem.AssignWindow() instead of SetWindow()

	SizerItem.SetWindow() is deprecated since wxPython 2.9
	[11706a357d8f] <DEV_GUI_WX30>

	* NEWS.txt:
	Start implementing GUI changes to support upcoming wxPython 3.0
	[19e898384490] <DEV_GUI_WX30>

	* application.py, tree.py:
	Use SizerItem.AssignWindow() instead of SetWindow() (Thanks to
	Martin Gregory)

	SizerItem.SetWindow() is deprecated since wxPython 2.9

	This change is an adapt version of the patch provided by Martin.
	[5a78f3b6c0ba] <DEV_GUI_WX30>

2013-10-08  Carsten Grohmann  <mail@carstengrohmann.de>

	* Created DEV_GUI_WX30 branch
	[d5ec8e0d20d2] <DEV_GUI_WX30>

2013-10-01  Carsten Grohmann  <mail@carstengrohmann.de>

	* wxglade.py:
	Reorg in determining locale to prevent warning message on Windows
	[8a41588c804d]

2013-09-30  Carsten Grohmann  <mail@carstengrohmann.de>

	* setup.py:
	Add installation requirement to setup.py
	[5dbf1cdc40dd]

2013-09-29  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, common.py:
	Change default to remember position and geometry of the main windows

	This configuration change effects fresh installations only because
	wxGlade writes always all configuration settings into the rc file.
	Changed defaults will be overwritten by the values from the rc file.
	[7081c03e7c7b]

	* docs/src/manual.xml, wxglade:
	Typo
	[262e10831dd5]

	* Close DEV_LOGGING branch
	[20bde6c43e2b] <DEV_LOGGING>

	* NEWS.txt, main.py, wxglade.py:
	merged DEV_LOGGING into default
	[9510a31d471d]

	* log.py:
	Fix for a incomplete change in log.py

	The cleanup for old log handlers was too late. Thereby the new
	created handlers have been removed too.
	[c7a48e74cdc3] <DEV_LOGGING>

	* log.py:
	Minor code reorg triggered by a PEP8 check
	[5345f7e56b2f] <DEV_LOGGING>

	* config.py:
	Minor source documentation updates
	[a71a67caa8dd] <DEV_LOGGING>

	* NEWS.txt, common.py, config.py, configUI.py, configdialog.py,
	log.py, main.py, res/preferences.wxg, wxglade.py:
	Improve file logging

	The log file will always created . The file is stored inside the
	appdata directory and it's size is limited to 100kB.

	Parallel a new option has added to log DEBUG information to the log
	file. This option is off per default.
	[4ebc54cf7601] <DEV_LOGGING>

2013-09-28  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, common.py, config.py, template.py, wxglade.py:
	Rework internal path handling
	[92719b634b39] <DEV_LOGGING>

2013-09-27  Carsten Grohmann  <mail@carstengrohmann.de>

	* about.py, code_property.py, codegen/__init__.py, common.py,
	config.py, configUI.py, docs/ReleaseSteps.txt,
	edit_sizers/__init__.py, edit_sizers/edit_sizers.py, main.py,
	misc.py, res/preferences.wxg, template.py, tests/__init__.py,
	tests/casefiles/Preferences.wxg,
	tests/casefiles/Python_Preferences.py, tree.py, widgets/__init__.py,
	widgets/bitmap_button/__init__.py, widgets/bitmap_button/codegen.py,
	widgets/button/__init__.py, widgets/calendar_ctrl/__init__.py,
	widgets/checkbox/__init__.py, widgets/choice/__init__.py,
	widgets/combo_box/__init__.py, widgets/custom_widget/__init__.py,
	widgets/datepicker_ctrl/__init__.py, widgets/dialog/__init__.py,
	widgets/dialog/dialog.py, widgets/frame/__init__.py,
	widgets/frame/frame.py, widgets/gauge/__init__.py,
	widgets/grid/__init__.py, widgets/hyperlink_ctrl/__init__.py,
	widgets/list_box/__init__.py, widgets/list_ctrl/__init__.py,
	widgets/menubar/__init__.py, widgets/menubar/menubar.py,
	widgets/notebook/__init__.py, widgets/panel/__init__.py,
	widgets/panel/panel.py, widgets/radio_box/__init__.py,
	widgets/radio_button/__init__.py, widgets/slider/__init__.py,
	widgets/spacer/__init__.py, widgets/spin_button/__init__.py,
	widgets/spin_ctrl/__init__.py, widgets/splitter_window/__init__.py,
	widgets/static_bitmap/__init__.py, widgets/static_bitmap/codegen.py,
	widgets/static_line/__init__.py, widgets/static_text/__init__.py,
	widgets/text_ctrl/__init__.py, widgets/toggle_button/__init__.py,
	widgets/toolbar/__init__.py, widgets/toolbar/codegen.py,
	widgets/toolbar/toolbar.py, widgets/tree_ctrl/__init__.py,
	widgets/tree_ctrl/tree_ctrl.py, wxglade.py, xml_parse.py:
	Move configuration settings from common to config and code back to
	common

	This change moves most of configuration variables from common.py to
	config.py and active code from config back to common.

	This change prevents some circular imports of config and common.
	[38de358eed2f] <DEV_LOGGING>

2013-09-25  Carsten Grohmann  <mail@carstengrohmann.de>

	* .hgignore:
	Ignore wxGlade log file and PyCharm IDE files
	[84e04744cb00] <DEV_LOGGING>

2013-09-21  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, tests/casefiles/ComplexExample.pl,
	tests/casefiles/ComplexExample_30.pl, widgets/frame/perl_codegen.py:
	Use configurable indents instead of hard coded tabs in wxFrame code
	for Perl
	[ca8a9b63640c]

	* wcodegen/__init__.py:
	Add BaseWidgetCodeWriter.stmt2list() convert a string into a list.

	The function stmt2list() splits a multi line code statement into a
	list of lines. The newlines will be conserved.
	[22f4e4cde616]

	* Makefile:
	Add directoy wcodegen to list of source directories
	[3e6acc670822]

	* wxglade.py:
	Write log file with utf-8 encoding
	[65e5ba4f4a91] <DEV_LOGGING>

	* main.py, wxglade.py:
	Minor cosmetic changes
	[8220d4169fd0]

2013-09-04  Carsten Grohmann  <mail@carstengrohmann.de>

	* Created DEV_LOGGING branch
	[a5eb50eb0377] <DEV_LOGGING>

2013-09-01  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/casefiles/ComplexExample.cpp,
	tests/casefiles/ComplexExample.lisp,
	tests/casefiles/ComplexExample.pl,
	tests/casefiles/ComplexExample.py,
	tests/casefiles/ComplexExample.wxg,
	tests/casefiles/ComplexExample.xrc,
	tests/casefiles/ComplexExample_30.cpp,
	tests/casefiles/ComplexExample_30.lisp,
	tests/casefiles/ComplexExample_30.pl,
	tests/casefiles/ComplexExample_30.py,
	tests/casefiles/ComplexExample_30.wxg,
	tests/casefiles/ComplexExample_30.xrc, widgets/toolbar/codegen.py:
	Change bitmap specification in complex example
	[5caa450eb90c]

	* NEWS.txt, codegen/__init__.py, codegen/cpp_codegen.py,
	codegen/lisp_codegen.py, codegen/pl_codegen.py,
	codegen/py_codegen.py, codegen/xrc_codegen.py, docs/html/apa.html,
	docs/html/apb.html, docs/html/ch01.html, docs/html/ch01s02.html,
	docs/html/ch01s03.html, docs/html/ch01s04.html,
	docs/html/ch01s05.html, docs/html/ch01s06.html,
	docs/html/ch01s07.html, docs/html/ch02.html, docs/html/ch02s02.html,
	docs/html/ch02s03.html, docs/html/ch02s04.html,
	docs/html/ch02s05.html, docs/html/ch02s06.html,
	docs/html/ch02s07.html, docs/html/ch02s08.html,
	docs/html/ch02s09.html, docs/html/ch03.html, docs/html/ch03s02.html,
	docs/html/ch03s03.html, docs/html/ch03s04.html,
	docs/html/ch03s06.html, docs/html/ch03s07.html, docs/html/ch04.html,
	docs/html/ch05.html, docs/html/index.html, docs/html/pr01.html,
	docs/html/pr01s02.html, docs/html/pr01s03.html, docs/pdf/manual.pdf,
	docs/src/manual.xml, tests/casefiles/ComplexExample.cpp,
	tests/casefiles/ComplexExample.h,
	tests/casefiles/ComplexExample.lisp,
	tests/casefiles/ComplexExample.pl,
	tests/casefiles/ComplexExample.py,
	tests/casefiles/ComplexExample.wxg,
	tests/casefiles/ComplexExample.xrc,
	tests/casefiles/ComplexExample_30.cpp,
	tests/casefiles/ComplexExample_30.h,
	tests/casefiles/ComplexExample_30.lisp,
	tests/casefiles/ComplexExample_30.pl,
	tests/casefiles/ComplexExample_30.py,
	tests/casefiles/ComplexExample_30.wxg,
	tests/casefiles/ComplexExample_30.xrc, tests/test_codegen.py:
	Rework quoting and escaping of special character sequences
	[cf7d695c8278]

2013-08-27  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, codegen/__init__.py, codegen/cpp_codegen.py,
	codegen/lisp_codegen.py, codegen/pl_codegen.py,
	codegen/py_codegen.py:
	Simplify signature of quote_str(), use quote_path() for filenames or
	paths
	[534c09b7673c]

2013-08-26  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/casefiles/ComplexExample.cpp,
	tests/casefiles/ComplexExample_30.cpp,
	widgets/bitmap_button/codegen.py, widgets/dialog/codegen.py,
	widgets/frame/codegen.py, widgets/static_bitmap/codegen.py,
	widgets/toolbar/codegen.py:
	Use quote_path() instead of quote_str() to quote / escape filenames
	[4fc773828910]

2013-08-26  Carsten Grohmann  <carstengrohmann@gmx.de>

	* docs/ReleaseSteps.txt:
	Add creation of a development branch to release steps
	[e494dfa8ae57]

2013-08-25  Carsten Grohmann  <mail@carstengrohmann.de>

	* Close stable branch WXG-BRANCH-VERSION_0_6_7
	[c15b934f9e44] <WXG-BRANCH-VERSION_0_6_7>

2013-08-24  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, codegen/__init__.py, codegen/pl_codegen.py,
	codegen/py_codegen.py, tests/casefiles/ComplexExample.cpp,
	tests/casefiles/ComplexExample.lisp,
	tests/casefiles/ComplexExample.pl,
	tests/casefiles/ComplexExample.py,
	tests/casefiles/ComplexExample.wxg,
	tests/casefiles/ComplexExample.xrc, tests/test_codegen.py:
	Fix escape sequences in Unicode strings were escaped twice Perl and
	Python
	[c164edb5afff] <WXG-BRANCH-VERSION_0_6_8>

	* NEWS.txt:
	Extent NEWS.txt
	[fd369e4c6aa9] <WXG-BRANCH-VERSION_0_6_8>

	* Create new branch for stable version 0.6.8
	[b9ba1e9ee9e1] <WXG-BRANCH-VERSION_0_6_8>

	* NEWS.txt, codegen/__init__.py, codegen/pl_codegen.py,
	codegen/py_codegen.py, tests/casefiles/ComplexExample.cpp,
	tests/casefiles/ComplexExample.lisp,
	tests/casefiles/ComplexExample.pl,
	tests/casefiles/ComplexExample.py,
	tests/casefiles/ComplexExample.wxg,
	tests/casefiles/ComplexExample.xrc,
	tests/casefiles/ComplexExample_30.cpp,
	tests/casefiles/ComplexExample_30.lisp,
	tests/casefiles/ComplexExample_30.pl,
	tests/casefiles/ComplexExample_30.py,
	tests/casefiles/ComplexExample_30.wxg,
	tests/casefiles/ComplexExample_30.xrc, tests/test_codegen.py:
	Fix escape sequences in Unicode strings were escaped twice Perl and
	Python
	[ed6b1ff15a56]

2013-08-21  Carsten Grohmann  <mail@carstengrohmann.de>

	* codegen/__init__.py:
	Source documentation update for quote_str() and _quote_str_pattern
	[0dfe9cf1a288]

2013-08-17  Carsten Grohmann  <mail@carstengrohmann.de>

	* codegen/__init__.py, codegen/cpp_codegen.py,
	codegen/lisp_codegen.py, codegen/pl_codegen.py,
	codegen/py_codegen.py, codegen/xrc_codegen.py,
	edit_sizers/edit_sizers.py, misc.py, tests/__init__.py,
	tests/test_codegen.py:
	Rename class codegen.BaseCodeWriter -> BaseLangCodeWriter
	[74ccfbc1bd58]

	* NEWS.txt, application.py, clipboard.py, codegen/__init__.py,
	codegen/cpp_codegen.py, codegen/lisp_codegen.py,
	codegen/pl_codegen.py, codegen/py_codegen.py,
	codegen/xrc_codegen.py, common.py, config.py,
	edit_sizers/edit_sizers.py, edit_widget.py, edit_windows.py,
	events_mixin.py, font_dialog.py, install/pyinstaller/wxglade-
	installer.iss, install/pyinstaller/wxglade.spec,
	install/rpm/wxglade.spec, log.py, main.py, misc.py, template.py,
	tests/__init__.py, tests/test_gui.py, tree.py, wcodegen/__init__.py,
	widget_properties.py, widgets/custom_widget/codegen.py,
	widgets/grid/codegen.py, widgets/menubar/codegen.py,
	widgets/menubar/lisp_codegen.py, widgets/menubar/perl_codegen.py,
	widgets/notebook/notebook.py, widgets/panel/panel.py,
	widgets/splitter_window/splitter_window.py,
	widgets/static_bitmap/static_bitmap.py, wxglade.py, xml_parse.py,
	xrc2wxg.py:
	Use Python logging facility instead of print statements

	The information will be shown in three ways:
	 - at console
	 - in a log file
	 - within the GUI
	[a6dd33ce9368]

2013-08-15  Carsten Grohmann  <mail@carstengrohmann.de>

	* application.py, config.py, wxglade.py:
	Initialise localisation earlier / at application start

	In old version the localisation was initialised during the graphical
	init process only.

	Now the localisation is started always during the first step of
	application initialisation.

	BTW: The old call of "locale.setlocale(locale.LC_ALL)" initialised
	the "C" locale always and not the user specific locales. This has
	been fixed.
	[a9d16f4d6697]

2013-08-14  Carsten Grohmann  <mail@carstengrohmann.de>

	* wxglade.py:
	Improve module import of wxversion and wx as well as the error
	messages
	[4161b6fb9096]

2013-08-08  Carsten Grohmann  <mail@carstengrohmann.de>

	* codegen/__init__.py:
	Change default version for code generation from 2.6 to 2.8

	The preselected version for a new project in GUI is the version of
	the used wxPython version.
	[5903d225a95e]

	* NEWS.txt, tests/casefiles/ComplexExample.cpp,
	tests/casefiles/ComplexExample.lisp,
	tests/casefiles/ComplexExample.pl,
	tests/casefiles/ComplexExample.py,
	tests/casefiles/ComplexExample.wxg,
	tests/casefiles/ComplexExample.xrc,
	tests/casefiles/ComplexExample_30.cpp,
	tests/casefiles/ComplexExample_30.lisp,
	tests/casefiles/ComplexExample_30.pl,
	tests/casefiles/ComplexExample_30.py,
	tests/casefiles/ComplexExample_30.wxg,
	tests/casefiles/ComplexExample_30.xrc, widgets/notebook/notebook.py:
	Add missing styles for wxNotebook (Thanks to Udi Fuchs)
	[2ceb04d0021a]

2013-08-07  Carsten Grohmann  <mail@carstengrohmann.de>

	* widgets/notebook/__init__.py, widgets/notebook/codegen.py,
	widgets/notebook/lisp_codegen.py, widgets/notebook/notebook.py,
	widgets/notebook/perl_codegen.py, widgets/radio_box/__init__.py,
	widgets/radio_box/codegen.py, widgets/radio_box/lisp_codegen.py,
	widgets/radio_box/perl_codegen.py, widgets/radio_box/radio_box.py:
	Pep8
	[973b01021e2d]

2013-08-06  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, codegen/py_codegen.py,
	tests/casefiles/ComplexExample_30.py:
	Use SetToolTip() instead of SetToolTipString() for wxPython 3.x
	[a525128133d2]

	* NEWS.txt:
	Update NEWS.txt
	[b03e4a2d52b5]

	* codegen/__init__.py, codegen/cpp_codegen.py,
	codegen/lisp_codegen.py, codegen/pl_codegen.py,
	codegen/py_codegen.py:
	Extent handling for code statements use to set properties
	[ef8a76603d7b]

2013-08-04  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/casefiles/ComplexExample_30.cpp,
	tests/casefiles/ComplexExample_30.h,
	tests/casefiles/ComplexExample_30.lisp,
	tests/casefiles/ComplexExample_30.pl,
	tests/casefiles/ComplexExample_30.py,
	tests/casefiles/ComplexExample_30.wxg,
	tests/casefiles/ComplexExample_30.xrc, tests/test_codegen.py:
	Add initial test for wxPython 3.0 using a own copy of
	"ComplexExample"
	[ee47e557e8d6]

	* tests/__init__.py, tests/test_codegen.py, tests/test_gui.py:
	Update year in copyright statement
	[5d6cf129a460]

2013-07-13  Carsten Grohmann  <mail@carstengrohmann.de>

	* docs/tutorial.html:
	Replace Albertos email in the tutorial by mailing list address
	[e43a17d1922e]

	* docs/BuildingInstaller.txt:
	Add deleting Python bytecode files to release documentation
	[2016ef90992e]

	* .hgtags:
	Added tag rel_0.6.8 for changeset 80fb1637a216
	[64fc83033268] <WXG-BRANCH-VERSION_0_6_7>

	* common.py, install/pyinstaller/wxglade-installer.iss:
	Bump version number to 0.6.8
	[80fb1637a216] [rel_0.6.8] <WXG-BRANCH-VERSION_0_6_7>

2013-07-10  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, README.txt:
	Prerelease documentation updates
	[ffb705fc1782] <WXG-BRANCH-VERSION_0_6_7>

	* NEWS.txt, codegen/pl_codegen.py, codegen/py_codegen.py,
	tests/casefiles/ComplexExample.cpp,
	tests/casefiles/ComplexExample.h,
	tests/casefiles/ComplexExample.lisp,
	tests/casefiles/ComplexExample.pl,
	tests/casefiles/ComplexExample.py,
	tests/casefiles/ComplexExample.wxg,
	tests/casefiles/ComplexExample.xrc, tests/test_codegen.py:
	Fix handling of unicode characters in strings for Perl and Python

	Looks like wxGlade uses ASCII internal at all places. This change
	escapes unicode characters to continue handling of strings as ascii
	strings.

	The generated source code is always ascii, even if it contains an
	encoding statement at top.
	[af83a01b67bb] <WXG-BRANCH-VERSION_0_6_7>

	* NEWS.txt, common.py, wxglade.py:
	Add comfortable exception handler for more detailed bug reports

	This exception handler logs names, types and content of local
	variables from top stack entry.
	[f1935988f512] <WXG-BRANCH-VERSION_0_6_7>

	* application.py:
	Update text of two tooltips
	[f91b569ebdbc]

	* NEWS.txt, application.py:
	Disable old import style for wxPython 3.0
	[c65e2be8871f]

	* widget_properties.py:
	Improve source documentation
	[0caac8e1633f]

2013-07-08  Carsten Grohmann  <mail@carstengrohmann.de>

	* docs/html/apa.html, docs/html/apb.html, docs/html/ch01.html,
	docs/html/ch01s02.html, docs/html/ch01s03.html,
	docs/html/ch01s04.html, docs/html/ch01s05.html,
	docs/html/ch01s06.html, docs/html/ch01s07.html, docs/html/ch02.html,
	docs/html/ch02s02.html, docs/html/ch02s03.html,
	docs/html/ch02s04.html, docs/html/ch02s05.html,
	docs/html/ch02s06.html, docs/html/ch02s07.html,
	docs/html/ch02s08.html, docs/html/ch03.html, docs/html/ch03s02.html,
	docs/html/ch03s03.html, docs/html/ch03s04.html,
	docs/html/ch03s05.html, docs/html/ch03s06.html,
	docs/html/ch03s07.html, docs/html/ch04.html, docs/html/ch04s02.html,
	docs/html/ch05.html, docs/html/ch05s02.html, docs/html/ch05s03.html,
	docs/html/ch05s04.html, docs/html/index.html, docs/html/pr01.html,
	docs/html/pr01s02.html, docs/html/pr01s03.html,
	docs/html/properties_window.png, docs/pdf/manual.pdf,
	docs/src/manual.xml:
	Add section about "Language specific peculiarities" and fix broken
	links
	[0bacd2937507] <WXG-BRANCH-VERSION_0_6_7>

	* docs/html/apa.html, docs/html/apb.html, docs/html/ch01.html,
	docs/html/ch01s02.html, docs/html/ch01s03.html,
	docs/html/ch01s04.html, docs/html/ch01s05.html,
	docs/html/ch01s06.html, docs/html/ch01s07.html, docs/html/ch02.html,
	docs/html/ch02s02.html, docs/html/ch02s03.html,
	docs/html/ch02s04.html, docs/html/ch02s05.html,
	docs/html/ch02s06.html, docs/html/ch02s07.html,
	docs/html/ch02s08.html, docs/html/ch03.html, docs/html/ch03s02.html,
	docs/html/ch03s03.html, docs/html/ch03s04.html,
	docs/html/ch03s05.html, docs/html/ch03s06.html,
	docs/html/ch03s07.html, docs/html/ch04.html, docs/html/ch04s02.html,
	docs/html/ch05.html, docs/html/ch05s02.html, docs/html/ch05s03.html,
	docs/html/ch05s04.html, docs/html/index.html, docs/html/pr01.html,
	docs/html/pr01s02.html, docs/html/pr01s03.html,
	docs/html/properties_window.png, docs/pdf/manual.pdf,
	docs/src/manual.xml:
	Add section about "Language specific peculiarities" and fix broken
	links
	[bbc054686648]

2013-06-25  Carsten Grohmann  <mail@carstengrohmann.de>

	* application.py, misc.py:
	Code reorganisation
	[44b9a46fbb58]

2013-06-23  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, tests/casefiles/styleless-dialog.cpp, tests/casefiles
	/styleless-dialog.h, tests/casefiles/styleless-dialog.lisp,
	tests/casefiles/styleless-dialog.pl, tests/casefiles/styleless-
	dialog.py, tests/casefiles/styleless-dialog.wxg, tests/casefiles
	/styleless-dialog.xrc, tests/test_codegen.py, tests/test_gui.py,
	widgets/dialog/dialog.py, widgets/frame/frame.py:
	Fix handling of style-less dialogs and frames (sf bug #145)
	[28d4010e08d9] <WXG-BRANCH-VERSION_0_6_7>

	* tests/test_gui.py:
	Improve GUI test code
	[3e6399946365] <WXG-BRANCH-VERSION_0_6_7>

	* NEWS.txt, tests/casefiles/styleless-dialog.cpp, tests/casefiles
	/styleless-dialog.h, tests/casefiles/styleless-dialog.lisp,
	tests/casefiles/styleless-dialog.pl, tests/casefiles/styleless-
	dialog.py, tests/casefiles/styleless-dialog.wxg, tests/casefiles
	/styleless-dialog.xrc, tests/test_codegen.py, tests/test_gui.py,
	widgets/dialog/dialog.py, widgets/frame/frame.py:
	Fix handling of style-less dialogs and frames (sf bug #145)
	[4e391171149f]

	* tests/test_gui.py:
	Improve GUI test code
	[0057a391ee52]

2013-06-19  Carsten Grohmann  <mail@carstengrohmann.de>

	* widget_properties.py:
	Minor function documentation update
	[f5f6de46a504]

2013-05-29  Carsten Grohmann  <mail@carstengrohmann.de>

	* setup.py:
	Add installer files to all packages
	[0bcaf81f5daf]

	* setup.py:
	Internal restructuring
	[b5955aef483c]

2013-05-27  Carsten Grohmann  <mail@carstengrohmann.de>

	* setup.py:
	Typo
	[d27f0c8d49d2]

2013-05-26  Carsten Grohmann  <mail@carstengrohmann.de>

	* setup.py:
	Add test case files to release bundles
	[9b46e37d8e9d]

	* Makefile:
	Call clean rule before building release packages
	[60ac9a63907a]

2013-05-25  Carsten Grohmann  <mail@carstengrohmann.de>

	* README.txt, common.py:
	Mark version as 0.6.7+
	[1bfef4cd9659] <WXG-BRANCH-VERSION_0_6_7>

	* docs/ReleaseSteps.txt:
	Add stable branch handling to release documentation
	[23e51b2ebdef]

	* xml_parse.py:
	Improve checking output path

	The output path checking for single file generation returned a
	misleading error message. This change improve the checking of the
	ouput directory in such a case.
	[79e542df29ee] <WXG-BRANCH-VERSION_0_6_7>

	* NEWS.txt, main.py:
	Fix an uninitialised variable in saving a project file (sf bug #
	157)

	The exception handler for general (not IOError and not OSError)
	exceptions uses an uninitialised variable.
	[0ba948da308b] <WXG-BRANCH-VERSION_0_6_7>

	* NEWS.txt, xml_parse.py:
	Fix "Overwrite existing sources" for new projects

	The previous commit (1206:5214a3ac9026) to change the default for
	overwriting existing sources was incomplete. Thereby this change
	adds the missing part and set the GUI checkbox proberly also if a
	non-overwrite project will be opened.
	[ea791e73a6ec] <WXG-BRANCH-VERSION_0_6_7>

	* NEWS.txt, codegen/__init__.py, codegen/lisp_codegen.py,
	codegen/pl_codegen.py, codegen/py_codegen.py,
	tests/casefiles/ComplexExample.cpp,
	tests/casefiles/ComplexExample.h,
	tests/casefiles/ComplexExample.lisp,
	tests/casefiles/ComplexExample.pl,
	tests/casefiles/ComplexExample.py,
	tests/casefiles/ComplexExample.wxg,
	tests/casefiles/ComplexExample.xrc, tests/test_codegen.py:
	Fix too strict sanity checks for class attributes
	[3ee15268008d] <WXG-BRANCH-VERSION_0_6_7>

	* tests/casefiles/ComplexExample.cpp,
	tests/casefiles/ComplexExample.h,
	tests/casefiles/ComplexExample.lisp,
	tests/casefiles/ComplexExample.pl,
	tests/casefiles/ComplexExample.py,
	tests/casefiles/ComplexExample.wxg,
	tests/casefiles/ComplexExample.xrc, tests/test_codegen.py:
	Add complex test example
	[5e68a548728f] <WXG-BRANCH-VERSION_0_6_7>

	* NEWS.txt, widgets/notebook/codegen.py:
	Fix XRC code generation for notebooks with panes
	[85a8b4484e87] <WXG-BRANCH-VERSION_0_6_7>

	* NEWS.txt, edit_sizers/perl_sizers_codegen.py:
	Wrong SetSizeHint() call in Perl (Thanks to Eric McKeeth)
	[0232035f04ee] <WXG-BRANCH-VERSION_0_6_7>

	* Created WXG-BRANCH-VERSION_0_6_7 branch
	[453a37c9f55a] <WXG-BRANCH-VERSION_0_6_7>

	* msgdialog.py, res/messagedialog.wxg:
	MessageDialog is resizeable now

	It's simpler to read larger messages e.g. exception details now.
	[d7c6498f673b]

	* common.py:
	Improve exception handler
	[c99210689ebb]

	* NEWS.txt, codegen/pl_codegen.py, codegen/py_codegen.py,
	tests/casefiles/ComplexExample.cpp,
	tests/casefiles/ComplexExample.h,
	tests/casefiles/ComplexExample.lisp,
	tests/casefiles/ComplexExample.pl,
	tests/casefiles/ComplexExample.py,
	tests/casefiles/ComplexExample.wxg,
	tests/casefiles/ComplexExample.xrc, tests/test_codegen.py:
	Fix handling of unicode characters in strings for Perl and Python

	Looks like wxGlade uses ASCII internal at all places. This change
	escapes unicode characters to continue handling of strings as ascii
	strings.

	The generated source code is always ascii, even if it contains an
	encoding statement at top.
	[7807f6d6a7fa]

2013-05-24  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, common.py, wxglade.py:
	Add comfortable exception handler for more detailed bug reports

	This exception handler logs names, types and content of local
	variables from top stack entry.
	[1cd22e54ef36]

2013-05-22  Carsten Grohmann  <mail@carstengrohmann.de>

	* xml_parse.py:
	Improve checking output path

	The output path checking for single file generation returned a
	misleading error message. This change improve the checking of the
	ouput directory in such a case.
	[528d6ec6e4cf]

2013-05-21  Carsten Grohmann  <mail@carstengrohmann.de>

	* application.py:
	Print locale settings during initialise GUI

	Printing locale is a little bit late in init process. Setting and
	printing should be earlier e.g. in wxglade.init_stage1().
	[4f4e0e8bcdba]

	* codegen/__init__.py, main.py:
	Rename variables and minor code cleanups

	Some variables have be renamed to prevent redefining Python built-
	ins. Some imports have been restructured and other minor code
	changes.
	[274c597be116]

	* NEWS.txt, main.py:
	Fix an uninitialised variable in saving a project file (sf bug #
	157)

	The exception handler for general (not IOError and not OSError)
	exceptions uses an uninitialised variable.
	[6c47fb22bdad]

	* NEWS.txt, xml_parse.py:
	Fix "Overwrite existing sources" for new projects

	The previous commit (1206:5214a3ac9026) to change the default for
	overwriting existing sources was incomplete. Thereby this change
	adds the missing part and set the GUI checkbox proberly also if a
	non-overwrite project will be opened.
	[32edb433b035]

2013-05-18  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, codegen/__init__.py, codegen/lisp_codegen.py,
	codegen/pl_codegen.py, codegen/py_codegen.py,
	tests/casefiles/ComplexExample.cpp,
	tests/casefiles/ComplexExample.h,
	tests/casefiles/ComplexExample.lisp,
	tests/casefiles/ComplexExample.pl,
	tests/casefiles/ComplexExample.py,
	tests/casefiles/ComplexExample.wxg,
	tests/casefiles/ComplexExample.xrc, tests/test_codegen.py:
	Fix too strict sanity checks for class attributes
	[c94dcad73493]

2013-04-26  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/casefiles/ComplexExample.cpp,
	tests/casefiles/ComplexExample.h,
	tests/casefiles/ComplexExample.lisp,
	tests/casefiles/ComplexExample.pl,
	tests/casefiles/ComplexExample.py,
	tests/casefiles/ComplexExample.wxg,
	tests/casefiles/ComplexExample.xrc, tests/test_codegen.py:
	Add complex test example
	[01d8bb798de7]

	* NEWS.txt, widgets/notebook/codegen.py:
	Fix XRC code generation for notebooks with panes
	[57e7a7d844ed]

2013-04-24  Carsten Grohmann  <mail@carstengrohmann.de>

	* .hgtags:
	Cleanup duplicate tags
	[7ce391ea3f74]

2013-04-13  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, edit_sizers/perl_sizers_codegen.py:
	Wrong SetSizeHint() call in Perl (Thanks to Eric McKeeth)
	[b7e763e639d3]

	* NEWS.txt:
	Prepare for new version
	[d9d3e6c88263]

2013-04-12  Carsten Grohmann  <mail@carstengrohmann.de>

	* application.py, docs/html/apa.html, docs/html/apb.html,
	docs/html/ch01.html, docs/html/ch01s02.html, docs/html/ch01s03.html,
	docs/html/ch01s04.html, docs/html/ch01s05.html,
	docs/html/ch01s06.html, docs/html/ch01s07.html, docs/html/ch02.html,
	docs/html/ch02s02.html, docs/html/ch02s03.html,
	docs/html/ch02s04.html, docs/html/ch02s05.html,
	docs/html/ch02s06.html, docs/html/ch03.html, docs/html/ch03s02.html,
	docs/html/ch03s03.html, docs/html/ch03s04.html,
	docs/html/ch03s06.html, docs/html/ch03s07.html, docs/html/ch04.html,
	docs/html/ch05.html, docs/html/index.html, docs/html/pr01.html,
	docs/html/pr01s02.html, docs/html/pr01s03.html, docs/pdf/manual.pdf,
	docs/src/manual.xml:
	Start development for wx 3.0 support
	[36c2fab9a7e7]

2013-04-07  Carsten Grohmann  <mail@carstengrohmann.de>

	* docs/BuildingInstaller.txt, docs/ReleaseSteps.txt:
	Update release documentation
	[354ad29010d1]

	* common.py, install/pyinstaller/wxglade-installer.iss:
	Set version numbers back to HG to start new development cycle
	[0cd76cabf7cb]

	* .hgtags:
	Added tag rel_0.6.7 for changeset 09ab5dec05ce
	[b82efd84c958]

	* common.py, install/pyinstaller/wxglade-installer.iss:
	Bump version number to 0.6.7
	[09ab5dec05ce] [rel_0.6.7]

	* CHANGES.txt, NEWS.txt, README.txt:
	Prerelease documentation updates
	[37684571f31f]

	* NEWS.txt, res/templates_ui.wxg, template.py, templates_ui.py:
	Improve usability of the dialog to list and open templates
	[a19405d8464e]

	* NEWS.txt, codegen/py_codegen.py:
	Regression in generated Python code for bindung events

	The regression was introduced in 1173:95047b445b12 "Rework
	generating constructor code in all code generators".

	The generated code raised an AssertionError if the source of the
	event is specified by an ID number instead of a widget.
	[11b82132ec86]

2013-04-06  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, edit_sizers/edit_sizers.py, res/templates_ui.wxg,
	templates_ui.py, widgets/spacer/spacer.py:
	Preselect some dialog elements

	Simplify usage of some dialogs by setting focus to first input
	widget and select the widget content.
	[4794febbd4d3]

2013-04-03  Carsten Grohmann  <mail@carstengrohmann.de>

	* application.py:
	Show feedback in status bar if code generation dialog is suppressed
	[2a9c6855e18a]

2013-04-01  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/test_gui.py:
	Repair GUI test broken with 1223:602859354d4b
	[92d261ba743f]

	* NEWS.txt, codegen/py_codegen.py, tests/casefiles/CalendarCtrl.py,
	tests/casefiles/FontColour.py, tests/casefiles/Gauge.py,
	tests/casefiles/Grid.py, tests/casefiles/HyperlinkCtrl_26.py,
	tests/casefiles/HyperlinkCtrl_28.py,
	tests/casefiles/PyAddApp_multi_detailed.py,
	tests/casefiles/PyAddApp_multi_gettext_detailed.py,
	tests/casefiles/PyAddApp_multi_gettext_simple.py,
	tests/casefiles/PyAddApp_multi_simple.py, tests/casefiles/PyOgg1.py,
	tests/casefiles/PyOgg1_oldnamespace.py,
	tests/casefiles/PyOgg2_app.py, tests/casefiles/PyOgg3.py,
	tests/casefiles/Python_Preferences.py,
	tests/casefiles/Sizers_classattr.py,
	tests/casefiles/Sizers_no_classattr.py,
	tests/casefiles/add_class_inplace_extended.py,
	tests/casefiles/add_class_inplace_orig.py,
	tests/casefiles/no_suitable_writer.py,
	tests/casefiles/remove_class_inplace_expected.py,
	tests/casefiles/remove_class_inplace_input.py:
	Remove empty line between shebang and encoding statement in Python
	files

	The additional empty line between the shebang and the encoding
	statement violates PEP 0263 and causes some trouble with utf-8 on
	win7.
	[2e90add4076a]

	* codegen/__init__.py, codegen/cpp_codegen.py,
	codegen/lisp_codegen.py, codegen/pl_codegen.py,
	codegen/py_codegen.py, codegen/xrc_codegen.py:
	Change handling of empty lines in file headers

	Hardcoded empty lines are removed. The empty lines are added to the
	variables shebang, tmpl_encoding and language_note. Thereby the
	generated code has not changed.
	[df6744b0901d]

	* application.py:
	Minor change in source documentation
	[8183c8ee4e24]

2013-03-31  Carsten Grohmann  <mail@carstengrohmann.de>

	* credits.txt:
	Update Main Developer
	[b4e3ef274e80]

	* NEWS.txt, application.py, config.py, configUI.py, configdialog.py,
	res/preferences.wxg:
	Add a config option to suppress the code generation success message
	[602859354d4b]

	* common.py:
	Fix plus sign for uncommitted changes in version number.

	"++" was shown due a logical bug. Now just "+" is shown. The plus
	sign in version number indicates not committed changes.
	[5a9daca7f1cd]

2013-03-30  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, common.py, install/pyinstaller/wxglade-installer.iss:
	Set version numbers back to HG to start new development cycle
	[508d0ee2eca7]

2013-03-29  Carsten Grohmann  <mail@carstengrohmann.de>

	* .hgtags:
	Added tag rel_0.6.6 for changeset 9ee81dcd0dc1
	[e29081a1182d]

	* install/pyinstaller/wxglade-installer.iss:
	Uninstall byte-code files for hyperlink widget too
	[9ee81dcd0dc1] [rel_0.6.6]

	* .hgtags:
	Added tag rel_0.6.6 for changeset 4487d7edc422
	[198de9aff62b]

	* common.py, install/pyinstaller/wxglade-installer.iss:
	Bump version number to 0.6.6
	[4487d7edc422]

	* CHANGES.txt, NEWS.txt, README.txt, credits.txt:
	Prerelease documentation updates
	[0b81f0b99f4c]

	* application.py, docs/html/apa.html, docs/html/apb.html,
	docs/html/ch01.html, docs/html/ch01s02.html, docs/html/ch01s03.html,
	docs/html/ch01s04.html, docs/html/ch01s05.html,
	docs/html/ch01s06.html, docs/html/ch01s07.html, docs/html/ch02.html,
	docs/html/ch02s02.html, docs/html/ch02s03.html,
	docs/html/ch02s04.html, docs/html/ch02s05.html,
	docs/html/ch02s06.html, docs/html/ch03.html, docs/html/ch03s02.html,
	docs/html/ch03s03.html, docs/html/ch03s04.html,
	docs/html/ch03s06.html, docs/html/ch03s07.html, docs/html/ch04.html,
	docs/html/ch05.html, docs/html/index.html, docs/html/pr01.html,
	docs/html/pr01s02.html, docs/html/pr01s03.html,
	docs/html/properties_window_application.png,
	docs/html/properties_window_settings.png,
	docs/html/properties_window_tab_1_change.png, docs/html/wxglade.png,
	docs/pdf/manual.pdf, docs/src/manual.xml,
	docs/src/properties_window.png,
	docs/src/properties_window_application.png,
	docs/src/properties_window_settings.png,
	docs/src/properties_window_tab_1_change.png, docs/src/wxglade.png:
	Combine language specific panels in application properties dialog
	[b0e2289dbaaf]

	* application.py, codegen/__init__.py:
	Typo in source documentation
	[34788736bd1f]

	* NEWS.txt, application.py, codegen/__init__.py, config.py,
	docs/html/apa.html, docs/html/apb.html, docs/html/ch01.html,
	docs/html/ch01s02.html, docs/html/ch01s03.html,
	docs/html/ch01s04.html, docs/html/ch01s05.html,
	docs/html/ch01s06.html, docs/html/ch01s07.html, docs/html/ch02.html,
	docs/html/ch02s02.html, docs/html/ch02s03.html,
	docs/html/ch02s04.html, docs/html/ch02s05.html,
	docs/html/ch02s06.html, docs/html/ch03.html, docs/html/ch03s02.html,
	docs/html/ch03s03.html, docs/html/ch03s04.html,
	docs/html/ch03s06.html, docs/html/ch03s07.html, docs/html/ch04.html,
	docs/html/ch05.html, docs/html/index.html, docs/html/pr01.html,
	docs/html/pr01s02.html, docs/html/pr01s03.html, docs/pdf/manual.pdf,
	docs/src/manual.xml, tests/casefiles/PyAddApp_multi_detailed.py,
	tests/casefiles/PyAddApp_multi_gettext_detailed.py,
	tests/casefiles/PyAddApp_multi_gettext_simple.py,
	tests/casefiles/PyAddApp_multi_simple.py, xml_parse.py:
	Change some default settings and reorg internal handling

	The primary changes are:
	 - usage of UTF-8 as fallback encoding
	 - enable gettext per default

	Some of the default values are converted from hard coded values to
	variables located in config module.
	[530b2bc1c3dd]

2013-03-16  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/casefiles/LispOgg1.lisp, tests/casefiles/LispOgg1.wxg,
	tests/casefiles/PlOgg1.pl, tests/casefiles/PlOgg1.wxg,
	tests/casefiles/PyOgg1.py, tests/casefiles/PyOgg1.wxg,
	tests/casefiles/PyOgg1_oldnamespace.py:
	Unify test cases
	[db270e04afa2]

2013-03-15  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, edit_windows.py:
	Setting invalid windows names hasn't blocked fully (sf bug #154)
	[d4d79f527fcb]

2013-03-08  Carsten Grohmann  <mail@carstengrohmann.de>

	* docs/html/apa.html, docs/html/apb.html, docs/html/ch01.html,
	docs/html/ch01s02.html, docs/html/ch01s03.html,
	docs/html/ch01s04.html, docs/html/ch01s05.html,
	docs/html/ch01s06.html, docs/html/ch01s07.html, docs/html/ch02.html,
	docs/html/ch02s02.html, docs/html/ch02s03.html,
	docs/html/ch02s04.html, docs/html/ch02s05.html,
	docs/html/ch02s06.html, docs/html/ch02s07.html, docs/html/ch03.html,
	docs/html/ch03s02.html, docs/html/ch03s03.html,
	docs/html/ch03s04.html, docs/html/ch03s06.html,
	docs/html/ch03s07.html, docs/html/ch04.html, docs/html/ch04s02.html,
	docs/html/ch05.html, docs/html/ch05s03.html, docs/html/index.html,
	docs/html/pr01.html, docs/html/pr01s02.html, docs/html/pr01s03.html,
	docs/pdf/manual.pdf, docs/src/manual.xml:
	Extend documentation with a best practice section
	[e4581bbb1907]

2013-03-02  Carsten Grohmann  <mail@carstengrohmann.de>

	* codegen/py_codegen.py, tests/test_codegen.py:
	Do not format wx classnames, constants and ... twice in Python.

	Add check if the parameter hand over to cn() is already formatted
	and do not format such a parameter again.

	This is just the case if the user enters language-specific formatted
	values.
	[fffa28856fa7]

2013-02-05  Carsten Grohmann  <mail@carstengrohmann.de>

	* edit_sizers/edit_sizers.py:
	Added tooltips to sizer elements and dialogs
	[eadd3417d239]

2013-02-04  Carsten Grohmann  <mail@carstengrohmann.de>

	* codegen/__init__.py, codegen/cpp_codegen.py,
	codegen/lisp_codegen.py, codegen/pl_codegen.py,
	codegen/py_codegen.py, tests/test_codegen.py:
	Unify code generation of adding objects to sizers
	[1c0d04e7277b]

2013-02-03  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, application.py:
	Set "Overwrite existing sources" for new projects
	[5214a3ac9026]

	* codegen/py_codegen.py:
	Small change to format flags in Python
	[048c0e1bd6c7]

2013-02-02  Carsten Grohmann  <mail@carstengrohmann.de>

	* codegen/pl_codegen.py, codegen/py_codegen.py:
	Don't format border property in add_sizeritem - it's always an
	integer
	[02c177e6f619]

	* codegen/lisp_codegen.py, widgets/button/lisp_codegen.py,
	widgets/checkbox/lisp_codegen.py, widgets/choice/lisp_codegen.py,
	widgets/combo_box/lisp_codegen.py, widgets/gauge/lisp_codegen.py,
	widgets/hyperlink_ctrl/lisp_codegen.py,
	widgets/list_box/lisp_codegen.py, widgets/list_ctrl/lisp_codegen.py,
	widgets/notebook/lisp_codegen.py, widgets/panel/lisp_codegen.py,
	widgets/radio_box/lisp_codegen.py,
	widgets/radio_button/lisp_codegen.py,
	widgets/slider/lisp_codegen.py, widgets/spin_button/lisp_codegen.py,
	widgets/spin_ctrl/lisp_codegen.py,
	widgets/splitter_window/lisp_codegen.py,
	widgets/static_bitmap/lisp_codegen.py,
	widgets/static_line/lisp_codegen.py,
	widgets/static_text/lisp_codegen.py,
	widgets/text_ctrl/lisp_codegen.py, widgets/toolbar/lisp_codegen.py,
	widgets/tree_ctrl/lisp_codegen.py:
	Improve flag handling in Lisp code generator
	[4a314a069f94]

2013-02-01  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, codegen/__init__.py, codegen/cpp_codegen.py,
	codegen/lisp_codegen.py, codegen/pl_codegen.py,
	codegen/py_codegen.py, edit_sizers/edit_sizers.py,
	edit_sizers/lisp_sizers_codegen.py,
	edit_sizers/perl_sizers_codegen.py, edit_sizers/sizers_codegen.py,
	tests/casefiles/LispOgg1.lisp,
	tests/casefiles/LispOgg2_MyDialog.lisp,
	tests/casefiles/LispOgg2_MyFrame.lisp,
	tests/casefiles/LispOgg3.lisp,
	tests/casefiles/Lisp_Preferences.lisp,
	tests/casefiles/Sizers_classattr.cpp,
	tests/casefiles/Sizers_classattr.h,
	tests/casefiles/Sizers_classattr.lisp,
	tests/casefiles/Sizers_classattr.pl,
	tests/casefiles/Sizers_classattr.py,
	tests/casefiles/Sizers_classattr.wxg,
	tests/casefiles/Sizers_classattr.xrc,
	tests/casefiles/Sizers_no_classattr.cpp,
	tests/casefiles/Sizers_no_classattr.h,
	tests/casefiles/Sizers_no_classattr.lisp,
	tests/casefiles/Sizers_no_classattr.pl,
	tests/casefiles/Sizers_no_classattr.py,
	tests/casefiles/Sizers_no_classattr.wxg,
	tests/casefiles/Sizers_no_classattr.xrc,
	tests/casefiles/add_class_inplace_extended.lisp,
	tests/casefiles/add_class_inplace_orig.lisp,
	tests/casefiles/remove_class_inplace_expected.lisp,
	tests/casefiles/remove_class_inplace_input.lisp,
	tests/test_codegen.py, wxglade.py:
	Add "Store as attribute" for sizers

	Sizers won't store as class attributes per default. You can enable
	this using the new GUI element.

	This change primarily affects Python and C++, because the code
	generators for Perl and Lisp do already store sizers as class
	attributes.
	[f4503e3639c7]

2013-01-31  Carsten Grohmann  <mail@carstengrohmann.de>

	* codegen/py_codegen.py:
	Fix AttributeError during preview of a new generated project.

	This bug is a regression introducted in commit 197d18d "Set
	codewriter variables back to defaults if a new document is created"
	[7d6af3dd3e56]

2013-01-28  Carsten Grohmann  <mail@carstengrohmann.de>

	* xml_parse.py:
	Add source documention for in_sizers and in_windows
	[8620694a219c]

2013-01-25  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/__init__.py:
	Improve error message for missing test files
	[63309a107352]

	* tests/__init__.py, tests/test_codegen.py:
	Introduce WXGladeBaseTest._test_all() to generate code for all
	languages at once.
	[7562a1b59aad]

2013-01-18  Carsten Grohmann  <mail@carstengrohmann.de>

	* edit_sizers/edit_sizers.py, edit_sizers/lisp_sizers_codegen.py,
	edit_sizers/perl_sizers_codegen.py, edit_sizers/sizers_codegen.py,
	tests/casefiles/CPP_Preferences.cpp,
	tests/casefiles/FontColour.lisp, tests/casefiles/Gauge.lisp,
	tests/casefiles/Grid.lisp, tests/casefiles/HyperlinkCtrl_26.lisp,
	tests/casefiles/HyperlinkCtrl_28.lisp,
	tests/casefiles/LispOgg1.lisp,
	tests/casefiles/LispOgg2_MyDialog.lisp,
	tests/casefiles/LispOgg2_MyFrame.lisp,
	tests/casefiles/LispOgg3.lisp,
	tests/casefiles/Lisp_Preferences.lisp,
	tests/casefiles/Lisp_wxBitmapButton.lisp,
	tests/casefiles/Perl_Preferences.pl,
	tests/casefiles/add_class_inplace_extended.lisp,
	tests/casefiles/add_class_inplace_orig.lisp,
	tests/casefiles/no_suitable_writer.lisp,
	tests/casefiles/remove_class_inplace_expected.lisp,
	tests/casefiles/remove_class_inplace_input.lisp:
	Unify sizer code generation
	[98a1f4674b36]

2013-01-15  Carsten Grohmann  <mail@carstengrohmann.de>

	* codegen/pl_codegen.py:
	Add more wx constants to prevent formatting of those contants.
	[ff748962a528]

2013-01-07  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, tree.py, xml_parse.py:
	applied patch by Roel van Os: "When pasting: only search current
	top-level window for duplicate names"

	Original commit: 923:3b06bb046ccf at
	https://bitbucket.org/elentirmo/wxglade_elentirmo
	[befeac404735]

2013-01-05  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/casefiles/CPPOgg1.cpp, tests/casefiles/CPPOgg1.wxg,
	tests/casefiles/CPPOgg2.wxg, tests/casefiles/CPPOgg2_MyDialog.cpp,
	tests/casefiles/CPPOgg3.cpp, tests/casefiles/LispOgg1.lisp,
	tests/casefiles/LispOgg1.wxg, tests/casefiles/LispOgg2.wxg,
	tests/casefiles/LispOgg2_MyDialog.lisp,
	tests/casefiles/LispOgg3.lisp, tests/casefiles/LispOgg3.wxg,
	tests/casefiles/PlOgg1.pl, tests/casefiles/PlOgg1.wxg,
	tests/casefiles/PlOgg2.wxg, tests/casefiles/PlOgg2_MyDialog.pm,
	tests/casefiles/PlOgg3.pl, tests/casefiles/PyOgg1.py,
	tests/casefiles/PyOgg1.wxg, tests/casefiles/PyOgg1_oldnamespace.py,
	tests/casefiles/PyOgg2.wxg, tests/casefiles/PyOgg2_MyDialog.py,
	tests/casefiles/PyOgg3.py:
	Remove flag wxTHICK_FRAME because it is not available with wxPerl
	2.8

	The code generated by the test suite is fine, but you can't start
	the test programs with a current wxPerl. Thereby I've remove this
	flag.
	[1a2fe678e1b0]

2013-01-04  Carsten Grohmann  <mail@carstengrohmann.de>

	* NEWS.txt, codegen/__init__.py, codegen/cpp_codegen.py,
	codegen/lisp_codegen.py, codegen/pl_codegen.py,
	codegen/py_codegen.py, tests/casefiles/HyperlinkCtrl_26.cpp,
	tests/casefiles/HyperlinkCtrl_26.lisp,
	tests/casefiles/HyperlinkCtrl_26.pl,
	tests/casefiles/HyperlinkCtrl_26.py,
	tests/casefiles/no_suitable_writer.cpp,
	tests/casefiles/no_suitable_writer.lisp,
	tests/casefiles/no_suitable_writer.pl,
	tests/casefiles/no_suitable_writer.py,
	tests/casefiles/no_suitable_writer.wxg:
	Don't add unsupported widgets to a sizer

	Widgets without code generator or widget that are not supporting the
	requested wx version are blacklisted now. Thereby the widgets won't
	add to any sizers.
	[deff762b7529]

	* tests/casefiles/HyperlinkCtrl_26.lisp, tests/test_codegen.py:
	Activate tests for HyperlinkCtrl and Lisp
	[ae54b3f2c112]

	* codegen/lisp_codegen.py, codegen/pl_codegen.py,
	codegen/py_codegen.py:
	Remove unused imports of cStringIO
	[972fc3bdb200]

	* codegen/__init__.py, tests/casefiles/HyperlinkCtrl_26.pl,
	tests/casefiles/HyperlinkCtrl_26.py,
	tests/casefiles/no_suitable_writer.lisp,
	tests/casefiles/no_suitable_writer.pl,
	tests/casefiles/no_suitable_writer.py:
	Add warning messages to Perl, Python and Lisp source code again
	[0006bfa8f874]

2013-01-02  Carsten Grohmann  <mail@carstengrohmann.de>

	* codegen/__init__.py, codegen/lisp_codegen.py, codegen/pl_codegen.py,
	codegen/py_codegen.py, tests/casefiles/HyperlinkCtrl_26.pl,
	tests/casefiles/LispOgg1.lisp,
	tests/casefiles/LispOgg2_MyDialog.lisp,
	tests/casefiles/LispOgg3.lisp,
	tests/casefiles/Lisp_Preferences.lisp,
	tests/casefiles/Perl_Preferences.pl, tests/casefiles/PlOgg1.pl,
	tests/casefiles/PlOgg2_MyDialog.pm,
	tests/casefiles/no_suitable_writer.lisp,
	tests/casefiles/no_suitable_writer.pl, tests/test_codegen.py:
	Unify code generation for widgets in Perl, Python and Lisp.

	Merge add_object() code of Perl, Python and Lisp code writer. The
	change unify the code generation code.

	The warning messages won't be included in generated Perl code now.
	One of the next commits will re-introduce the warning messages to
	Perl, Python and Lisp.
	[f2673117df2a]

2013-01-01  Carsten Grohmann  <mail@carstengrohmann.de>

	* tests/test_codegen.py:
	Solve logical bug in test case for no suitable writer

	A difference between generated and expected code causes an test
	failure (that's ok). But the temporary removed wxButton widget
	wouldn't restored in such a case. This change fixes the behaviour.
	[869922b3cc5e]

2012-12-30  Carsten Grohmann  <mail@carstengrohmann.de>

	* application.py, codegen/__init__.py, edit_sizers/edit_sizers.py,
	edit_windows.py, font_dialog.py, misc.py, tree.py,
	widget_properties.py, wxglade.py:
	Replace traceback.print_exc() by common.message.exception()
	[166866b98938]

	* codegen/__init__.py, codegen/lisp_codegen.py, codegen/pl_codegen.py,
	codegen/py_codegen.py, tests/casefiles/PlOgg1.pl,
	tests/casefiles/PlOgg1.wxg:
	Rework generating code in Lisp, Perl and Python code generator

	This changes primarily unify the add_class() function and move it to
	the base class.

	BTW: This changes solves a bug that has suppressed adding extra code
	to Perl sources.
	[f8ef056f45c3]

2012-12-29  Carsten Grohmann  <mail@carstengrohmann.de>

	* codegen/__init__.py, codegen/cpp_codegen.py,
	codegen/lisp_codegen.py, codegen/pl_codegen.py,
	codegen/py_codegen.py:
	Simplify access to parent attributes in SourceFileContent

	The language specific instances of SourceFileContent need access to
	a few attributes of the parent code writer instance.

	Most of the ctor parameters are replaced by a new parameter called
	"code_writer" and this is used to access parents attributes in the
	ctor once.
	[28a48389ee1e]

	* Makefile:
	Exclude test cases from pylint run
	[657c33e80e1b]

	* codegen/xrc_codegen.py,
	tests/casefiles/add_class_inplace_extended.xrc:
	Use OrderedDict in XRC code generator to prevent flipping of
	entries.

	This flipping entries may break unittests randomly.
	[814915641f4b]

	* docs/html/apa.html, docs/html/apb.html, docs/html/ch01.html,
	docs/html/ch01s02.html, docs/html/ch01s03.html,
	docs/html/ch01s04.html, docs/html/ch01s05.html,
	docs/html/ch01s06.html, docs/html/ch01s07.html, docs/html/ch02.html,
	docs/html/ch02s02.html, docs/html/ch02s03.html,
	docs/html/ch02s04.html, docs/html/ch02s05.html, docs/html/ch03.html,
	docs/html/ch03s02.html, docs/html/ch03s03.html,
	docs/html/ch03s04.html, docs/html/ch03s06.html,
	docs/html/ch03s07.html, docs/html/ch04.html, docs/html/ch05.html,
	docs/html/index.html, docs/html/pr01.html, docs/html/pr01s02.html,
	docs/html/pr01s03.html, docs/pdf/manual.pdf, docs/src/manual.xml,
	ordereddict.py:
	Add 3rd party software OrderedDict

	The class OrderedDict provides a dictionary that remembers insertion
	order.

	This feature is useful to prevent flipping of lines or code blocks
	in automatically generated source code.
	[e9fda479ce91]

